<?php
/**
 * Plugin Name: Your Store Demo Installer (YoureStore)
 * 
 * Description: It's a customized version of Your Store Demo Importer
 * Version: 1.4
 * Author: Smartdatasoft
 * Author URI: http://www.smartdatasoft.com/
 * Requires at least: 4.0
 * Tested up to: 4.4.2
 *
 * Text Domain: yourstore
 */
 
/**

 * Version 0.0.2

 */

if(!defined('ABSPATH')){
    die('Access denied.');
}

define('YOURSTORE_DEMO_PLUGIN_URI', plugin_dir_url( __FILE__ ));
define('YOURSTORE_DEMO_PLUGIN_DIR', dirname(__FILE__));



require_once(  dirname( __FILE__ ) .'/importer/radium-importer.php' ); //load admin theme data importer



class Radium_Theme_Demo_Data_Importer extends Radium_Theme_Importer {



    /**

     * Holds a copy of the object for easy reference.

     *

     * @since 0.0.1

     *

     * @var object

     */

    private static $instance;

    

    /**

     * Set the key to be used to store theme options

     *

     * @since 0.0.2

     *

     * @var object

     */

    public $theme_option_name = 'yourstore_option'; //set theme options name here

		

	public $theme_options_file_name = 'theme_options.json';

	

	public $widgets_file_name 		=  'widgets.wie';

	

	public $content_demo_file_name  =  'dummy.xml';

    

	public $customize_file_name  =  'customize.dat';

	

	/**

	 * Holds a copy of the widget settings 

	 *

	 * @since 0.0.2

	 *

	 * @var object

	 */

	public $widget_import_results;

	

    /**

     * Constructor. Hooks all interactions to initialize the class.

     *

     * @since 0.0.1

     */

    public function __construct() {

    

		$this->demo_files_path = dirname(__FILE__) . '/demo-files/';



        self::$instance = $this;

		parent::__construct();



    }

	

	/**

	 * Add menus

	 *

	 * @since 0.0.1

	 */

	public function set_demo_menus(){



		// Menus to Import and assign - you can remove or add as many as you want


        

            $main_menu = get_term_by('name', 'Primary Menu', 'nav_menu');

            $top_menu = get_term_by('name', 'My Account', 'nav_menu');



            set_theme_mod( 'nav_menu_locations',
                array(

                    'primary' => $main_menu->term_id,

                    'topnav' => $top_menu->term_id,

                )

            );

	}

}



new Radium_Theme_Demo_Data_Importer;