<?php
add_action('init', 'register_yourstore_testimonial_postype');

function register_yourstore_testimonial_postype()
{



    $labels = array(
        'name' => __('Testimonial', 'yourstore'),
        'singular_name' => __('Testimonial', 'yourstore'),
        'add_new' => __('Add New', 'yourstore'),
        'add_new_item' => __('Add New Testimonial', 'yourstore'),
        'edit_item' => __('Edit Testimonial', 'yourstore'),
        'new_item' => __('New Testimonial', 'yourstore'),
        'view_item' => __('View Testimonial', 'yourstore'),
        'search_items' => __('Search Testimonial', 'yourstore'),
        'not_found' => __('No Testimonial found', 'yourstore'),
        'not_found_in_trash' => __('No Testimonial found in Trash', 'yourstore'),
        'parent_item_colon' => ''
    );

    register_post_type('testimonials', array(
        'labels' => $labels,
        'public' => true,
        'publicly_queryable' => true,
        'show_ui' => true,
        'query_var' => true,
        'rewrite' => true,
        'capability_type' => 'post',
        'hierarchical' => false,
        'menu_position' => 10,
        'supports' => array('title', 'editor', 'thumbnail'),
        'rewrite' => array('slug' => __('testimonial', 'yourstore'))
    ));
}

/**
 * Display a testimonial
 *
 * @param  int $post_per_page  The number of testimonials you want to display
 * @param  string $orderby  The order by setting  https://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters
 * @param  array $testimonial_id  The ID or IDs of the testimonial(s), comma separated
 *
 * @return  string  Formatted HTML
 */
function get_testimonial($posts_per_page = 1, $orderby = 'none', $testimonial_id = null, $title = '')
{

    $prefix = 'framework';
    $args = array(
        'posts_per_page' => (int) $posts_per_page,
        'post_type' => 'testimonials',
        'orderby' => $orderby,
        'no_found_rows' => true,
    );
    if ($testimonial_id)
        $args['post__in'] = array($testimonial_id);

    $query = new WP_Query($args);
     $rand = rand(000000, 999999);
    if ($query->have_posts()) {

        
       echo '<!--======= testimonials =======-->';
       echo '<div class="fill-bg-custom aside-inner color-white">';
           echo '<h4 class="text-center text-uppercase color-white mega">'.$title.'</h4> ';     
           echo '<div class="testimonialsAsid nav-dot nav-dot-invert" id="testimonialsAsid_'.$rand.'">';
                
                while ($query->have_posts()) : $query->the_post();
                    $post_id = get_the_ID();
                    $client_name = get_post_meta($post_id, "{$prefix}-client-name", true);
                    $client_designation = get_post_meta($post_id, "{$prefix}-client-designation", true);

                    $client_image = get_the_post_thumbnail($post_id, 'full',array('class'=>'img-responsive-inline'));


                    echo '        
            <!-- slide-->
                    <a href="#" class="link-hover-block">
                        <div class="text-center">
                          ' . $client_image . '
                            <p>
                                <span class="icon"></span>' . get_the_content() . '
                            </p>
                            <p>
                                <b>' . $client_name . '</b><br>
                                <em>' . $client_designation . '</em>
                            </p>                                    
                        </div>
                    </a>
            <!-- /slide-->
                    ';
                endwhile;

                
                
           echo '</div> ';                         
       echo '</div>';
        
       echo '<!--======= /testimonials =======-->';

        
        wp_reset_postdata();
    }

    ?>
        <script type="text/javascript"> 

                    var $j = jQuery.noConflict();
                    $j(document).ready(function () {

                        testimonialsAsid($j('#testimonialsAsid_<?php echo esc_js($rand)?>'), 1, 1, 1, 1, 1);//TESTIMONIALS


                    });

                </script> 
<?php
}
