<?php

function create_wcm_sds_brands_table()
{
	global $wpdb;
	
        $sql = "CREATE TABLE IF NOT EXISTS `{$wpdb->prefix}wcm_sds_brands` (
	  `meta_id` bigint(20) NOT NULL AUTO_INCREMENT,
	  `term_taxonomy_id` bigint(20) NOT NULL,
	  `meta_key` varchar(255) DEFAULT NULL,
	  `meta_value` longtext,
	  PRIMARY KEY (`meta_id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8";
	
	$wpdb->query($sql);
	
	//add_option('wcm_sds_brands_version','1.0') or update_option('wcm_sds_brands_version','1.0');
	
}
add_action('after_switch_theme','create_wcm_sds_brands_table');
add_action('admin_init','create_wcm_sds_brands_table');


add_action( 'init', 'register_taxonomy_brands' );

function register_taxonomy_brands() {

	global $woocommerce;
	
	if(!isset($woocommerce)) return;

    $labels = array(
		'name'              => _x( 'Brands', 'taxonomy general name','hill' ),
		'singular_name'     => _x( 'Brand', 'taxonomy singular name','hill' ),
		'search_items'      => __( 'Search Brands','hill'  ),
		'all_items'         => __( 'All Brands','hill'  ),
		'parent_item'       => __( 'Parent Brand','hill'  ),
		'parent_item_colon' => __( 'Parent Brand:','hill'  ),
		'edit_item'         => __( 'Edit Brand','hill'  ),
		'update_item'       => __( 'Update Brand' ,'hill' ),
		'add_new_item'      => __( 'Add New Brand','hill'  ),
		'new_item_name'     => __( 'New Brand Name','hill'  ),
		'menu_name'         => __( 'Brands','hill'  ),
	);

    $args = array( 
        'labels' => $labels,
        'public' => true,
        //'show_in_nav_menus' => false,
        'show_ui' => true,
       // 'show_tagcloud' => true,
        'hierarchical' => true,
        'rewrite' => array('slug'=>'product-brands'),
        'query_var' => true,		
    );

	if(post_type_exists('product'))
		register_taxonomy( 'brands', 'product', $args );

}


function yourstore_admin_wcm_init(){
    
    add_filter( 'manage_edit-product_columns', 'yourstore_admin_wcm_brands_edit_columns' );
    add_action( 'manage_product_posts_custom_column', 'yourstore_admin_wcm_brands_custom_columns' , 3 );
    
}

add_action('admin_init','yourstore_admin_wcm_init');
function yourstore_admin_wcm_brands_edit_columns($existing_columns){
    $columns = array();
    $columns['brands'] = __('Brands','hill');
    
    return array_merge($columns, $existing_columns);
}
function yourstore_admin_wcm_brands_custom_columns($column){
    global $post;
    $termlist = array();
    switch($column){
        case 'brands':
            $terms = get_the_terms( $post->ID, $column );
            if(!empty($terms) && !is_wp_error($terms)){
                foreach ($terms as $term){
                    $termlist[] = '<a href="' . admin_url( 'edit.php?' . $column . '=' . $term->slug . '&post_type=product' ) . ' ">' . $term->name . '</a>';
                }
                echo implode(', ', $termlist);
            }  else {
                echo '<span class="na">&ndash;</span>';
            }                
            break;
        
    }
}

function get_brands_term_by_product_id($post_id){
	
	global $wpdb;
	
	return (int)$wpdb->get_var( "SELECT tt.term_id as term_id FROM $wpdb->term_taxonomy tt left join $wpdb->term_relationships tr on tt.term_taxonomy_id = tr.term_taxonomy_id where tr.object_id = $post_id and tt.taxonomy = 'brands' limit 0,1");
	
}

function wcm_sds_brands_thumbnail_id($term_id)
{
	global $wpdb;
	
	return (int)$wpdb->get_var( 
        "SELECT wsb.meta_value FROM {$wpdb->prefix}wcm_sds_brands wsb "
        ."LEFT JOIN {$wpdb->term_taxonomy} tt "
        ."ON wsb.term_taxonomy_id=tt.term_taxonomy_id "
        ."WHERE tt.term_id={$term_id} "
        ."AND tt.taxonomy='brands' "
        ."AND wsb.meta_key='thumbnail_id'"
        );
	
}

function brands_admin_custom_columns_title($columns)
{
	$columns = array(	
		"cb" => "<input type=\"checkbox\" />",
		"thumb" => __('Thumbnail','hill'),
		"name" => __( "Name",'hill'),
		"description"=> __( "Description",'hill'),
		"slug" => __( "Slug",'hill' ),
		"posts" => __( "Count",'hill' ),
	);
	
	return $columns;
}

function brands_admin_custom_columns($display,$columns,$term_id){
	
	global $woocommerce;
	
	switch($columns):
	
		case 'thumb':
		
			$attach_id = wcm_sds_brands_thumbnail_id($term_id);
		
			$image = wp_get_attachment_image_src($attach_id,'thumbnail');
		
			//echo gettype($attach_id);
		
			if($attach_id > 0)
				$image = $image[0];
				
			elseif(isset($woocommerce))
				$image = woocommerce_placeholder_img_src();
		
		
			echo "<img src='{$image}' height='60' width='60' />";
		
			break;
		
	endswitch;
	
}
function brands_admin_add_form(){
	
	global $woocommerce;
	
?>
	<script type="text/javascript">
	
		jQuery(function($){
			
			if(!$('#edittag').length)
				$('.remove_image_button').hide();
			
			var file_frame;
                        $(document).off( 'click', '.upload_image_button');
			$(document).on( 'click', '.upload_image_button', function( event ){
				
				event.preventDefault();
				
				// If the media frame already exists, reopen it.
				if ( file_frame ) {
					file_frame.open();
					return;
				}
				
				file_frame = wp.media.frames.downloadable_file = wp.media({
					title: '<?php _e( 'Choose an image', 'hill' ); ?>',
					button: {
						text: '<?php _e( 'Use image', 'hill' ); ?>',
					},
					multiple: false
				});

				// When an image is selected, run a callback.
				file_frame.on( 'select', function() {
					attachment = file_frame.state().get('selection').first().toJSON();

					$('#wcm_sds_brand_logo').val( attachment.id );
                                        
                                        if($('[name="product_cat_thumbnail_id"]').length > 0){
                                            $('[name="product_cat_thumbnail_id"]').val(attachment.id);
                                        }
					
					if($('#product_cat_thumbnail img').length > 0)
					
						$('#product_cat_thumbnail img').attr('src', attachment.url );
						
					else
						$('#product_cat_thumbnail').html('<img src="'+attachment.url+'" width="60" height="60" />');
						
					jQuery('.remove_image_button').show();
				});
				
				// Finally, open the modal.
				file_frame.open();
				
				return false;  
				
				
			});
			
			jQuery(document).on( 'click', '.remove_image_button', function( event ){
				
				$('#product_cat_thumbnail img').attr('src', '<?php echo isset($woocommerce)? woocommerce_placeholder_img_src():''; ?>');
				$('#wcm_sds_brand_logo').val('');
				
				$('.remove_image_button').hide();
				
				return false;
				
			});
			
				
			
			
		});
	
	</script>	
<?php
}

function brands_admin_add_form_fields(){
	
	global $woocommerce;
	
	if(isset($woocommerce)) $imgsrc = woocommerce_placeholder_img_src();
	
	
?>
    
    <style type="text/css">
	input.upload_image_button:hover{
		cursor:pointer;
	}
	</style>
    <div class="form-field">
		<label><?php _e( 'Thumbnail', 'hill' ); ?></label>
		
        <div id="product_cat_thumbnail" style="float:left;margin-right:10px;">
            <img src="<?php echo esc_url($imgsrc)?>" width="60" height="60" />
        </div>
        <div style="line-height:60px;">
            
            <input type="hidden" id="wcm_sds_brand_logo" name="wcm_sds_brand_logo" value="" /> 
            <button type="submit" class="upload_image_button button"><?php _e( 'Upload/Add image', 'woocommerce' ); ?></button>
            <button type="submit" class="remove_image_button button"><?php _e( 'Remove image', 'woocommerce' ); ?></button>
        </div>
        
    </div>
    
<?php
	
}


function brands_admin_edit_form_fields($vals,$p2){
	
	global $woocommerce;
	
	$term_id = (int)$vals->term_id;
	
	$attach_id = wcm_sds_brands_thumbnail_id($term_id);
	
	$image = wp_get_attachment_image_src($attach_id,'full');
	
	if($attach_id > 0)
		$image = $image[0];
		
	elseif(isset($woocommerce))
		$image = woocommerce_placeholder_img_src();
	
	?>
    <style type="text/css">
	input.upload_image_button:hover{
		cursor:pointer;
	}
	</style>
    <tr class="form-field">
		<th scope="row" valign="top"><label><?php _e( 'Thumbnail','hill' ); ?></label></th>
		<td>
    <div class="brand_logo">
        <div id="product_cat_thumbnail" style="float:left;margin-right:10px;"><img src="<?php echo esc_url($image)?>" width="60" height="60" /></div>
        <div style="line-height:60px;">
        <input type="hidden" id="wcm_sds_brand_logo" name="wcm_sds_brand_logo" value="<?php echo esc_attr($attach_id)?>" /> 
        <button type="submit" class="upload_image_button button"><?php _e( 'Upload/Add image', 'woocommerce' ); ?></button>
		<button type="submit" class="remove_image_button button"><?php _e( 'Remove image', 'woocommerce' ); ?></button>
        </div>
    </div>
    </td>
    </tr>
    
<?php
	
}

function admin_enqueue_scripts_for_brands(){
	
        if(!isset($_GET['taxonomy']) || $_GET['taxonomy'] !== 'brands') return ;
    
	wp_enqueue_script('jquery');
        
	wp_enqueue_media();
	
        wp_enqueue_script('yourstore_brand_ordering', YOURSTORE_JS_URL . '/term-ordering.js', array('jquery','jquery-ui-sortable'), '', true);
        
        $yourstore_brand_order_params = array(
                'taxonomy'          =>  'brands'
        );
//
       wp_localize_script( 'yourstore_brand_ordering', 'yourstore_brand_ordering_params', $yourstore_brand_order_params );
        
}

function set_wcm_sds_brand_meta($params = array())
{
	global $wpdb;
	
	if(empty($params)) return;
	
	extract($params);
	
//	$meta_key = 'thumbnail_id';
	
	$count = $wpdb->get_var( 
        "SELECT COUNT(*) FROM {$wpdb->prefix}wcm_sds_brands wsb"
        ." LEFT JOIN {$wpdb->term_taxonomy} tt ON wsb.term_taxonomy_id=tt.term_taxonomy_id"
        ." WHERE tt.term_taxonomy_id={$term_taxonomy_id}"
        ." AND tt.taxonomy='brands' AND wsb.meta_key='{$meta_key}'"
        );
	
	if($count>0):
		
               return $wpdb->query("UPDATE {$wpdb->prefix}wcm_sds_brands set meta_value='{$meta_value}' WHERE term_taxonomy_id={$term_taxonomy_id} and meta_key='{$meta_key}'");
	
	else:
	
               return $wpdb->query("INSERT INTO {$wpdb->prefix}wcm_sds_brands(term_taxonomy_id, meta_key, meta_value) values($term_taxonomy_id, '{$meta_key}', '{$meta_value}')");	
	
	endif;
		
}

function wcm_sds_brands_fields_save($term_id, $tt_id, $taxonomy)
{
        
	if(isset($_POST['wcm_sds_brand_logo'])):
	
		set_wcm_sds_brand_meta(array('meta_key'=>'thumbnail_id','term_id' => $term_id,'term_taxonomy_id' => $tt_id, 'meta_value' => $_POST['wcm_sds_brand_logo']));
		
	endif;
            
        
}

function delete_yourstore_term($tt_id){
    
    global $wpdb;
    $q = $wpdb->query("DELETE FROM {$wpdb->prefix}wcm_sds_brands WHERE 
        term_taxonomy_id=$tt_id");
    
    return $q;
    
}


add_action("wp_ajax_yourstore_brand_ordering", "yourstore_brand_ordering");


/**
* Ajax request handling for categories ordering
*/
 function yourstore_brand_ordering() {
        $id       = (int) $_POST['id'];
        $next_id  = isset( $_POST['nextid'] ) && (int) $_POST['nextid'] ? (int) $_POST['nextid'] : null;
        $taxonomy = isset( $_POST['thetaxonomy'] ) ? esc_attr( $_POST['thetaxonomy'] ) : null;
        $term     = get_term_by('id', $id, $taxonomy);


//print_r($_POST);
        if ( ! $id || ! $term || ! $taxonomy ) {
            die(0);
        }

        yourstore_reorder_terms( $term, $next_id, $taxonomy );

        $children = get_terms( $taxonomy, "child_of=$id&menu_order=ASC&hide_empty=0" );

        if ( $term && sizeof( $children ) ) {
            echo 'children';
            die();
        }
        die();
    }

    
function sds_brands_terms_clauses( $clauses, $taxonomies, $args ) {
	global $wpdb;

        if(!isset($_GET['taxonomy']) || $_GET['taxonomy'] !== 'brands')        
            return $clauses;
        
	// No sorting when menu_order is false
	if ( isset( $args['menu_order'] ) && $args['menu_order'] == false ) {
		return $clauses;
	}

	// No sorting when orderby is non default
	if ( isset( $args['orderby'] ) && $args['orderby'] != 'name' ) {
		return $clauses;
	}

	// No sorting in admin when sorting by a column
	if ( is_admin() && isset( $_GET['orderby'] ) ) {
		return $clauses;
	}

	// wordpress should give us the taxonomies asked when calling the get_terms function. Only apply to categories and pa_ attributes
	$found = false;
	foreach ( (array) $taxonomies as $taxonomy ) {
		if ( in_array( $taxonomy,  array( 'brands' ) ) ) {
			$found = true;                        
			break;
		}
	}
        
        $meta_name = 'order';
        
	if ( ! $found ) {
		return $clauses;
	}
        $count = $wpdb->get_var("SELECT COUNT(*) FROM {$wpdb->term_taxonomy} tt INNER JOIN {$wpdb->prefix}wcm_sds_brands wcm ON tt.term_taxonomy_id=wcm.term_taxonomy_id WHERE tt.taxonomy='brands' AND wcm.meta_key='{$meta_name}'");
        
        if(empty($count))
            return $clauses;
        
	
	

	// query fields
	if ( strpos( 'COUNT(*)', $clauses['fields'] ) === false )  {
		$clauses['fields']  .= ', wcm.* ';
	}
        
	//query join
	$clauses['join'] .= " INNER JOIN {$wpdb->prefix}wcm_sds_brands AS wcm ON (wcm.term_taxonomy_id = tt.term_taxonomy_id AND wcm.meta_key = '". $meta_name ."') ";

	// default to ASC
	if ( ! isset( $args['menu_order'] ) || ! in_array( strtoupper($args['menu_order']), array('ASC', 'DESC')) ) {
		$args['menu_order'] = 'ASC';
	}

	$order = "ORDER BY wcm.meta_value+0 " . $args['menu_order'];

	if ( $clauses['orderby'] ):
		$clauses['orderby'] = str_replace('ORDER BY', $order . ',', $clauses['orderby'] );
	else:
		$clauses['orderby'] = $order;
	endif;
        
        
	return $clauses;
}

    
    /**
 * Move a term before the a given element of its hierarchy level
 *
 * @param int $the_term
 * @param int $next_id the id of the next sibling element in save hierarchy level
 * @param string $taxonomy
 * @param int $index (default: 0)
 * @param mixed $terms (default: null)
 * @return int
 */
function yourstore_reorder_terms( $the_term, $next_id, $taxonomy, $index = 0, $terms = null ) {

    if( ! $terms ) $terms = get_terms($taxonomy, 'menu_order=ASC&hide_empty=0&parent=0' );
    if( empty( $terms ) ) return $index;

    $id = $the_term->term_id;

    

    $term_in_level = false; // flag: is our term to order in this level of terms

    foreach ($terms as $term) {

        if( $term->term_id == $id ) { // our term to order, we skip
            $term_in_level = true;            
            continue; // our term to order, we skip
        }
        
        
        // the nextid of our term to order, lets move our term here
        if(null !== $next_id && $term->term_id == $next_id) {
            
            $index++;
            
            $index = yourstore_set_term_order($the_term->term_id, $index, $taxonomy, true);
            
        }
       

        // set order
        $index++;
        $index = yourstore_set_term_order($term->term_id, $index, $taxonomy);
       

        // if that term has children we walk through them
        $children = get_terms($taxonomy, "parent={$term->term_id}&menu_order=ASC&hide_empty=0");
        if( !empty($children) ) {
            $index = yourstore_reorder_terms( $the_term, $next_id, $taxonomy, $index, $children );
        }
    }
//    var_dump($next_id);
    // no nextid meaning our term is in last position
    if( $term_in_level 
            && null === $next_id 
            )
        $index = yourstore_set_term_order($id, $index+1, $taxonomy, true);

    return $index;
}

/**
 * Set the sort order of a term
 *
 * @param int $term_id
 * @param int $index
 * @param string $taxonomy
 * @param bool $recursive (default: false)
 * @return int
 */
function yourstore_set_term_order( $term_id, $index, $taxonomy, $recursive = false ) {

    $term_id    = (int) $term_id;
    $index      = (int) $index;

    // Meta name
    
    $meta_name = 'order';

    update_yourstore_term_meta( $term_id, $meta_name, $index );

    if( ! $recursive ) return $index;

    $children = get_terms($taxonomy, "parent=$term_id&menu_order=ASC&hide_empty=0");

    foreach ( $children as $term ) {
        $index++;
        $index = yourstore_set_term_order($term->term_id, $index, $taxonomy, true);
    }

    clean_term_cache( $term_id, $taxonomy );
    
    return $index;
}

/**
 * WooCommerce Term Meta API - Update term meta
 *
 * @param mixed $term_id
 * @param string $meta_key
 * @param mixed $meta_value
 * @param string $prev_value (default: '')
 * @return bool
 */
function update_yourstore_term_meta( $term_id, $meta_key, $meta_value) {

    global $wpdb;
    
//    $term = get_term($term_id,'brands');
    
    $sql = "SELECT * FROM `{$wpdb->terms}` t INNER JOIN `{$wpdb->term_taxonomy}` tt 
                USING(term_id) WHERE tt.taxonomy='brands' AND tt.term_id={$term_id}";
    $term = $wpdb->get_row($sql);
    
    return set_wcm_sds_brand_meta(array('meta_key'=>$meta_key,'term_id' => $term->term_id,'term_taxonomy_id' => $term->term_taxonomy_id, 'meta_value' => $meta_value));
    
//    return update_metadata( 'woocommerce_term', $term_id, $meta_key, $meta_value, $prev_value );
}

/**
 * WooCommerce Term Meta API - Add term meta
 *
 * @param mixed $term_id
 * @param mixed $meta_key
 * @param mixed $meta_value
 * @param bool $unique (default: false)
 * @return bool
 */
function add_yourstore_term_order( $term_id, $tt_id, $taxonomy ){
    
    global $wpdb;
    
    if($taxonomy != 'brands') return;
    
    $count = $wpdb->get_var( 
            "SELECT COUNT(*) FROM {$wpdb->prefix}wcm_sds_brands "            
            ."WHERE "
            ."meta_key='order'"
            );
    return set_wcm_sds_brand_meta(array('meta_key'=>'order','term_id' => $term_id,'term_taxonomy_id' => $tt_id, 'meta_value' => $count + 1));
    
}
function yourstore_check_brands_position(){
    global $wpdb;
    
    if(!isset($_GET['taxonomy']) || $_GET['taxonomy'] != 'brands') return ;
    
    $meta_name = 'order';
    
    $count = $wpdb->get_var("SELECT COUNT(*) FROM {$wpdb->term_taxonomy} tt INNER JOIN {$wpdb->prefix}wcm_sds_brands wcm ON tt.term_taxonomy_id=wcm.term_taxonomy_id WHERE tt.taxonomy='brands' AND wcm.meta_key='{$meta_name}'");
    
    $total_brands = $wpdb->get_results("SELECT * FROM {$wpdb->term_taxonomy} 
            WHERE taxonomy='brands'");;

    if(($c = intval($count)) < count($total_brands)){
        
        $not_included = $wpdb->get_results("SELECT * FROM {$wpdb->term_taxonomy} 
            WHERE taxonomy='brands' AND term_taxonomy_id NOT IN( 
            SELECT term_taxonomy_id FROM {$wpdb->prefix}wcm_sds_brands WHERE meta_key='{$meta_name}'
                )");
        if(!empty($not_included) && !is_wp_error($not_included)){
            $newinsert = "INSERT INTO {$wpdb->prefix}wcm_sds_brands(`term_taxonomy_id`, `meta_key`, `meta_value`) VALUES";
            foreach( $not_included as $lv => $nc){
                $c++;
                if($lv > 0)
                    $newinsert .= ',';
                $newinsert .= "({$nc->term_taxonomy_id}, '{$meta_name}', '{$c}')";
            }
            $wpdb->query($newinsert);
            
        }


    }
}

add_action ('admin_init','yourstore_check_brands_position');


add_action ('delete_term_taxonomy','delete_yourstore_term');

add_action('admin_enqueue_scripts','admin_enqueue_scripts_for_brands');
add_action('manage_edit-brands_columns', 'brands_admin_custom_columns_title');
add_action('manage_brands_custom_column', 'brands_admin_custom_columns', 10 , 3);

add_action('brands_edit_form_fields','brands_admin_edit_form_fields',10,2);
add_action('brands_edit_form', 'brands_admin_add_form');
//add_action('product_cat_edit_form', 'brands_admin_add_form');
add_action('brands_add_form_fields','brands_admin_add_form_fields');
add_action('brands_add_form','brands_admin_add_form');
//add_action('product_cat_add_form','brands_admin_add_form');
add_action('created_term', 'wcm_sds_brands_fields_save', 10,3 );
add_action('created_term', 'add_yourstore_term_order', 10,3 );
add_action('edit_term', 'wcm_sds_brands_fields_save', 10,3 );

add_filter( 'terms_clauses', 'sds_brands_terms_clauses', 10, 3 );
