<?php

function promo_img($atts) {
    $atts = shortcode_atts( array(
        'title' => '',
        'title_under' => 'title-under',
        'title_align' => 'text-left',
        'promo__url' => '',
        'promo__image' => '',
        'promo__label' => ''
    ), $atts, 'promo' );
    extract($atts);

    $promo__img = wp_get_attachment_image_src($promo__image, 'full');

    $html = '<h2 class="'.$title_under.' '.$title_align.'">'.$title.'</h2>';    

    $html .= '<div class="text-center promos">';
        $html .= '<div class="promos__image">';
            $html .= (!empty($promo__url)) ? '<a class="link-img-hover" href="'.esc_url($promo__url).'">' : '';

                    $html .= (!empty($promo__image) && isset($promo__img[0])) ? '<img src="'.$promo__img[0].'" alt="" class="img-responsive">' : '';

                    $html .= (!empty($promo__label)) ? '<span class="promos__label">'.esc_html($promo__label).'</span>' : '';

            $html .= (!empty($promo__url)) ? '</a>' : '';
        $html .= '</div>';
    $html .= '</div>';

    return $html;
}
add_shortcode( 'promo','promo_img' );


function yourstore_team_member_func($atts = array())
{
    extract(shortcode_atts(
            array(
        'title' => '',
        'job_type' => '',
        'description' => '',
        'member_image' => '',
            ), $atts));

    $attachement_url = wp_get_attachment_url((int) $member_image);
    ob_start();

    ?>
    <div class="each-member">
        <a class="link-img-hover1" href="#"><img src="<?php echo esc_url($attachement_url) ?>" class="img-responsive" alt=""></a>							
        <div class="divider divider--md1"></div>
        <p>
            <a class="hover-effect-01" href="#">
                <span class="font22 text-uppercase color-custom"><?php echo wp_kses_post($title) ?></span>
                <span class="font18 color-dark">&nbsp; - &nbsp;<em class="main-font"><?php echo esc_html($job_type) ?></em></span>
            </a>
        </p>
        <p><?php echo wp_kses_post($description) ?></p>
    </div>

    <?php
    return ob_get_clean();
}
add_shortcode('yourstore_team_member', 'yourstore_team_member_func');

function yourstore_product_brands_cb($atts)
{
//    $atts = shortcode_atts( array(
//        'limit' => '12',
//        'parent' => '0',
//        'layout' => '0'
//    ), $atts, 'yourstore_product_brands' );

    extract(shortcode_atts(array(
        'limit' => '12',
        'parent' => '0',
        'items_each_row' => '5',
        'layout_type' => 'grid'
            ), $atts));

    ob_start();
    $rand = rand(000000, 999999);
    if (!function_exists('WC') || !function_exists('wcm_sds_brands_thumbnail_id'))
        return false;

    $taxonomy = "brands";
    $args = array('hide_empty' => false, 'number' => (int)$limit, 'parent' => (int) $parent);
    $terms = get_terms($taxonomy, $args);
    
    if(empty($terms) || is_wp_error($terms)){
        return false;
    }
    if ($layout_type == 'slider') {

        echo '<div class="brands-carousel" id="brands-carousel_'.$rand.'"> ';
        foreach ($terms as $term) {

            $thumb_id = wcm_sds_brands_thumbnail_id($term->term_id);
            if (!empty($thumb_id)) {
                $image = wp_get_attachment_image_src($thumb_id, 'full');
                $image = $image[0];
                echo '<div><a href="' . esc_url(get_term_link($term)) . '"><img src="' . esc_url($image) . '" class="img-responsive" alt="' . esc_attr($term->name) . '"> </a></div>';
            }
        }
        echo '</div>';
        
        ?>
        <script type="text/javascript">
                        var $j = jQuery.noConflict();
                        $j(document).ready(function () {
                            brandsCarousel($j('#brands-carousel_<?php echo esc_js($rand)?>'));
                        })
                    </script>
    <?php
        
    } else {
        echo '<div class="hor-line"></div>';
        echo '<div class="brand-lg-list">';
        echo '<div class="row-item">';
        $classes = '';
        $inline_style = '';
        switch((int)$items_each_row){
            case 3:
                $classes = 'col-sm-4';
                break;
            case 4:
                $classes = 'col-sm-3';
                break;
            case 5:
                $classes = 'col-one-fifth';
                break;
            case 6:
                $classes = 'col-sm-2';
                break;
            case 2:
                $classes = 'col-sm-6';
                break;
            default:
                if($items_each_row > 0){
                    $calcVal = 100/$items_each_row;
                    $calcVal .= '%';
                    $inline_style .= ' style="width:'.$calcVal.';"';
                }
                break;
        }
        $count = 1;
        foreach ($terms as $key => $term) {

            $thumb_id = wcm_sds_brands_thumbnail_id($term->term_id);
            if (!empty($thumb_id)) {
                $image = wp_get_attachment_image_src($thumb_id, 'full');
                $image = $image[0];
                echo '<a class="'.esc_attr($classes).'" href="' . esc_url(get_term_link($term)) . '"'.$inline_style.'><img src="' . $image . '" class="img-responsive" alt="' . esc_attr($term->name) . '"> </a>';
            }

            if ($count % $items_each_row == 0 && $key < count($terms) - 1) {
                echo '</div>';
                echo '<div class="row-item">';
            }
            
            $count++;
        }
        echo '</div>';
        echo '</div>'; 
        ?>

    <?php
    }


    return ob_get_clean();
}
add_shortcode('yourstore_product_brands', 'yourstore_product_brands_cb');
add_shortcode('testimonials', 'testimonials_cb');
add_shortcode('gallaries', 'gallaries_cb');

function gallaries_cb($atts = array())
{
 extract(shortcode_atts(array(
        'layout_type' => '1',
        'title' => '',
        'showposts' => '-1',
        'orderby' => 'date',
        'order' => 'DESC',
 
        ), $atts));



    $filter_content_class="";
    $filter_content_element_class="";

   switch ( $layout_type ) {
        case '1' :
            $filter_content_element_class = "col-sm-6";
            break;
        case '2' :
           $filter_content_element_class = "col-sm-6  col-md-4 col-lg-4";
            break;
        case '3' :
           $filter_content_element_class = "col-sm-6 col-md-4  col-lg-3 col-xl-3";
            $filter_content_class="gallery-layout-3";
            break;
        case '4' :
           $filter_content_element_class = "col-item-5";
           $filter_content_class = "gallery-layout-4";
            break;
        case '5' :
            $filter_content_element_class = "col-item-4";
            $filter_content_class = "css-masonry";
            break;
         default :
           $filter_content_element_class = "col-sm-6";
    }
    ob_start();
    $test_query = new WP_Query("post_type=gallery&showposts={$showposts}&orderby={$orderby}&order={$order}");

    echo ' <!-- gallery -->
                <div id="page-wrap" class="gallery">    
        
                    <div class="filter-nav">
                   
                        <a rel="all" class="current">'.__('All','yourstore').'</a> 
                     ';

    $taxonomy = 'gallery-cat';
    $terms = get_terms($taxonomy, array('orderby'=>$orderby,'order'=>$order));
    if(empty($terms) || is_wp_error($terms)) return false;

        $filters = array('');

        foreach($terms as $term){
            $filters[] = $term->slug;
              echo '<a rel="'.$term->slug.'">'.$term->name.'</a> ';
          
        }
     echo '  </div> ';

    if ($test_query->have_posts()) :
        $rand = rand(000000, 999999);
        $prefix = "framework";

        echo ' <div id="filter-content" class="gallery-content row '. $filter_content_class.'">  ';

        while ($test_query->have_posts()): $test_query->the_post();


                $post_id = get_the_ID();


            $terms = get_the_terms( $post_id, 'gallery-cat' );
            $filter_class="";                       
            if ( $terms && ! is_wp_error( $terms ) ) : 
             
                $filter = array();
             
                foreach ( $terms as $term ) {
                    $filter[] = $term->slug;
                }
                                    
                $filter_class = join( ", ", $filter );
            endif;

            $gallary_url = get_post_meta($post_id, "{$prefix}-gallery-url", true);

             echo ' <div class="filter-content-item all '.$filter_class.'  '. $filter_content_element_class.'">
                            <figure>
                              ' . wp_get_attachment_image(get_post_thumbnail_id(), 'full').'
                                <figcaption><!-- add class .content-center in figcaption (center icons)-->                  
                                    <div class="block-table">
                                        <div class="block-table-cell">
                                            <h6 class="title text-uppercase"> '.  strip_tags(get_the_title()) .'</h6>
                                            <em class="color-custom font18">'. $filter_class.'</em>
                                            <div class="divider divider--sm"></div>
                                            <p class="font-lighter">
                                               '.  strip_tags(get_the_content()) .'
                                            </p>
                                            <div class="button-box">
                                                <a href="' . wp_get_attachment_image_url(get_post_thumbnail_id(), 'full').'" class="zomm-gallery"  title="'.  strip_tags(get_the_title()) .'"></a>
                                                ';

                                              if(isset($gallary_url)&&$gallary_url!='')  
                                               echo '<a href="'.$gallary_url.'" class="link-gallery"></a>';
                                            echo ' </div> 
                                        </div>
                                    </div>
                                </figcaption>
                            </figure>
                        </div>          

                        ';
        endwhile;
        echo '</div>';
       endif;
    echo ' <!-- gallery -->';
    echo ' </div>';

    //=========== Gallery Popup
     echo '  <script type="text/javascript">
            // <![CDATA[

                 jQuery(function($j) {  
                "use strict";

                var newSelection = "";
                
                $j(".filter-nav a").click(function(){
                    $j("#all-filter-content").hide(0);
                    $j("#all-filter-content").fadeIn(500);
                
                    $j(".filter-nav a").removeClass("current");
                    $j(this).addClass("current");
                    
                    newSelection = $j(this).attr("rel");
                    
                    $j(".filter-content-item").not("."+newSelection).fadeOut();
                    $j("."+newSelection).fadeIn();
                    
                    $j("#all-filter-content").fadeIn(0);
                    
                });
                
            });


            jQuery(function($j) {   
            "use strict";
            if ($j(".gallery").length) {
                $j(".gallery .zomm-gallery").magnificPopup({
                    type:"image",
                    gallery:{
                        enabled:true
                    }
                    
                });
            }
            
        }); 
                            // ]]>
     </script>

    ';
    wp_reset_postdata();

    $content = ob_get_clean();

    return $content;
}
function testimonials_cb($atts = array())
{

    extract(shortcode_atts(array(
        'layout_type' => 'slider',
        'title' => '',
        'class'=>'',
        'showposts' => '-1',
        'per_row' => '4',
        'orderby' => 'date',
        'order' => 'DESC',
        //'direction' => 'horizontal',
        //'slideshowspeed' => '7000',
        'set_slider_element' => 'default',
        'device_xl' => '2',
        'device_lg' => '2',
        'device_md' => '1',
        'device_sm' => '1',
        'device_xs' => '1'), $atts));

    ob_start();
    $test_query = new WP_Query("post_type=testimonials&showposts={$showposts}&orderby={$orderby}&order={$order}");

    if ($test_query->have_posts()) {
        $rand = rand(000000, 999999);
        $prefix = "framework";

        ?>
        <?php if (isset($title) && (!empty($title))) { ?>  
            <?php
        }
        $col_md_value = '12';
        if ($layout_type == 'grid') {
            if ($per_row == '4') {
                $col_md_value = '3';
            } elseif ($per_row == '3') {
                $col_md_value = '4';
            } elseif ($per_row == '2') {
                $col_md_value = '6';
            } else {
                $col_md_value = '12';
            }
            echo '<div class="row">
						<div class="col-xs-12 text-center">							
							<span class="color font115 main-font">“</span>							
						</div>
					</div>';
            echo '<div class="row '.$class.'">';
            $count= 1;
            while ($test_query->have_posts()): $test_query->the_post();

                $post_id = get_the_ID();
                $client_name = get_post_meta($post_id, "{$prefix}-client-name", true);

                $client_designation = get_post_meta($post_id, "{$prefix}-client-designation", true);

                echo '<div class="col-md-' . $col_md_value . '">';
                echo '<p>
                    '.strip_tags(get_the_content()).'
							</p>
							<p>
								<span class="font18 color-dark main-font"><span class="color custom-font text-uppercase font-medium font22">'.$client_name.'</span>  -  <em>'.$client_designation.'</em></span>
							</p>';
                echo '</div>';
                
                if($count % $per_row==0){ 
                    echo '</div>';
                    echo '<div class="row">';
                } 
                $count++;
            endwhile;
            echo '</div>';
        }elseif ($layout_type == 'list') {
            echo '<div class="slider-blog-layout1 '.$class.'">';
            while ($test_query->have_posts()): $test_query->the_post(); 
                $post_id = get_the_ID();
                $client_name = get_post_meta($post_id, "{$prefix}-client-name", true); 
                $client_designation = get_post_meta($post_id, "{$prefix}-client-designation", true);
  ?> 
                <a href="#" class="link-hover-block">
                                <div class="slider-blog__item">
                                    <div class="col-md-12">
                                        <div class="box-foto">
                                            <?php echo wp_get_attachment_image(get_post_thumbnail_id(), 'full') ?>
                                        </div>
                                        <div class="box-data">										
                                            <p>
                                                <?php echo strip_tags(get_the_content()) ?> 
                                            </p>
                                            <h6><?php echo $client_name; ?>  <em>&nbsp;-&nbsp;  <?php echo $client_designation; ?></em></h6>
                                        </div>
                                    </div>
                                </div>
                            </a> 
            <div class="divider divider--sm"></div>
                    <?php
            endwhile;
            echo '</div>';
        } else {

            if ($set_slider_element == 'default') {

                ?>
                <div class="slider-blog slick-arrow-bottom <?php echo $class;?>" id="testimonial_slider_<?php echo $rand ?>">
                    <?php
                } else {

                    ?> 
                    <div class="slider-blog-layout1 <?php echo $class;?>" id="testimonial_slider_<?php echo $rand ?>">
                        <?php
                    }
                    while ($test_query->have_posts()): $test_query->the_post();

                        $post_id = get_the_ID();
                        $client_name = get_post_meta($post_id, "{$prefix}-client-name", true);

                        $client_designation = get_post_meta($post_id, "{$prefix}-client-designation", true);

                        if ($set_slider_element == 'default') {

                            ?>
                            <!-- slide homes-->
                            <a href="#" class="link-hover-block">
                                <div class="slider-blog__item">
                                    <div class="row">
                                        <div class="col-xs-12 col-sm-2 col-sm-offset-3 box-foto">
                                            <?php echo wp_get_attachment_image(get_post_thumbnail_id(), 'full') ?>
                                        </div>
                                        <div class="col-xs-12 col-sm-5 col-xl-4 box-data">
                                            <h6><?php echo $client_name; ?>  <em>&nbsp;-&nbsp;  <?php echo $client_designation; ?></em></h6>
                                            <p>
                                                <?php echo strip_tags(get_the_content()) ?>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </a>
                            <!-- /slide-->
                            <?php
                        } else {

                            ?>
                            <a href="#" class="link-hover-block">
                                <div class="slider-blog__item">
                                    <div class="col-md-12">
                                        <div class="box-foto">
                                            <?php echo wp_get_attachment_image(get_post_thumbnail_id(), 'thumbnail') ?>
                                        </div>
                                        <div class="box-data">										
                                            <p>
                                                <?php echo strip_tags(get_the_content()) ?> 
                                            </p>
                                            <h6><?php echo $client_name; ?>  <em>&nbsp;-&nbsp;  <?php echo $client_designation; ?></em></h6>
                                        </div>
                                    </div>
                                </div>
                            </a> 
                            <?php
                        }
                    endwhile;

                    ?>
                </div>
                <?php
                if ($set_slider_element == 'default') {

                    ?>
                    <script type="text/javascript">
                        // <![CDATA[
                        jQuery(function ($) {
                            $(window).load(function () {
                                var ts = $('#testimonial_slider_<?php echo $rand ?>');
                                productCarousel(ts, 1, 1, 1, 1, 1);
                            });
                        });
                        // ]]>
                    </script>
                    <?php
                } else {

                    ?>
                    <script type="text/javascript">
                        var $j = jQuery.noConflict();
                        $j(document).ready(function () {
                            productCarousel($j('#testimonial_slider_<?php echo $rand ?>'), <?php echo esc_js($device_xl)?>, <?php echo esc_js($device_lg)?>, <?php echo esc_js($device_md)?>, <?php echo esc_js($device_sm)?>, <?php echo esc_js($device_xs)?>);
                        })
                    </script>

                    <?php
                }
            }
        } wp_reset_postdata();

        $content = ob_get_clean();

        return $content;
    }

    function yourstore_banner_func($atts = array(), $content)
    {
        extract(shortcode_atts(
                array(
            'back_type' => 'color',
            'back_image' => '',
            'back_color' => 'bg-green',
            'content_class' => 'text-center',
            'url' => '#',
                ), $atts));

        if ($back_type == 'image') {
            $attachement_url = wp_get_attachment_url((int) $back_image);
        }
        
        ob_start();

        echo '<div class="box-baners">';
        if (!empty($url)){
            echo '<a href="' . esc_url($url) . '" class="banner ' . ($back_type == "color" ? " $back_color banner-md" : "") . ' banner-bg zoom-in" >';
        }
        echo '<span class="figure' . ($back_type == "color" ? " bg-none" : "") . '" >';

        if ($back_type == 'image') {
            echo '<img src="' . $attachement_url . '" alt="">';
        }
        echo '<span class="figcaption ' . $content_class . '">';

        echo '<span class="block-table">';
        echo '<span class="block-table-cell"> ';
        echo $content;
        echo '</span>';
        echo '</span>';
        echo '</span>';
        echo '</span>';

        if (!empty($url)){
            echo '</a>';
        }
        echo '</div>';
        return ob_get_clean();
    }
    add_shortcode('yourstore_banner', 'yourstore_banner_func');

    function yourstore_banner_container_func($atts = array(), $content)
    {
        extract(shortcode_atts(
                array(
            'device_xl' => '4',
            'device_lg' => '3',
            'device_md' => '3',
            'device_sm' => '2',
            'device_xs' => '1'
                ), $atts));

        $rand = rand(000000, 999999);
        ob_start();
        echo '<div class="bannerCarousel box-baners" id="bannerCarousel_'.$rand.'">';
        echo do_shortcode($content);
        echo '</div>';

        ?> 
        <script>
            var $j = jQuery.noConflict();
            $j(document).ready(function () {
                productCarousel($j('#bannerCarousel_<?php echo esc_js($rand)?>'), <?php echo esc_js($device_xl)?>, <?php echo esc_js($device_lg)?>, <?php echo esc_js($device_md)?>, <?php echo esc_js($device_sm)?>, <?php echo esc_js($device_xs)?>);
            })
        </script>
        <?php
        return ob_get_clean();
    }

    function yourstore_recent_blog_post_cb($atts)
    {
        if(!class_exists('YourStore_Latest_Post')){
            return false;
        }
        $atts = shortcode_atts(array(
            'layout_type' => 'slider',
            'number' => 5,
            'set_slider_element' => 'default',
            'device_lg' => '3',
            'device_xl' => '2',
            'device_md' => '1',
            'device_sm' => '1',
            'device_xs' => '1',
            'title' => null
            ), $atts, 'yourstore_recent_blog_post');

        $rand = rand(000000, 999999);
        extract($atts);

        if (!class_exists('YourStore_Latest_Post')) {
            return false;
        }

        $yourstore_recent = new YourStore_Latest_Post();

        ob_start(); 
        if($layout_type == 'list'){
          $yourstore_recent->yourstore_all_latest_posts_list($number, $title);   
        }else{
          $yourstore_recent->yourstore_all_latest_posts($number, $title,$rand);
          ?>
        <script type="text/javascript">
            var $j = jQuery.noConflict();
            $j(document).ready(function () {
                productCarousel($j('#postsCarouselCustom_<?php echo esc_js($rand)?>'), <?php echo esc_js($device_xl)?>, <?php echo esc_js($device_lg)?>, <?php echo esc_js($device_md)?>, <?php echo esc_js($device_sm)?>, <?php echo esc_js($device_xs)?>);
            })
        </script>
        
        <?php
        }
        
        $html = ob_get_clean();

        return $html;
    }
    add_shortcode('yourstore_recent_blog_post', 'yourstore_recent_blog_post_cb');

    add_shortcode('yourstore_banner_container', 'yourstore_banner_container_func');

    if (class_exists('WPBakeryShortCodesContainer')) {

        class WPBakeryShortCode_yourstore_banner_container extends WPBakeryShortCodesContainer
        {

            function content($atts, $content = null)
            {
                return yourstore_banner_container_func($atts, $content);
            }
        }

        class WPBakeryShortCode_yourstore_banner extends WPBakeryShortCode
        {

            function content($atts, $content = null)
            {
                return yourstore_banner_func($atts, $content);
            }
        }

    } 

function yourstore_products_carousel_cb($atts){
    $atts = shortcode_atts( array(
            'title' => 'products',
            'slider_type'=> 'horizontal_carousel',
            'title_under' => 'title-under',
            'multiple_images' => '0',
            'title_align' => 'text-left',
            'product_type' => 'recent',
            'per_page' => '12', 
            'orderby' => 'date',
            'order' => 'DESC',
            'ids' => '',
            'set_slider_element' => 'default',
            'device_xl' => '2',
            'device_lg' => '2',
            'device_md' => '1',
            'device_sm' => '1',
            'device_xs' => '1'
    ), $atts, 'yourstore_products_carousel' );

    extract($atts);
 

    if(!function_exists('WC')) return false;

    $query_args = array(
        'posts_per_page' => (int)$per_page,
        'post_status'    => 'publish',
        'post_type'      => 'product',
        'no_found_rows'  => 1,
        'order'          => $order,
        'meta_query'     => array()
    );

    if ( ! empty( $hide_free ) && (bool) $hide_free ) {
        $query_args['meta_query'][] = array(
            'key'     => '_price',
            'value'   => 0,
            'compare' => '>',
            'type'    => 'DECIMAL',
        );
    }

    if ( !empty( $show_hidden ) && (bool) $show_hidden ) {
        $query_args['meta_query'][] = WC()->query->visibility_meta_query();
        $query_args['post_parent']  = 0;
    }

    $query_args['meta_query'][] = WC()->query->stock_status_meta_query();
    $query_args['meta_query']   = array_filter( $query_args['meta_query'] );



    switch ( $product_type ) {
        case 'featured' :
            $atts = shortcode_atts( array(
                'per_page' =>  $atts['per_page'],
               
                'orderby'  => 'date',
                'order'    => 'desc',
                'category' => '',  
                'operator' => 'IN',
                'zoom_effect' => 1
            ), $atts, 'featured_products' );
            $meta_query  = WC()->query->get_meta_query();
            $tax_query   = WC()->query->get_tax_query();
            $tax_query[] = array(
                'taxonomy' => 'product_visibility',
                'field'    => 'name',
                'terms'    => 'featured',
                'operator' => 'IN',
            );
            $query_args = array(
                'post_type'           => 'product',
                'post_status'         => 'publish',
                'ignore_sticky_posts' => 1,
                'posts_per_page'      => $atts['per_page'],
                'orderby'             => $atts['orderby'],
                'order'               => $atts['order'],
                'meta_query'          => $meta_query,
                'tax_query'           => $tax_query,
            );
            $query_args = yourstore_maybe_add_category_args( $query_args, $atts['category'], $atts['operator'] );
            break;
        case 'onsale' :
                
            $atts = shortcode_atts( array(
                'per_page' =>  $atts['per_page'],
               
                'orderby'  => 'title',
                'order'    => 'asc',
                'category' => '', 
                'operator' => 'IN', 
                'zoom_effect' => 1
            ), $atts, 'sale_products' );
            $query_args = array(
                'posts_per_page' => $atts['per_page'],
                'orderby'        => $atts['orderby'],
                'order'          => $atts['order'],
                'no_found_rows'  => 1,
                'post_status'    => 'publish',
                'post_type'      => 'product',
                'meta_query'     => WC()->query->get_meta_query(),
                'tax_query'      => WC()->query->get_tax_query(),
                'post__in'       => array_merge( array( 0 ), wc_get_product_ids_on_sale() ),
            );
            $query_args = yourstore_maybe_add_category_args( $query_args, $atts['category'], $atts['operator'] );

            break;
        case 'top' :
            $query_args['meta_query'] = WC()->query->get_meta_query();
            break;
        case 'category' :
            if (!empty($ids)) {
                $query_args['tax_query'][] = array('taxonomy' => 'product_cat', 'terms' => explode(",",$ids), 'field' => 'term_id', 'operator' => 'IN');
            }
            break;
    }


    switch ( $orderby ) {
        case 'price' :
            $query_args['meta_key'] = '_price';
            $query_args['orderby']  = 'meta_value_num';
            break;
        case 'rand' :
            $query_args['orderby']  = 'rand';
            break;
        case 'sales' :
            $query_args['meta_key'] = 'total_sales';
            $query_args['orderby']  = 'meta_value_num';
            break;
        default :
            $query_args['orderby']  = 'date';
    }

    $yourstore_products = new WP_Query( $query_args );

    $random_id = 'pro_cur_'. rand();

    $container_class = (!empty($show_desc) && (int) $show_desc) ? 'yourstore_wc_top_sale_slider' : '';

//slider type verticle carousel
    if($slider_type=='revolution') :

    $html = '';

    ob_start();
    ?>
    <!-- Slider section --> 
        <section class="content offset-top-0" id="slider">
            <div class="container">             
    <!--
    #################################
    - THEMEPUNCH BANNER -
    #################################
     --> 
                        <div class="tp-banner-container">
                        <div class="tp-banner">
                            <ul>
                              <?php
                                $count = 0;
                                if ($yourstore_products->have_posts()):
 
                                while ($yourstore_products->have_posts()):

                                    $yourstore_products->the_post();
                                    global $product;
                                    $count++;
                                ?>
                                <!-- SLIDE -1 -->
                                <li data-transition="fade" data-slotamount="1" data-masterspeed="1000" data-saveperformance="off"  data-title="Slide">
                                    <!-- MAIN IMAGE --> 
                                   
                                    <!-- LAYERS -->

                                    <!-- IMAGE -->

                            <!-- item -->
                          
                         
                                    <?php
                                    $attachment_ids = $product->get_gallery_attachment_ids();
                                    
                                    $i=1;
                                    foreach( $attachment_ids as $attachment_id )  { 
                                    $image_link = wp_get_attachment_url( $attachment_id );
                                    if( $i<=1){ //this is because we need only two image
                                    ?>

                                    <!-- IMAGE NR. 01 -->
                                    <div class="tp-caption  lft ltb" 
                                        data-x="199" 
                                        data-y="34" 
                                        data-speed="900"
                                        data-start="1000"
                                        data-easing="Power4.easeOut"
                                        style="z-index: 5;">
                                           <img class="img-responsive" src="<?php echo esc_html($image_link);?>" alt="<?php the_title(); ?>">
                                    </div>
                                    <?php 
                                    }
                                    if($i>1 && $i<=2) {
                                    ?>
                                    <!-- IMAGE NR. 02 -->
                                    <div class="tp-caption  lfb ltt" 
                                        data-x="639" 
                                        data-y="170"  
                                        data-speed="900"
                                        data-start="1000"
                                        data-easing="Power4.easeOut"
                                        style="z-index: 5;">
                                            <img class="img-responsive" src="<?php echo esc_html($image_link);?>" alt="<?php the_title(); ?>">
                                    </div>
                                    <?php
                                    }
                                     $i++;
                                    }
                                    ?>
                                    <!-- TEXT -->
                                    <div class="tp-caption lfr str" 
                                        data-x="1300"         
                                        data-y="center"    
                                        data-voffset="60" 
                                        data-speed="600" 
                                        data-start="900" 
                                        data-easing="Power4.easeOut" 
                                        data-endeasing="Power4.easeIn" 
                                        style="z-index: 7;">
                                        <div class="tp-caption--product-1">
                                            <h6 class="title text-uppercase"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h6>
                                            
                                       <?php if ( $price_html = $product->get_price_html() ) : ?>
                                                <div class="price"><?php echo $price_html; ?></div>
                                        <?php endif; ?>
                                            <div class="text">
                                               <?php  the_excerpt(); ?>
                                            </div>
                                            <a href="#" class="btn btn--ys btn--lg btn-top"><span class="icon icon-shopping_basket"></span> Add to cart</a>
                                        </div>                              
                                    </div>
                                </li>
                                <!-- /SLIDE -1 -->
                                <?php
                                endwhile;
                                endif;
                                ?>
                                    <!-- /SLIDE 3  -->        
                            </ul>
                        </div>
                    </div>              
            </div>
        </section>

        <script>
            jQuery(document).ready(function() {
                "use strict";
                // Revolution Slider
                  jQuery('.tp-banner').show().revolution(
                  {
                    dottedOverlay:"none",
                    delay:16000,
                    startwidth:2048,
                    hideThumbs:200,
                    hideTimerBar:"on",
                    
                    thumbWidth:100,
                    thumbHeight:50,
                    thumbAmount:5,
                    
                    navigationType:"none",
                    navigationArrows:"",
                    navigationStyle:"",
                    
                    touchenabled:"on",
                    onHoverStop:"on",
                    
                    swipe_velocity: 0.7,
                    swipe_min_touches: 1,
                    swipe_max_touches: 1,
                    drag_block_vertical: false,
                                
                    parallax:"mouse",
                    parallaxBgFreeze:"on",
                    parallaxLevels:[7,4,3,2,5,4,3,2,1,0],
                                
                    keyboardNavigation:"off",
                    
                    navigationHAlign:"center",
                    navigationVAlign:"bottom",
                    navigationHOffset:0,
                    navigationVOffset:20,
            
                    soloArrowLeftHalign:"left",
                    soloArrowLeftValign:"center",
                    soloArrowLeftHOffset:20,
                    soloArrowLeftVOffset:0,
            
                    soloArrowRightHalign:"right",
                    soloArrowRightValign:"center",
                    soloArrowRightHOffset:20,
                    soloArrowRightVOffset:0,
                        
                    shadow:0,
                    fullWidth:"off",
                    fullScreen:"on",
            
                    spinner:"",
                    h_align:"left",
                    
                    stopLoop:"off",
                    stopAfterLoops:-1,
                    stopAtSlide:-1,
            
                    shuffle:"off",
                    
                    autoHeight:"off",           
                    forceFullWidth:"off",           
                                                        
                                
                    hideThumbsOnMobile:"off",
                    hideNavDelayOnMobile:1500,            
                    hideBulletsOnMobile:"off",
                    hideArrowsOnMobile:"off",
                    hideThumbsUnderResolution:0,
                    
                    hideSliderAtLimit:0,
                    hideCaptionAtLimit:0,
                    hideAllCaptionAtLilmit:0,
                    startWithSlide:0,
                    fullScreenOffsetContainer: "#header"  
                  });
             })
        </script>
    <?php
    wp_reset_postdata();

    $html = ob_get_clean();
    return $html;



    elseif($slider_type=="horizontal_carousel_full"):
    $html = '';

    ob_start();
?>
            <section class="content offset-top-0 ">
                <div class="container-fluid">   
                    <!-- carousel -->
                    <div class="row"  id="carouselHeader">
                    <?php
                        $count = 0;
                        if ($yourstore_products->have_posts()):

                        while ($yourstore_products->have_posts()):

                            $yourstore_products->the_post();
                            global $product;
                            $count++;
                    ?>

                        <!-- item -->
                        <div>                       
                            <div class="carousel-product-popup">
                                <!-- product image -->
                                <div class="product__inside__image">

                                    <a href="<?php the_permalink(); ?>">
                                       <?php if ( has_post_thumbnail( $product->id ) ) {
                                        $attachment_ids[0] = get_post_thumbnail_id( $product->id );
                                         $attachment = wp_get_attachment_image_src($attachment_ids[0], 'full' ); ?>    
                                        <img src="<?php echo $attachment[0] ; ?>" class="card-image"  />
                                        <?php } ?>
                                    </a>
                                </div>
                                <!-- /product image --> 
                                <!-- product hover-popup -->
                                <div class="product-hover-popup">
                                    <!-- product name -->
                                    <div class="product__inside__name">
                                        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                    </div>
                                    <!-- /product name --> 
                                    <!-- product price -->
                                       <?php if ( $price_html = $product->get_price_html() ) : ?>
                                                <div class="product__inside__price price-box"><?php echo $price_html; ?></div>
                                        <?php endif; ?>
                                   
                                    <!-- /product price -->
                                    <!-- product button -->
                                    <?php
                                        woocommerce_template_loop_add_to_cart();
                                    ?>
                                    <!-- /product button -->
                                </div>
                                <!-- /product hover-popup -->
                            </div>
                        </div>
                        <!-- /item -->
                          <?php
                            endwhile;
                            endif;
                           ?>                    

                    </div>
                    
                    <!-- /carousel --> 
                     </div>
             </section>
            <script>
            jQuery(document).ready(function($j) {
                "use strict";
            
                // Init All Carousel                
                productCarousel($j('#carouselHeader'),4,4,3,2,1);
                 })
        </script>               
<?php
   wp_reset_postdata();

    $html = ob_get_clean();
    return $html;
    else :

   
    $values_for_tpl = array();
 
    $values_for_tpl['yourstore_wc_col_class'] = 'no-cols col-lg-3';

    $html = '';
    
    ob_start();
    
    if($multiple_images == '1'){
        $values_for_tpl['multiple_images'] = true;
    }else{
        $values_for_tpl['multiple_images'] = false;
    }
    ?> 

    <div class="yourstore_pro_carousel <?php echo esc_attr($container_class); ?>" id="<?php echo esc_attr($random_id); ?>">
        <div class="title-with-button">
            <div class="carousel-products__button pull-right"> <span class="btn-prev"></span> <span class="btn-next"></span> </div>
            <h2 class="<?php echo esc_attr($title_align)?> <?php echo esc_attr($title_under)?>"><?php echo wp_kses_post($title)?></h2>
        </div>
       
        <?php if ($yourstore_products->have_posts()): ?>
            <ul class="carousel-products products">
            <?php
                $count = 0;
                while ($yourstore_products->have_posts()):

                    $yourstore_products->the_post();
                    $values_for_tpl['product'] = wc_get_product(get_the_ID());
                    $count++;
                    wc_get_template( 'content-product.php', $values_for_tpl );

                endwhile;
            ?>
            </ul>
        <?php endif; ?>

    </div>

    <script type="text/javascript">
    jQuery(window).on('load', function() {

        productCarousel(jQuery('#<?php echo esc_attr($random_id); ?> ul.products'),<?php echo esc_js($device_xl)?>, <?php echo esc_js($device_lg)?>, <?php echo esc_js($device_md)?>, <?php echo esc_js($device_sm)?>, <?php echo esc_js($device_xs)?>); // 3 - xl, 3 - lg, 3 - md, 2 - sm, 1 - xs


    });
    </script>
<?php
    wp_reset_postdata();

    $html = ob_get_clean();
    return $html;

  
   
    endif;   

}
add_shortcode('yourstore_products_carousel', 'yourstore_products_carousel_cb');




add_shortcode('yourstore_featured_products', 'yourstore_featured_products_cb');

function yourstore_featured_products_cb( $atts ) {
    if (!function_exists('WC')) {
        return;
    }   
    switch ( $atts['show'] ) {
        case 'featured' :
            $atts = shortcode_atts( array(
            'per_page' => $atts['per_page'],
            'columns'  => $atts['columns'],
            'orderby'  => 'date',
            'order'    => 'desc',
            'category' => '',  // Slugs
            'operator' => 'IN', // Possible values are 'IN', 'NOT IN', 'AND'.
            'zoom_effect' => 1
        ), $atts, 'featured_products' );
        $meta_query  = WC()->query->get_meta_query();
        $tax_query   = WC()->query->get_tax_query();
        $tax_query[] = array(
            'taxonomy' => 'product_visibility',
            'field'    => 'name',
            'terms'    => 'featured',
            'operator' => 'IN',
        );
        $query_args = array(
            'post_type'           => 'product',
            'post_status'         => 'publish',
            'ignore_sticky_posts' => 1,
            'posts_per_page'      => $atts['per_page'],
            'orderby'             => $atts['orderby'],
            'order'               => $atts['order'],
            'meta_query'          => $meta_query,
            'tax_query'           => $tax_query,
        );
        $query_args = yourstore_maybe_add_category_args( $query_args, $atts['category'], $atts['operator'] );
        return yourstore_product_loop( $query_args, $atts, 'featured_products' );
        break;
        case 'onsale' :
           $atts = shortcode_atts( array(
            'per_page' =>  $atts['per_page'],
            'columns'  => $atts['columns'],
            'orderby'  => 'title',
            'order'    => 'asc',
            'category' => '', // Slugs
            'operator' => 'IN', // Possible values are 'IN', 'NOT IN', 'AND'.
            'zoom_effect' => 1
        ), $atts, 'sale_products' );
        $query_args = array(
            'posts_per_page' => $atts['per_page'],
            'orderby'        => $atts['orderby'],
            'order'          => $atts['order'],
            'no_found_rows'  => 1,
            'post_status'    => 'publish',
            'post_type'      => 'product',
            'meta_query'     => WC()->query->get_meta_query(),
            'tax_query'      => WC()->query->get_tax_query(),
            'post__in'       => array_merge( array( 0 ), wc_get_product_ids_on_sale() ),
        );
        $query_args = yourstore_maybe_add_category_args( $query_args, $atts['category'], $atts['operator'] );
        return yourstore_product_loop( $query_args, $atts, 'sale_products' );
        break;
        default:
        $atts = shortcode_atts( array(
            'per_page' => '8',
            'columns' => '4',
            'orderby' => 'title',
            'order'   => 'asc',
            'ids'     => '',
            'skus'    => '',
            'zoom_effect' => 1
        ), $atts, 'products' );
        $query_args = array(
            'post_type'           => 'product',
            'post_status'         => 'publish',
            'ignore_sticky_posts' => 1,
            'orderby'             => $atts['orderby'],
            'order'               => $atts['order'],
            'posts_per_page'      => $atts['per_page'],
            'meta_query'          => WC()->query->get_meta_query(),
            'tax_query'           => WC()->query->get_tax_query(),
        );
        if ( ! empty( $atts['skus'] ) ) {
            $query_args['meta_query'][] = array(
                'key'     => '_sku',
                'value'   => array_map( 'trim', explode( ',', $atts['skus'] ) ),
                'compare' => 'IN',
            );
        }
        if ( ! empty( $atts['ids'] ) ) {
            $query_args['post__in'] = array_map( 'trim', explode( ',', $atts['ids'] ) );
        }
        return yourstore_product_loop( $query_args, $atts, 'products' );
    }  
}


function yourstore_product_loop( $query_args, $atts, $loop_name ) {
    global $woocommerce_loop;

    $products                    = new WP_Query( apply_filters( 'woocommerce_shortcode_products_query', $query_args, $atts, $loop_name ) );
    $columns                     = absint( $atts['columns'] );
    $woocommerce_loop['columns'] = $columns;
    $woocommerce_loop['name']    = $loop_name;

    $_is_zoom_effect = (int) $atts['zoom_effect'];

    ob_start();

    if ( $products->have_posts() ) {
        ?>

        <?php do_action( "woocommerce_shortcode_before_{$loop_name}_loop" ); ?>

        <?php woocommerce_product_loop_start(); ?>

            <?php while ( $products->have_posts() ) : $products->the_post(); ?>

                <?php 
                $values_for_tpl = array( 'is_zoom_effect' => (bool) $_is_zoom_effect );
                $values_for_tpl['product'] = wc_get_product(get_the_ID());
                wc_get_template( 'content-product.php', $values_for_tpl ); ?>

            <?php endwhile; // end of the loop. ?>

        <?php woocommerce_product_loop_end(); ?>

        <?php do_action( "woocommerce_shortcode_after_{$loop_name}_loop" ); ?>

        <?php
    } else {
        do_action( "woocommerce_shortcode_{$loop_name}_loop_no_results" );
    }

    woocommerce_reset_loop();
    wp_reset_postdata();

    return '<div class="woocommerce columns-' . $columns . '">' . ob_get_clean() . '</div>';
}


function yourstore_maybe_add_category_args( $args, $category, $operator ) {
    if ( ! empty( $category ) ) {
        $args['tax_query'] = array(
            array(
                'taxonomy' => 'product_cat',
                'terms'    => array_map( 'sanitize_title', explode( ',', $category ) ),
                'field'    => 'slug',
                'operator' => $operator
            )
        );
    }

    return $args;
}
add_shortcode('yourstore_instagram_feed', 'yourstore_instagram_feed_cb');

function yourstore_instagram_feed_cb( $atts ) { 

      $atts = shortcode_atts( array(

        'title' => 'INSTAGRAM FEED',
        'userid' => '',
        'clientid'  => '',
        'limit'  => '',
        'accesstoken'    => '',
         
    ), $atts );
 
        extract($atts);

 wp_enqueue_script('instafeed', YOURSTORE_THEME_URI . '/external/instafeed/instafeed.min.js', array('jquery'), '201202124', true);
  ob_start();

?>

  <section class="content fullwidth hidden-xs">
    <div class="container">
        <div class="row">
            <div class="instafeed-wrapper">
                <h3 class="title-vertical"><span><?php echo esc_html($title);?></span></h3>
                <div id="instafeed" class="instafeed"></div>
            </div>
        </div>
    </div>
</section>

<script type="text/javascript">
    jQuery(document).ready(function($j) {
        "use strict";

        if ($j('#instafeed').length > 0) {
            // Instagram Feed
            var instaFeedLoad = function(){
                var feed = new Instafeed({
                    get: 'user',
                    userId: '<?php echo esc_html($userid);?>',
                    clientId: '<?php echo esc_html($clientid);?>',
                    limit: <?php echo esc_html($limit);?>,
                    sortBy: 'most-liked',
                    resolution: "thumbnail",
                    accessToken: '<?php echo esc_html($accesstoken);?>',
                    template: '<a href="{{link}}" target="_blank"><img src="{{image}}" /></a>'
                });
                feed.run();
            };
            $j(window).on('scroll keydown touchcancel', function(e){
                if((e.type == 'keydown' && e.keyCode != 35) || $j('#instafeed').hasClass('instafeed-loaded')){
                    return true;
                }
				var instafeedtop = $j('#instafeed').offset().top;
                var wtop = $j(this).scrollTop();
                var wh = $j(this).height();
                if(wtop + wh >= instafeedtop){
                    $j('#instafeed').addClass('instafeed-loaded');
                    instaFeedLoad();
                }
            });
        }
    });
</script>
<?php
    return ob_get_clean();
     
}
function yourstore_one_product_cb($atts){
    $atts = shortcode_atts( array(
        'title' => 'Hot',
        'id' => 0,
        'class'=>''
    ), $atts, 'yourstore_one_product' );

    extract($atts);

    $query_args = array(
        'posts_per_page' => 1,
        'post_status'    => 'publish',
        'post_type'      => 'product',
        'no_found_rows'  => 1
    );

    $query_args['post__in'][] = $id;

    $yourstore_hp = new WP_Query( $query_args );

    $html = '';

    ob_start();

    if ($yourstore_hp->have_posts()):
        while ($yourstore_hp->have_posts()):
            $yourstore_hp->the_post();
            global $product;

           $attachment_ids = $product->get_gallery_attachment_ids();
           $elem_id = 'bannerOneProduct-'.rand(000000,999999);
            ?>
            <!-- banner-one-product -->
            <section id="<?php echo esc_attr($elem_id)?>" class="banner-one-product container-fluid fill-bg-lighter content offset-top-0 l9-one-product-js <?php echo esc_attr($class);?>">
                <div class="row">
                    <div class="col-sm-12 col-md-7">
                        <!-- bannerOneProduct -->
                        <div class="bannerOneProduct slick-arrow-bottom-wrapper">

                            <?php  foreach( $attachment_ids as $attachment_id )  { 
                                           $image_link = wp_get_attachment_url( $attachment_id );
                                ?>
                            <!-- item -->
                            <div>
                            <img class="img-responsive" src="<?php echo esc_html($image_link);?>" alt="<?php the_title(); ?>">
                            </div>
                            <!-- /item -->
                            <?php } ?>
                        </div>
                        <!-- /bannerOneProduct -->
                    </div>
                    <div class="col-sm-12 col-md-5">
                        <div class="product-content">
                            <h2 class="title text-uppercase"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                            <span class="yourstore_hp_timer" id="yourstore_hp_timer_<?php $uniq_id = rand(0000000,9999999); echo $uniq_id; ?>"></span>
                    
                         <span class="yourstore_hp_timer" id="yourstore_hp_timer_<?php $uniq_id = rand(0000000,9999999); echo $uniq_id; ?>"></span>
                    <?php
                    $time_limit = get_post_meta(get_the_ID(),'_sale_price_dates_to',true);
                    if(!empty($time_limit)):
                        $datestring = date('Y, n-1 ,d', $time_limit);
                    ?>
                    <script type="text/javascript">
                        jQuery(document).ready(function () {
                            jQuery('#yourstore_hp_timer_<?php echo $uniq_id; ?>').countdown({
                                until: new Date(<?php echo $datestring; ?>),
                                compact: false,
                                padZeroes: true,
                                labels:['', '', '', '', '', '', ''],
                                labels1:['', '', '', '', '', '', '']
                            });
                        });
                    </script>
                    <?php endif; ?>
                     <div class="yourstore_wc_rating_price clearfix">
                        <?php if ( $price_html = $product->get_price_html() ) : ?>
                            <div class="price"><?php echo $price_html; ?></div>
                        <?php endif; ?>
                       
                    </div>
                            <!-- product button -->
                            <div class="clearfix ">
                                <?php if($product->supports( 'ajax_add_to_cart' )){?>
                                <div class="pull-left">
                                    <div class="number input-counter">
                                        <span class="minus-btn">-</span>
                                        <input class="banner-pqty" type="text" value="1" size="5"/>
                                        <span class="plus-btn">+</span>
                                    </div>
                                </div>
                                <?php }?>
                                <div class="pull-left">
                                    <!-- product button -->
                                    <?php
                                    woocommerce_template_loop_add_to_cart(array('custom_classes' => ' btn--l'));
                                    ?>
                                    <!-- /product button -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- /banner-one-product -->
            <script>
            jQuery(document).ready(function($j) {
                "use strict";
                var elem = $j('#<?php echo esc_js($elem_id)?>');
                productCarousel($j('.bannerOneProduct', elem), 1,1,1,1,1);
                if($j('.input-counter .banner-pqty', elem).length > 0){
                    $j('.input-counter .minus-btn, .input-counter .plus-btn', elem).on('click',function(){
                        var val = $j('.input-counter .banner-pqty', elem).val();
                        if(parseInt(val) > 0){
                            $j('.ajax_add_to_cart', elem).attr('data-quantity', parseInt(val) + 1);
                        }
                    });
                }
            });
            </script>

            <?php
        endwhile;
    endif;
    wp_reset_postdata();

    $html = ob_get_clean();

    return $html;
}
add_shortcode('yourstore_one_product', 'yourstore_one_product_cb');

function yourstore_get_wooproducts($product_type,$orderby, $per_page, $order, $cat_ids = ''){

    if(!function_exists('WC')) return false;

    $query_args = array(
        'posts_per_page' => (int)$per_page,
        'post_status'    => 'publish',
        'post_type'      => 'product',
        'no_found_rows'  => 1,
        'order'          => $order,
        'meta_query'     => array()
    );

    if ( ! empty( $hide_free ) && (bool) $hide_free ) {
        $query_args['meta_query'][] = array(
            'key'     => '_price',
            'value'   => 0,
            'compare' => '>',
            'type'    => 'DECIMAL',
        );
    }

    if ( !empty( $show_hidden ) && (bool) $show_hidden ) {
        $query_args['meta_query'][] = WC()->query->visibility_meta_query();
        $query_args['post_parent']  = 0;
    }

    $query_args['meta_query'][] = WC()->query->stock_status_meta_query();
    $query_args['meta_query']   = array_filter( $query_args['meta_query'] );

    switch ( $product_type ) {
        case 'featured' :
            $query_args['meta_query'][] = array(
                'key'   => '_featured',
                'value' => 'yes'
            );
            break;
        case 'onsale' :
            $product_ids_on_sale    = wc_get_product_ids_on_sale();
            $product_ids_on_sale[]  = 0;
            $query_args['post__in'] = $product_ids_on_sale;
            break;
        case 'top' :
            $query_args['meta_query'] = WC()->query->get_meta_query();
            break;
        case 'category' :
            if (!empty($cat_ids)) {
                $query_args['tax_query'][] = array('taxonomy' => 'product_cat', 'terms' => explode(",",$cat_ids), 'field' => 'term_id', 'operator' => 'IN');
            }
            break;
    }

    switch ( $orderby ) {
        case 'price' :
            $query_args['meta_key'] = '_price';
            $query_args['orderby']  = 'meta_value_num';
            break;
        case 'rand' :
            $query_args['orderby']  = 'rand';
            break;
        case 'sales' :
            $query_args['meta_key'] = 'total_sales';
            $query_args['orderby']  = 'meta_value_num';
            break;
        default :
            $query_args['orderby']  = 'date';
    }

    $yourstore_products = new WP_Query( $query_args );

    wp_reset_postdata();

    return $yourstore_products ;
}

function yourstore_product_grid_render($yourstore_products,$title,$values_for_tpl,$slider_option){


    ob_start();
 if ($yourstore_products->have_posts()): ?>
            <ul class="carousel-products products">
            <?php
                $count = 0;
                while ($yourstore_products->have_posts()):

                    $yourstore_products->the_post();

                    $count++;
                    $values_for_tpl['product'] = wc_get_product(get_the_ID());
                    wc_get_template( 'content-product.php', $values_for_tpl );

                endwhile;
            ?>
            </ul>
        <?php endif; 
        wp_reset_postdata();
    $html = ob_get_clean();
    return $html;

}
function yourstore_products_tab_cb($atts ){

    $atts = shortcode_atts( array(
            'tab1_title' => 'Featured',
            'tab1_product_type' => 'recent',
            'tab1_ids' => '',

            'tab2_title' => 'Recent',
            'tab2_product_type' => 'recent',
            'tab2_ids' => '',

            'tab3_title' => 'On Sale',
            'tab3_product_type' => 'recent',
            'tab3_ids' => '',

            'per_page' => '12', 
            'orderby' => 'date',
            'order' => 'DESC',

            'set_slider_element' => 'default',
            'device_xl' => '4',
            'device_lg' => '4',
            'device_md' => '1',
            'device_sm' => '1',
            'device_xs' => '1'
    ), $atts, 'yourstore_products_carousel' );

    extract($atts);
 
    $values_for_tpl = array();
 
    $values_for_tpl['yourstore_wc_col_class'] = 'no-cols col-lg-3';

 

    $slider_option = array();

     $slider_option['device_xl'] = $device_xl;
     $slider_option['device_lg'] = $device_lg;
     $slider_option['device_md'] = $device_md;
     $slider_option['device_sm'] = $device_sm;
     $slider_option['device_xs'] = $device_xs;

    $tab1_oyourstore_products = yourstore_get_wooproducts($tab1_product_type,$orderby, $per_page, $order, $tab1_ids);


    $tab1_output  = yourstore_product_grid_render($tab1_oyourstore_products,$tab1_title,$values_for_tpl,$slider_option);
    
    $tab1_random_id = 'pro_cur_'. rand();


//tab2

    $tab2_oyourstore_products = yourstore_get_wooproducts($tab2_product_type,$orderby, $per_page, $order, $tab2_ids);
    $tab2_output  = yourstore_product_grid_render($tab2_oyourstore_products,$tab1_title,$values_for_tpl,$slider_option);
    $tab2_random_id = 'pro_cur_'. rand();

//tab3


    $tab3_oyourstore_products = yourstore_get_wooproducts($tab3_product_type,$orderby, $per_page, $order, $tab3_ids);
    $tab3_output  = yourstore_product_grid_render($tab3_oyourstore_products,$tab1_title,$values_for_tpl,$slider_option);
    $tab3_random_id = 'pro_cur_'. rand();


    $container_class =  'carousel-products carouselTab slick-arrow-top row' ;

    $tab1_id = 'Tab-'.rand(000000,999999);
    $tab2_id = 'Tab-'.rand(000000,999999);
    $tab3_id = 'Tab-'.rand(000000,999999);

  //  echo  $tab1_output;
    ob_start();
?>
        <!-- Nav tabs -->
        <ul class="nav nav-tabs nav-tabs--ys-center text-center" role="tablist">
            <li class="active"><a href="#<?php echo $tab1_id?>" role="tab" data-toggle="tab" class="text-uppercase"><?php echo wp_kses_post($tab1_title)?></a></li>
            <li><a href="#<?php echo $tab2_id?>" role="tab" data-toggle="tab" class="text-uppercase"><?php echo wp_kses_post($tab2_title)?> </a></li>
            <li><a href="#<?php echo $tab3_id?>" role="tab" data-toggle="tab" class="text-uppercase"><?php echo wp_kses_post($tab3_title)?></a></li>                            
        </ul>

    <!-- Tab panes -->
     <div class="tab-content tab-content--ys-center">
        <div role="tabpanel" class="tab-pane active" id="<?php echo $tab1_id?>"> 
        </div>
        <div role="tabpanel" class="tab-pane active" id="<?php echo $tab2_id?>"> 
        </div>
        <div role="tabpanel" class="tab-pane active" id="<?php echo $tab3_id?>"> 
        </div>
        </div>  


    <div id="<?php echo $tab1_id?>-clone" style="display:none">
    <!-- carousel -->
 
            <div class="<?php echo esc_attr($container_class); ?>" id="<?php echo esc_attr($tab1_random_id); ?>">
                <?php echo     $tab1_output; ?>

            </div>
   </div>

    <!-- carousel -->
      <div id="<?php echo $tab2_id?>-clone" style="display:none">
    <!-- carousel -->
 
            <div class="<?php echo esc_attr($container_class); ?>" id="<?php echo esc_attr($tab2_random_id); ?>">
                <?php echo     $tab2_output; ?>

            </div>
   </div>
   
    <!-- carousel -->
        <div id="<?php echo $tab3_id?>-clone" style="display:none">
    <!-- carousel -->
 
            <div class="<?php echo esc_attr($container_class); ?>" id="<?php echo esc_attr($tab3_random_id); ?>">
                <?php echo     $tab3_output; ?>

            </div>
   </div>
   
    
<?php
   $html = ob_get_clean();

    return  $html ;

 
    }
add_shortcode('yourstore_products_tab', 'yourstore_products_tab_cb');
