<?php
/*
 * Visual Composer map for smart shortcode
 */

function yourstore_custom_shortcodes()
{

    vc_map(
        array(
            "name" => __("Yourstore Promo", 'yourstore'),
        	"description" => __("Set promo banner & label", 'yourstore'),
            "base" => "promo",
            "class" => "",
            "icon" => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
            "weight" => 1000,
            "controls" => "full",
            "category" => __('Yourstore'),
            "params" => array(
                array(
                    'type' => 'textfield',
                    'heading' => __('Title', 'yourstore'),
                    'value' => '',
                    'param_name' => 'title',
                    "description" => __("Set section title.", "yourstore"),
					"admin_label"=> true,
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Title Underline", "yourstore"),
                    "param_name" => "title_under",
                    "value" => array(
                        'Yes' => 'title-under',
                        'No' => '', 
                    ),
                    "description" => __("Control title underline.", "yourstore"),
					"admin_label"=> true,
                ), 
                array(
                    "type" => "dropdown",
                    "heading" => __("Title Alignment", "yourstore"),
                    "param_name" => "title_align",
                    "value" => array(
                        'Left' => 'text-left',
                        'Center' => 'text-center',
                        'Right' => 'text-right', 
                    ),
                    "description" => __("Control title alignment.", "yourstore"),
					"admin_label"=> true, 
                ),
                array(
                    "type" => "attach_image",
                    "heading" => __( "Promo Image", "yourstore" ),
                    "param_name" => "promo__image",
                    "description" => __("Upload promo image.", "yourstore"),
					"admin_label"=> true,
                ),
                array(
                    "type" => "textfield",
                    "heading" => __( "Promo URL", "yourstore" ),
                    "param_name" => "promo__url",
                    "value" => '',
                    "description" => __( "Set link.", "yourstore" ),
					"admin_label"=> true,
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Promo Label", 'yourstore'),
                    "param_name" => "promo__label",
                    "description" => __("Set promo title.", 'yourstore'),
					"admin_label"=> true,
                ),
            )
        )
    );


    vc_map(
        array(
            "name" => __("Yourstore Team Member", 'yourstore'),
        	"description" => __("Set team member", 'yourstore'),
            "base" => "yourstore_team_member",
            "class" => "",
            "icon" => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
            "weight" => 1000,
            "controls" => "full",
            "category" => __('Yourstore'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "heading" => __("Team Member Name", 'yourstore'),
                    "param_name" => "title",
                    "description" => __("Set team member name.", 'yourstore'),
					"admin_label"=> true,
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Job Type", 'yourstore'),
                    "param_name" => "job_type",
                    "description" => __("Set job type of team member.", 'yourstore'),
					"admin_label"=> true,
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Description", 'yourstore'),
                    "param_name" => "description",
                    "description" => __("This field not support html, please write down in text.", 'yourstore'),
					"admin_label"=> true,
                ),
                array(
                    "type" => "attach_image",
                    "heading" => __("Team Member Image", 'yourstore'),
                    "param_name" => "member_image",
                    "value" => __("", 'yourstore'),
                    "description" => __("Upload team member image.", 'yourstore'),
					"admin_label"=> true,
                ),
            )
        )
    );
    /*
     * Testimonial Slider 
     */
    vc_map(array(
        "name" => __("Yourstore Testimonial", 'yourstore'),
        "description" => __("Customer testimonials", 'yourstore'),
        "base" => "testimonials",
        "class" => "",
        "icon" => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
        "category" => __('Yourstore'),
        "params" => array(
            array(
                "type" => "textfield",
                'heading' => __('Title', 'yourstore'),
                "param_name" => "title",
                "value" => "Testimonials",
                "description" => __("Set section title.", 'yourstore'),
				"admin_label"=> true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number of Testimonials", 'yourstore'),
                "param_name" => "showposts",
                "value" => "5",
                "description" => __("Set number of testimonials to display.", 'yourstore'),
				"admin_label"=> true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Layout Type', 'yourstore'),
                'param_name' => 'layout_type',
                'value' => array(
                    'Slider' => 'slider',
                    'Grid' => 'grid',
                    'List' => 'list',
                ),
                "description" => __("Grid layout doesn't show images.", 'yourstore'),
				"admin_label"=> true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Testimonials Per Row', 'yourstore'),
                'param_name' => 'per_row',
                'value' => array(
                    'One' => '1',
                    'Two' => '2',
                    'Three' => '3',
                    'Four' => '4'
                ),
                "dependency" => Array('element' => "layout_type", 'value' => array('grid')),
                "description" => __("Select how many testimonial per row.", 'yourstore'),
				"admin_label"=> true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Order by', 'yourstore'),
                'param_name' => 'orderby',
                'value' => array(
                    'Date' => 'date',
                    'ID' => 'ID',
                    'Title' => 'title',
                    'Name' => 'name',
                    'Modified' => 'modified',
                    'Author' => 'author',
                    'Rand' => 'rand',
                ),
                'description' => __('Select order type.', 'yourstore'),
				"admin_label"=> true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Sort Order', 'yourstore'),
                'param_name' => 'order',
                'value' => array('Descending' => 'DESC', 'Ascending' => 'ASC'),
                'description' => __('Select sorting order.', 'yourstore'),
				"admin_label"=> true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Number Of Testimonials Shown In Particular Device', 'yourstore'),
                'param_name' => 'set_slider_element',
                'value' => array(
                    'Default' => 'default',
                    'Custom' => 'custom'
                ),
                "dependency" => Array('element' => "layout_type", 'value' => array('slider')),
                'description' => __("To set device oriented testimonials select 'Custom'.", 'yourstore'),
				"admin_label"=> true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Testimonials In Extra Large Device", 'yourstore'),
                "param_name" => "device_xl",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "2",
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Testimonials In Large Device(Desktop)", 'yourstore'),
                "param_name" => "device_lg",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "2",
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Testimonials In Medium device", 'yourstore'),
                "param_name" => "device_md",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1",
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Testimonials In Small Device", 'yourstore'),
                "param_name" => "device_sm",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1",
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Testimonials In Extra Small Device", 'yourstore'),
                "param_name" => "device_xs",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1",
            ),
            array(
                "type" => "textfield",
                "param_name" => "class",
                "heading"=> "Extra Class Name",
                "value" => "",
                "description" => __("Style particular content element differently - add a class name and refer to it in custom CSS."),
				"admin_label"=> true,
            ),
        )
    ));

  /*
     * Gallary
     */
    vc_map(array(
        "name" => __("Yourstore Gallary", 'yourstore'),
        "description" => __("Set your prospective gallary", 'yourstore'),
        "base" => "gallaries",
        "class" => "",
        "icon" => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
        "category" => __('Yourstore'),
        "params" => array(
            array(
                'type' => 'dropdown',
                'heading' => __('Layout Type', 'yourstore'),
                'param_name' => 'layout_type',
                'value' => array(
                    'Layout One' => '1',
                    'Layout Two' => '2',
                    'Layout Three' => '3',
                    'Layout Four' => '4',
                    'Layout Five' => '5',
                ),
                "description" => __("Select any one of the gallary format."),
				"admin_label"=> true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number of Gallary", 'yourstore'),
                "param_name" => "showposts",
                "value" => "10",
                "description" => __("Set how many gallary image will display."),
				"admin_label"=> true,
            ),

            array(
                'type' => 'dropdown',
                'heading' => __('Order By', 'yourstore'),
                'param_name' => 'orderby',
                'value' => array(
                    'Date' => 'date',
                    'ID' => 'ID',
                    'Title' => 'title',
                    'Name' => 'name',
                    'Modified' => 'modified',
                    'Rand' => 'rand',
                ),
                'description' => __('Select order type.', 'yourstore'),
				"admin_label"=> true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Sort Order', 'yourstore'),
                'param_name' => 'order',
                'value' => array('Descending' => 'DESC', 'Ascending' => 'ASC'),
                'description' => __('Select sorting order.', 'yourstore'),
				"admin_label"=> true,
            ),
         
        )
    ));
    vc_map(
        array(
            "name" => __("Yourstore Brands", 'yourstore'),
        	"description" => __("Organize product brands", 'yourstore'),
            "base" => "yourstore_product_brands",
            "class" => "",
            "weight" => 1000,
            "controls" => "full",
            "icon" => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
            "category" => __('Yourstore'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "heading" => __("Number of Brands", 'yourstore'),
                    "param_name" => "limit",
                	'description' => __('Set number of brands to display.', 'yourstore'),
                    "admin_label" => true,
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => __('Layout Type', 'yourstore'),
                    'param_name' => 'layout_type',
                    'value' => array(
                        'Grid Layout' => 'grid',
                        'Slider Layout' => 'slider',
                    ),
                	'description' => __('Select layout type.', 'yourstore'),
                    "admin_label" => true,
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Items Per Row", 'yourstore'),
                    "param_name" => "items_each_row",
                    "dependency" => Array('element' => "layout_type", 'value' => array('grid')),
                    "std" => "5",
                	'description' => __('Set how many items to show in per row.', 'yourstore'),
                ),
            )
        )
    );

    vc_map(
        array(
            "name" => __("Yourstore Banner", 'yourstore'),
        	"description" => __("Set banners here", 'yourstore'),
            "base" => "yourstore_banner",
            "class" => "",
            "icon" => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
            "weight" => 1000,
            "controls" => "full",
            "category" => __('Yourstore'),
            "params" => array(
                array(
                    'type' => 'dropdown',
                    'heading' => __('Background Type', 'yourstore'),
                    'param_name' => 'back_type',
                    'value' => array(
                        'Solid Color' => 'color',
                        'Background Image' => 'image',
                    ),
                    'description' => __('Select background type.', 'yourstore'),
                    "admin_label" => true,
                ),
                array(
                    "type" => "attach_image",
                    "heading" => __("Background Image", 'yourstore'),
                    "param_name" => "back_image",
                    "value" => __("", 'yourstore'),
                    "dependency" => Array('element' => "back_type", 'value' => array('image')),
                    'description' => __('Upload banner image.', 'yourstore'),
                ),
                array(
                    'type' => 'dropdown',
                    "heading" => __("Solid Background Color", "yourstore"),
                    'param_name' => 'back_color',
                    'value' => array(
                        'Green' => 'bg-green',
                        'Custom' => 'bg-custom',
                        'Red' => 'bg-red',
                        'Pink' => 'bg-pink',
                        'Blue' => 'bg-blue',
                        'Light Blue' => 'bg-light-blue',
                        'Green Light' => 'bg-green-light',
                        'Green Dark' => 'bg-green-dark',
                        'Yellow' => 'bg-yellow',
                        'Coquelicot' => 'bg-coquelicot',
                        'Black' => 'bg-black',
                    ),
                    "dependency" => Array('element' => "back_type", 'value' => array('color')),
                    'description' => __('Select solid background color.', 'yourstore'),
                ),
                array(
                    "type" => "textarea_html",
                    "heading" => __("Content", "yourstore"),
                    "param_name" => "content",
                    "value" => __(""),
                    "admin_label" => true,
                ),
                array(
                    'type' => 'dropdown',
                    "heading" => __("Control Text Position", 'yourstore'),
                    "std" => "text-center",
                    'param_name' => 'content_class',
                    'value' => array(
                        'None' => '',
                        'Text Top' => 'text-top',
                        'Text Left' => 'text-left',
                        'Text Right' => 'text-right',
                        'Text Left Text Top' => 'text-left text-top',
                        'Text-right Text Top' => 'text-right text-top',
                        'Text Center' => 'text-center',
                        'Text Left Small' => 'text-left-small',
                        'Text Right Small' => 'text-right-small',
                        'Text Left Small Text Top' => 'text-left-small text-top',
                        'Text Right Small Text Top' => 'text-right-small text-top',
                        'Text Center Small' => 'text-center-small',
                    ),
                    "description" => __('Control text position of banner.', 'yourstore'),
                    "admin_label" => true,
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Url of Banner", 'yourstore'),
                    "param_name" => "url",
                    "std" => "#",
                    "description" => __('Set link.', 'yourstore'),
                    "admin_label" => true,
                ),
            )
        )
    );

    vc_map(array(
        "name" => __("Yourstore Recent Posts", "yourstore"),
        "description" => __("Organize recent posts", 'yourstore'),
        "base" => "yourstore_recent_blog_post",
        "class" => "",
        "icon" => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
        "category" => __("Yourstore", "yourstore"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Title", "yourstore"),
                "param_name" => "title",
                "value" => "Recent Posts",
                "description" => __("Set section title.", "yourstore"),
                "admin_label" => true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number of Recent Posts", "yourstore"),
                "param_name" => "number",
                "value" => 5,
                "description" => __("Set number of recent posts to display.", "yourstore"),
                "admin_label" => true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Layout Type', 'yourstore'),
                'param_name' => 'layout_type',
                'value' => array(
                    'Slider Layout' => 'slider',
                    'List Layout' => 'list',
                ),
                "description" => __("Select layout type.", "yourstore"),
                "admin_label" => true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Number Of Recent Posts Shown In Particular Devices', 'yourstore'),
                'param_name' => 'set_slider_element',
                'value' => array(
                    'Default' => 'default',
                    'Custom' => 'custom'
                ),
                "dependency" => Array('element' => "layout_type", 'value' => array('slider')),
                "description" => __("To set device oriented recent posts select 'Custom'.", "yourstore"),
                "admin_label" => true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Recent Posts In Extra Large Device", 'yourstore'),
                "param_name" => "device_xl",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "2"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Recent Posts In Large Device(Desktop)", 'yourstore'),
                "param_name" => "device_lg",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "3"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Recent Posts In Medium Device", 'yourstore'),
                "param_name" => "device_md",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Recent Posts In Small Device", 'yourstore'),
                "param_name" => "device_sm",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Recent Posts In Extra Small Device", 'yourstore'),
                "param_name" => "device_xs",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1"
            ),
        )
    ));

    vc_map(array(
        "name" => "Yourstore Banner Slider Container",
        "description" => __("Banner slider will work for small devices", 'yourstore'),
        "base" => "yourstore_banner_container",
        "class" => "",
        "category" => 'Yourstore',
        "icon" => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
        "as_parent" => array('only' => 'yourstore_banner'),
        "content_element" => true,
        "show_settings_on_create" => true,
        "js_view" => 'VcColumnView',
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Extra Large Device", 'yourstore'),
                "param_name" => "device_xl",
                "std" => "4",
                "admin_label" => true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Large Device(Desktop)", 'yourstore'),
                "param_name" => "device_lg",
                "std" => "3",
                "admin_label" => true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Medium Device", 'yourstore'),
                "param_name" => "device_md",
                "std" => "3",
                "admin_label" => true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Small Device", 'yourstore'),
                "param_name" => "device_sm",
                "std" => "2",
                "admin_label" => true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Extra Small Device", 'yourstore'),
                "param_name" => "device_xs",
                "std" => "1",
                "admin_label" => true,
            ),
        )
    ));
    vc_map(array(
        "name" => __("Yourstore Products Carousel", "yourstore"),
        "description" => __("Set product carousel", 'yourstore'),
        "base" => "yourstore_products_carousel",
        "class" => "",
        "category" => 'Yourstore',
        "icon" => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
        "params" => array(
            array(
                'type' => 'textfield',
                'heading' => __('Title', 'yourstore'),
                'value' => '',
                'save_always' => true,
                'param_name' => 'title',
                "description" => __("Set section title.", "yourstore"),
                "admin_label" => true,
            ),
            array(
                "type" => "dropdown",
                "heading" => __("Carousel Type", "yourstore"),
                "param_name" => "slider_type",
                "value" => array(
                    'Horizontal Carousel' => 'horizontal_carousel',
                    'Horizontal Carousel Full' => 'horizontal_carousel_full',
                    'As Revolution Slider' => 'revolution',
                ),
                "description" => __("Select carousel type.", "yourstore"),
                "admin_label" => true,
            ),
          
            array(
                "type" => "dropdown",
                "heading" => __("Title Underline", "yourstore"),
                "param_name" => "title_under",
                "value" => array(
                    'Yes' => 'title-under',
                    'No' => '', 
                ),
                "description" => __("Control title underline.", "yourstore"),
                "admin_label" => true,
            ), 
            array(
                "type" => "dropdown",
                "class" => "",
                "heading" => __("Show Multiple Images", "yourstore"),
                "param_name" => "multiple_images",
                "value" => array(
                    'Yes' => '1',
                    'No' => '0', 
                ),
                'dependency' => array(
                    'element' => 'slider_type',
                    'value' => array('horizontal_carousel', 'horizontal_carousel_full')
                ),
            ), 
            array(
                "type" => "dropdown",
                "class" => "",
                "heading" => __("Title Alignment", "yourstore"),
                "param_name" => "title_align",
                "value" => array(
                    'Left' => 'text-left',
                    'Center' => 'text-center',
                    'Right' => 'text-right', 
                ),
                "description" => __("Control title alignment.", "yourstore"),
                "admin_label" => true,
            ),
            array(
                "type" => "dropdown",
                "heading" => __("Select Product Type", "yourstore"),
                "param_name" => "product_type",
                "value" => array(
                    'Recent' => 'recent',
                    'Featured' => 'featured',
                    'On Sale' => 'onsale',
                    'Top Rated' => 'top',
                    'Category' => 'category'
                ),
                "description" => __("Select product type.", "yourstore"),
                "admin_label" => true,
            ),
           array(
                'type' => 'autocomplete',
                'heading' => __('Categories', 'yourstore'),
                'param_name' => 'ids',
                'settings' => array(
                    'multiple' => true,
                    'sortable' => true,
                ),
                'save_always' => true,
                'dependency' => array(
                    'element' => 'product_type',
                    'value' => array('category')
                ),
                'description' => __('List of product categories', 'yourstore'),
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Product Per Page', 'yourstore'),
                'value' => 12,
                'save_always' => true,
                'param_name' => 'per_page',
                'description' => __('Set number of products to display.', 'yourstore'),
                "admin_label" => true,
            ), 
            array(
                'type' => 'dropdown',
                'heading' => __('Order by', 'yourstore'),
                'param_name' => 'orderby',
                'value' => array(
                    __('Date', 'yourstore') => 'date',
                    __('ID', 'yourstore') => 'ID',
                    __('Author', 'yourstore') => 'author',
                    __('Title', 'yourstore') => 'title',
                    __('Modified', 'yourstore') => 'modified',
                    __('Random', 'yourstore') => 'rand',
                    __('Comment Count', 'yourstore') => 'comment_count',
                    __('Menu Order', 'yourstore') => 'menu_order',
                ),
                'save_always' => true,
                'description' => __('Select order type.', 'yourstore'),
                "admin_label" => true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Sort Order', 'yourstore'),
                'param_name' => 'order',
                "value" => array(
                    'Descending' => 'DESC',
                    'Ascending' => 'ASC',
                ),
                'save_always' => true,
                'description' => __('Select sorting order.', 'yourstore'),
                "admin_label" => true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Number Of Products Shown In Particular Devices', 'yourstore'),
                'param_name' => 'set_slider_element',
                'value' => array(
                    'Default' => 'default',
                    'Custom' => 'custom'
                ),
                'description' => __("To set device oriented products select 'Custom'.", 'yourstore'),
                "admin_label" => true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Extra Large Device ", 'yourstore'),
                "param_name" => "device_xl",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "2"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Large Device(Desktop)", 'yourstore'),
                "param_name" => "device_lg",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "2"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Medium Device", 'yourstore'),
                "param_name" => "device_md",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Small Device", 'yourstore'),
                "param_name" => "device_sm",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Extra Small Device", 'yourstore'),
                "param_name" => "device_xs",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1"
            ),
        )
    ));

    vc_map(array(
        "name" => __("Yourstore Products Tab", "yourstore"),
        "description" => __("Organize products in tabs", 'yourstore'),
        "base" => "yourstore_products_tab",
        "class" => "",
        "category" => 'Yourstore',
        "icon" => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
        "params" => array(
            array(
                'type' => 'textfield',
                'heading' => __('Tab #1 Title', 'yourstore'),
                'value' => 'Featured',
                'save_always' => true,
                'param_name' => 'tab1_title',
                'description' => __('Set first tab title.', 'yourstore'),
                "admin_label" => true,
            ),
            array(
                "type" => "dropdown",
                "heading" => __("Tab #1 Content Show", "yourstore"),
                "param_name" => "tab1_product_type",
                "value" => array(
                    'Featured' => 'featured',
                    'Recent' => 'recent',
                    'On Sale' => 'onsale',
                    'Top Rated' => 'top',
                    'Category' => 'category'
                ),
                "description" => __("Select product type.", "yourstore"),
                "admin_label" => true, 
            ),
           	array(
                'type' => 'autocomplete',
                'heading' => __('Categories', 'yourstore'),
                'param_name' => 'tab1_ids',
                'settings' => array(
                    'multiple' => true,
                    'sortable' => true,
                ),
                'save_always' => true,
                'dependency' => array(
                    'element' => 'tab1_product_type',
                    'value' => array('category')
                ),
                'description' => __('List of product categories.', 'yourstore'),
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Tab #2 Title', 'yourstore'),
                'value' => 'Recent',
                'save_always' => true,
                'param_name' => 'tab2_title',
                'description' => __('Set second tab title.', 'yourstore'),
                "admin_label" => true,
            ),
            array(
                "type" => "dropdown",
                "heading" => __("Tab #2 Content Show", "yourstore"),
                "param_name" => "tab2_product_type",
                "value" => array(
                    'Recent' => 'recent',
                    'Featured' => 'featured',
                    'On Sale' => 'onsale',
                    'Top Rated' => 'top',
                    'Category' => 'category'
                ),
                "description" => __("Select product type.", "yourstore"),
                "admin_label" => true,
            ),
           	array(
                'type' => 'autocomplete',
                'heading' => __('Categories', 'yourstore'),
                'param_name' => 'tab2_ids',
                'settings' => array(
                    'multiple' => true,
                    'sortable' => true,
                ),
                'save_always' => true,
                'dependency' => array(
                    'element' => 'tab2_product_type',
                    'value' => array('category')
                ),
                'description' => __('List of product categories.', 'yourstore'),
            ),
           	array(
                'type' => 'textfield',
                'heading' => __('Tab #3 Title', 'yourstore'),
                'value' => 'On Sale',
                'save_always' => true,
                'param_name' => 'tab3_title',
                'description' => __('Set third tab title.', 'yourstore'),
                "admin_label" => true,
            ),

            array(
                "type" => "dropdown",
                "heading" => __("Tab #3 Content Show", "yourstore"),
                "param_name" => "tab3_product_type",
                "value" => array(
                    'On Sale' => 'onsale',
                    'Recent' => 'recent',
                    'Featured' => 'featured',
                    'Top Rated' => 'top',
                    'Category' => 'category'
                ),
                "description" => __("Select product type.", "yourstore"),
                "admin_label" => true, 
            ),
           	array(
                'type' => 'autocomplete',
                'heading' => __('Categories', 'yourstore'),
                'param_name' => 'tab3_ids',
                'settings' => array(
                    'multiple' => true,
                    'sortable' => true,
                ),
                'save_always' => true,
                'dependency' => array(
                    'element' => 'tab3_product_type',
                    'value' => array('category')
                ),
                'description' => __('List of product categories.', 'yourstore'),
            ),
            array(
                'type' => 'textfield',
                'heading' => __('Product Per Page', 'yourstore'),
                'value' => 12,
                'save_always' => true,
                'param_name' => 'per_page',
                'description' => __('Set number of products to display.', 'yourstore'),
                "admin_label" => true,
            ), 
            array(
                'type' => 'dropdown',
                'heading' => __('Order by', 'yourstore'),
                'param_name' => 'orderby',
                'value' => array(
                    __('Date', 'yourstore') => 'date',
                    __('ID', 'yourstore') => 'ID',
                    __('Author', 'yourstore') => 'author',
                    __('Title', 'yourstore') => 'title',
                    __('Modified', 'yourstore') => 'modified',
                    __('Random', 'yourstore') => 'rand',
                    __('Comment count', 'yourstore') => 'comment_count',
                    __('Menu order', 'yourstore') => 'menu_order',
                ),
                'save_always' => true,
                'description' => __('Select order type.', 'yourstore'),
                "admin_label" => true,
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Sort Order', 'yourstore'),
                'param_name' => 'order',
                "value" => array(
                    'Descending' => 'DESC',
                    'Ascending' => 'ASC',
                ),
                'save_always' => true,
                'description' => __('Select sorting order.', 'yourstore'),
                "admin_label" => true,
            ),

            array(
                'type' => 'dropdown',
                'heading' => __('Set Number Of Elements Shown In Particular Device', 'yourstore'),
                'param_name' => 'set_slider_element',
                'value' => array(
                    'Default' => 'default',
                    'Custom' => 'custom'
                ),
                'description' => __("To set device oriented products select 'Custom'.", 'yourstore'), 
                "admin_label" => true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Extra Large Device ", 'yourstore'),
                "param_name" => "device_xl",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "2"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Large Device(Desktop)", 'yourstore'),
                "param_name" => "device_lg",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "2"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Medium Device", 'yourstore'),
                "param_name" => "device_md",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Small Device", 'yourstore'),
                "param_name" => "device_sm",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1"
            ),
            array(
                "type" => "textfield",
                "heading" => __("Number Of Slides In Extra Small Device", 'yourstore'),
                "param_name" => "device_xs",
                "dependency" => Array('element' => "set_slider_element", 'value' => array('custom')),
                "std" => "1"
            ),
        )
    ));

    $order_by_values = array(
        __( 'Date', 'js_composer' ) => 'date',
        __( 'ID', 'js_composer' ) => 'ID',
        __( 'Author', 'js_composer' ) => 'author',
        __( 'Title', 'js_composer' ) => 'title',
        __( 'Modified', 'js_composer' ) => 'modified',
        __( 'Random', 'js_composer' ) => 'rand',
        __( 'Comment count', 'js_composer' ) => 'comment_count',
        __( 'Menu order', 'js_composer' ) => 'menu_order',
    );

    $order_way_values = array(
        __( 'Descending', 'js_composer' ) => 'DESC',
        __( 'Ascending', 'js_composer' ) => 'ASC',
    );

    vc_map(
        array(
 			'name' => __( 'Yourstore Products Grid', 'yourstore' ),
            'base' => 'yourstore_featured_products',
            'icon' => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
            'category' => esc_html__( 'Yourstore', 'yourstore' ),
            'description' => esc_html__( 'Display products grid', 'yourstore' ),
            'params' => array(
                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Show', 'yourstore' ),
                    'param_name' => 'show',
                    'value' => array(
                        esc_html__("All Products", "yourstore") => '',
                        esc_html__("Featured Products", "yourstore") => 'featured',
                        esc_html__("On-sale Products", "yourstore") => 'onsale',
                    ),
                    'save_always' => true,
                    'description' => esc_html__( 'Select product type.', 'yourstore' ),
                	"admin_label" => true,
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Product Per Page', 'yourstore' ),
                    'value' => 12,
                    'param_name' => 'per_page',
                    'save_always' => true,
                    'description' => __( 'Set number of products to display.', 'yourstore' ),
                	"admin_label" => true,
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Columns', 'yourstore' ),
                    'value' => 4,
                    'param_name' => 'columns',
                    'save_always' => true,
                    'description' => __( 'Set how many columns wide the products should be before wrapping.', 'yourstore' ),
                	"admin_label" => true,
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => __( 'Order by', 'yourstore' ),
                    'param_name' => 'orderby',
                    'value' => $order_by_values,
                    'save_always' => true,
                    'description' => __('Select order type.', 'yourstore'),
                    "std" => "date",
                	"admin_label" => true,
                ),
                array(
                    'type' => 'dropdown',
                    'heading' => __( 'Sort Order', 'yourstore' ),
                    'param_name' => 'order',
                    'value' => $order_way_values,
                    'save_always' => true,
                    'description' => __('Select sorting order.', 'yourstore'),
                    "std" => "desc",
                	"admin_label" => true,
                ),

                array(
                    'type' => 'dropdown',
                    'heading' => __( 'Zoom Effect', 'yourstore' ),
                    'param_name' => 'zoom_effect',
                    'value' => array(
                        esc_html__("Enable", "yourstore") => 1,
                        esc_html__("Disable", "yourstore") => 0
                    ),
                    'save_always' => true,
                    'description' => __('Control zoom effect.', 'yourstore'),
                	"admin_label" => true,
                ),
            ),
        )
    );

 vc_map(
        array(
            'name' => __( 'Yourstore Instagram Feed', 'yourstore' ),
            'base' => 'yourstore_instagram_feed',
            'icon' => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
            'category' => __( 'Yourstore', 'yourstore' ),
            'description' => __( 'Display instagram feed', 'yourstore' ),
            'params' => array(
                 array(
                    'type' => 'textfield',
                    'heading' => __( 'Title', 'yourstore' ),
                    'value' => '',
                    'param_name' => 'title',
                    'description' => __( 'Set section title.', 'yourstore' ),
                	"admin_label" => true,
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'User Id', 'yourstore' ),
                    'value' => '',
                    'param_name' => 'userid',
                    'description' => __( 'User ID of instagram account.', 'yourstore' ),
                	"admin_label" => true,
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Client Id', 'yourstore' ),
                    'value' => '',
                    'param_name' => 'clientid',
                    'description' => __( 'Client ID of instagram account.', 'yourstore' ),
                	"admin_label" => true,
                ), 
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Limit', 'yourstore' ),
                    'value' => '',
                    'param_name' => 'limit',
                    'description' => __( 'Number of feed to show.', 'yourstore' ),
                	"admin_label" => true,
                ),
                array(
                    'type' => 'textfield',
                    'heading' => __( 'Access Token', 'yourstore' ),
                    'value' => '',
                    'param_name' => 'accesstoken',
                    'description' => __( 'Access Token.', 'yourstore' ),
                	"admin_label" => true,
                ),
 
     
            ),
        )
    );

 	//one product
 	vc_map(
        array(
            'name' => __( 'Yourstore One Product', 'yourstore' ),
            'base' => 'yourstore_one_product',
            'icon' => yourstoreShortcodes::$pluginurl . '/assets/images/yourstore.png',
            'category' => __( 'Yourstore', 'yourstore' ),
            'description' => __( 'Display single product', 'yourstore' ),
            'params' => array(
                
	            array(
	                "type" => "autocomplete",
	                "heading" => __( "Product", "yourstore" ),
	                "param_name" => "id",
	                "description" => __( "Type product name to select which product you like to show.", "yourstore" ),
                	"admin_label" => true,
	            ),
	            array(
	                "type" => "textfield",
	                "param_name" => "class",
	                "heading"=> "Extra Class Name",
	                "description" => __("Style particular content element differently - add a class name and refer to it in custom CSS."),
                	"admin_label" => true,
	            ),
     
            ),
        )
    );
 }
add_action('vc_before_init', 'yourstore_custom_shortcodes');


add_filter('loop_shop_per_page', 'yourstore_wc_pro_per_page', 20);

function yourstore_wc_pro_per_page($items)
{
    global $yourstore_option;
    return (isset($yourstore_option['products_per_page']) && !empty($yourstore_option['products_per_page'])) ? (int)$yourstore_option['products_per_page'] : 9;
}

// VC autocomplete ajax data sync at render, helping function
function yourstore_product_cat_output($term)
{
    $term_slug = $term->slug;
    $term_title = $term->name;
    $term_id = $term->term_id;

    $term_slug_display = '';
    if (!empty($term_slug)) {
        $term_slug_display = ' - ' . __('Slug', 'yourstore') . ': ' . $term_slug;
    }

    $term_title_display = '';
    if (!empty($term_title)) {
        $term_title_display = ' - ' . __('Title', 'yourstore') . ': ' . $term_title;
    }

    $term_id_display = __('Id', 'yourstore') . ': ' . $term_id;

    $data = array( 
            'value' => $term_id,
            'label' => $term_id_display . $term_title_display . $term_slug_display,
            'group' => 'product_cat'
        );
	/*$data = array(
        array( 
            'value' => $term_id,
            'label' => $term_id_display . $term_title_display . $term_slug_display,
            'group' => 'product_cat'
        )
    );*/

    return $data;
}

/**
 * 
 * 
 * @param type $query
 * @return boolean
 */
function yourstore_vc_get_autocomplete_suggestion($query){
    if(!empty($query)){
        $query = esc_sql($query);
        if(is_numeric($query)){
            return yourstore_vc_get_ajax_products_cat_rend($query);
        }else{
			global $wpdb;
            //$results = get_term_by('name', $query, 'product_cat');
			
			$sql = $wpdb->prepare('SELECT * FROM `'.$wpdb->terms.'` t INNER JOIN `'.$wpdb->term_taxonomy.'` tt ON t.term_id = tt.term_id WHERE t.name LIKE "%%%s%%" AND tt.taxonomy="product_cat" ORDER BY t.name', esc_sql($query));
			$results = $wpdb->get_results($sql);
			
            if(!empty($results) && !is_wp_error($results)){
				$output = array();
				foreach($results as $result){
					$output[] = yourstore_product_cat_output($result);
				}
				return $output;
            }
        }
    }
    return array();
    
}
// VC autocomplete ajax data sync at render
function yourstore_vc_get_ajax_products_cat_rend($query)
{
    $cat_id = (int)$query;
    $term = get_term($cat_id, 'product_cat');

    return array(yourstore_product_cat_output($term));
}
//add_filter('vc_autocomplete_yourstore_product_slider_cat_ids_render', 'yourstore_vc_get_ajax_products_cat_rend');
//add_filter('vc_autocomplete_yourstore_product_filter_cat_ids_render', 'yourstore_vc_get_ajax_products_cat_rend');
//add_filter('vc_autocomplete_yourstore_products_carousel_cat_ids_render', 'yourstore_vc_get_ajax_products_cat_rend');
// new fixings for product categories filter
add_filter('vc_autocomplete_yourstore_products_carousel_ids_callback', 'yourstore_vc_get_autocomplete_suggestion');
add_filter('vc_autocomplete_yourstore_products_tab_tab1_ids_callback', 'yourstore_vc_get_autocomplete_suggestion');
add_filter('vc_autocomplete_yourstore_products_tab_tab2_ids_callback', 'yourstore_vc_get_autocomplete_suggestion');
add_filter('vc_autocomplete_yourstore_products_tab_tab3_ids_callback', 'yourstore_vc_get_autocomplete_suggestion');


function yourstore_vc_get_ajax_product_id($query)
{
    global $wpdb;
    $product_id = (int) $query;
    $post_meta_infos = $wpdb->get_results($wpdb->prepare("SELECT a.ID AS id, a.post_title AS title, b.meta_value AS sku
        FROM {$wpdb->posts} AS a
        LEFT JOIN ( SELECT meta_value, post_id  FROM {$wpdb->postmeta} WHERE `meta_key` = '_sku' ) AS b ON b.post_id = a.ID
        WHERE a.post_type = 'product' AND ( a.ID = '%d' OR b.meta_value LIKE '%%%s%%' OR a.post_title LIKE '%%%s%%' )", $product_id > 0 ? $product_id : - 1, stripslashes($query), stripslashes($query)), ARRAY_A);

    $results = array();
    if (is_array($post_meta_infos) && !empty($post_meta_infos)) {
        foreach ($post_meta_infos as $value) {
            $data = array();
            $data['value'] = $value['id'];
            $data['label'] = __('Id', 'yourstore') . ': ' . $value['id'] . ( ( strlen($value['title']) > 0 ) ? ' - ' . __('Title', 'yourstore') . ': ' . $value['title'] : '' ) . ( ( strlen($value['sku']) > 0 ) ? ' - ' . __('Sku', 'yourstore') . ': ' . $value['sku'] : '' );
            $results[] = $data;
        }
    }

    return $results;
}
add_filter('vc_autocomplete_yourstore_one_product_id_callback', 'yourstore_vc_get_ajax_product_id');

