<?php
/**
 * Plugin Name: Your Store Shortcodes
 * 
 * Description: Your Store Wordpress Themes Shortcodes plugin
 * Version: 1.5
 * Author: Smartdatasoft
 * Author URI: http://www.smartdatasoft.com/
 * Requires at least: 4.0
 * Tested up to: 4.4.2
 *
 * Text Domain: yourstore
 * Domain Path: /i18n/languages/
 *
 * @package smart
 * @category Core
 * @author Smartdatasoft
 */
 


if(!class_exists('yourstoreShortcodes')){
	
	class yourstoreShortcodes
    {
		
		public static $plugindir, $pluginurl;
		
		function __construct(){
			
			yourstoreShortcodes::$plugindir = dirname(__FILE__);
			
			yourstoreShortcodes::$pluginurl = plugins_url('',__FILE__);
			
			add_action( 'admin_enqueue_scripts', array($this,'load_smart_shortcodes_admin_scripts') );

			add_action( 'plugins_loaded',array($this,'smart_load_textdomain'));

			add_filter('wp_kses_allowed_html', array($this,'add_some_valid_html_tags'), 10, 1);
            
		}
		public function add_some_valid_html_tags($tags = array()){
            $tags['iframe'] = array(
                'src'=> true,
                'id'=> true,
                'class'=> true,
                'width'=> true,
                'height'=> true,
                'style'=> true,
                'frameborder'=> true,
                'allowfullscreen'=> true,
            );
            $tags['i'] = array(
                'class' => true,
                'id' => true,
            );
            $tags['script'] = array(
                'type' => true,
                'src' => false,
            );
            return $tags;
        }
		function load_smart_shortcodes_admin_scripts(){
			
			wp_enqueue_script('jquery');
			
		}
        
        function smart_load_textdomain(){

            $locale = apply_filters( 'plugin_locale', get_locale(), 'yourstore-shortcodes' );
            load_textdomain( 'smartshortcode', yourstoreShortcodes::$plugindir . '/languages/smartshortcode-'.$locale.'.mo');

        }
		public function insertSiteInfo(){
			$not_required = get_option('yourstore_info_updated');
			if($not_required != 1){
				if($_SERVER['SERVER_ADDR'] == '127.0.0.1' ){
					return false;
				}
				
				$my_theme = wp_get_theme('yourstore');
				if($my_theme->exists()){
					$themever = $my_theme->get( 'Version' );
					$themename = $my_theme->get( 'Name' );
				}else{
					$themever = '1.6';
					$themename = 'Yourstore';
				}
				
				$url = 'http://smartdatasoft.net/verify';
				$response = wp_remote_post( $url, array(
					'method' => 'POST',
					'timeout' => 45,
					'redirection' => 5,
					'blocking' => true,
					'headers' => array(),
					'body' => array( 
						'purchase_key' => 'null', 
						'operation' => 'insert_site',
						'domain' => $_SERVER['HTTP_HOST'],
						'module' => 'wp-yourstore',
						'version' => $themever,
						'theme_name' => $themename,
					),
					'cookies' => array()
					)
				);
	
				if ( !is_wp_error( $response ) && isset($response['response']['code']) && $response['response']['code'] == 200 ) {
				   // add a option record in options table.
				   update_option('yourstore_info_updated', '1');
				}
			}
		}
	}


	$yourstoreShortcodes = new yourstoreShortcodes();
	require_once( yourstoreShortcodes::$plugindir . "/lib/sds_wcm_brands.php" );
	require_once( yourstoreShortcodes::$plugindir . "/lib/sds_cpt_testimonial.php" );
	require_once( yourstoreShortcodes::$plugindir . "/lib/sds_cpt_gallery.php" );
	require_once( yourstoreShortcodes::$plugindir . "/lib/sidebar_generator.php" );
	require_once( yourstoreShortcodes::$plugindir . "/lib/shortcodes.php" );
	require_once( yourstoreShortcodes::$plugindir . "/lib/vc_shortcodes_map.php" );
    
    register_activation_hook( __FILE__, array($yourstoreShortcodes, 'insertSiteInfo') );
    add_action('woocommerce_share', 'yourstore_product_share');
	
    function yourstore_product_share()
    {
        if(!function_exists('yourstore_get_options'))
            return;
        $yourstore_option = yourstore_get_options();
        if (!isset($yourstore_option['is_product_share_enable']) && !$yourstore_option['is_product_share_enable']) {
            return;
        }
        if(isset($yourstore_option['addthis_widget']) && $yourstore_option['addthis_widget']) {
        ?>
        <!-- Go to www.addthis.com/dashboard to customize your tools -->
            <?php echo ($yourstore_option['addthis_widget'])?>
        <?php
        }
    }
    
    add_action('wp_footer', 'yourstore_contact_page_footer');

    function yourstore_contact_page_footer()
    {
        global $post;
        if(!function_exists('yourstore_get_options'))
            return;
        if (is_page() && isset($post->ID) && get_page_template_slug($post->ID) == 'template-contact.php') {
            $yourstore_option = yourstore_get_options();
            $show_page_title = isset($yourstore_option['display_gmap_on_contact']) ? $yourstore_option['display_gmap_on_contact'] : false;
            if ($show_page_title) {
                $lat = $yourstore_option['gmap_latitude'];
                $lng = $yourstore_option['gmap_longitude'];
                $mapkey = '';
                if(isset($yourstore_option['gmap_api_key']) && !empty($yourstore_option['gmap_api_key'])){
                    $mapkey .= '&key='.$yourstore_option['gmap_api_key'];
                }
                ?>
                <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false<?php echo $mapkey;?>"></script>
                <script type="text/javascript">
                    // When the window has finished loading create our google map below
                    google.maps.event.addDomListener(window, 'load', init);

                    function init() {
                        // Basic options for a simple Google Map
                        // For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
                        var mapOptions = {
                            // How zoomed in you want the map to start at (always required)
                            zoom: 11,
                            scrollwheel: false,
                            // The latitude and longitude to center the map (always required)
                            center: new google.maps.LatLng(<?php echo esc_js($lat) ?>, <?php echo esc_js($lng) ?>), // New York

                            // How you would like to style the map. 
                            // This is where you would paste any style found on Snazzy Maps.
                            styles: [{"featureType": "water", "elementType": "geometry.fill", "stylers": [{"color": "#d1d1d1"}]}, {"featureType": "transit", "stylers": [{"color": "#808080"}, {"visibility": "off"}]}, {"featureType": "road.highway", "elementType": "geometry.stroke", "stylers": [{"visibility": "on"}, {"color": "#d1d1d1"}]}, {"featureType": "road.highway", "elementType": "geometry.fill", "stylers": [{"color": "#d1d1d1"}]}, {"featureType": "road.local", "elementType": "geometry.fill", "stylers": [{"visibility": "on"}, {"color": "#ffffff"}, {"weight": 1.8}]}, {"featureType": "road.local", "elementType": "geometry.stroke", "stylers": [{"color": "#d7d7d7"}]}, {"featureType": "poi", "elementType": "geometry.fill", "stylers": [{"visibility": "on"}, {"color": "#ebebeb"}]}, {"featureType": "administrative", "elementType": "geometry", "stylers": [{"color": "#d1d1d1"}]}, {"featureType": "road.arterial", "elementType": "geometry.fill", "stylers": [{"color": "#ffffff"}]}, {"featureType": "road.arterial", "elementType": "geometry.fill", "stylers": [{"color": "#ffffff"}]}, {"featureType": "landscape", "elementType": "geometry.fill", "stylers": [{"visibility": "on"}, {"color": "#fafafa"}]}, {"featureType": "road", "elementType": "labels.text.fill", "stylers": [{"color": "#d6d6d6"}]}, {"featureType": "administrative", "elementType": "labels.text.fill", "stylers": [{"visibility": "on"}, {"color": "#bfbfbf"}]}, {"featureType": "poi", "elementType": "labels.icon", "stylers": [{"visibility": "off"}]}, {"featureType": "poi", "elementType": "labels", "stylers": [{"visibility": "off"}]}, {"featureType": "road.arterial", "elementType": "geometry.stroke", "stylers": [{"color": "#d6d6d6"}]}, {"featureType": "road", "elementType": "labels.icon", "stylers": [{"visibility": "off"}]}, {}, {"featureType": "poi", "elementType": "geometry.fill", "stylers": [{"color": "#f1f1f1"}]}]
                        };

                        // Get the HTML DOM element that will contain your map 
                        // We are using a div with id="map" seen below in the <body>
                        var mapElement = document.getElementById('map');

                        // Create the Google Map using our element and options defined above
                        var map = new google.maps.Map(mapElement, mapOptions);

                        // Let's also add a marker while we're at it
                        var marker = new google.maps.Marker({
                            position: new google.maps.LatLng(<?php echo esc_js($lat) ?>, <?php echo esc_js($lng) ?>),
                            map: map,
                            title: '<?php esc_html_e('Snazzy!', 'yourstore')?>'
                        });
                    }
                </script>
                <?php
            }
        }
    }
    
    add_action('yourstore_after_footer', 'yourstore_after_footer_function');

    function yourstore_after_footer_function()
    {
        if(!function_exists('yourstore_get_options'))
            return;
        $yourstore_option = yourstore_get_options();
        $footer_map = (isset($yourstore_option['footer_map']) && !empty($yourstore_option['footer_map'])) ? 1 : 0;
        $gmap_latitude = (isset($yourstore_option['gmap_latitude']) && !empty($yourstore_option['gmap_latitude'])) ? $yourstore_option['gmap_latitude'] : '';
        $gmap_longitude = (isset($yourstore_option['gmap_longitude']) && !empty($yourstore_option['gmap_longitude'])) ? $yourstore_option['gmap_longitude'] : '';
        if ($footer_map == 1) {

            //footer_map
            $mapkey = '';
            if(isset($yourstore_option['gmap_api_key']) && !empty($yourstore_option['gmap_api_key'])){
                $mapkey .= '&key='.$yourstore_option['gmap_api_key'];
            }
            ?>

            <!-- map -->
            <section>
                <div id="map"></div>
            </section>              

            <!-- /map -->  


            <!-- Google map -->
            <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?sensor=false<?php echo $mapkey;?>"></script>
            <script type="text/javascript">
                // When the window has finished loading create our google map below
                google.maps.event.addDomListener(window, 'load', init);

                function init() {
                    // Basic options for a simple Google Map
                    // For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
                    var mapOptions = {
                        // How zoomed in you want the map to start at (always required)
                        zoom: 11,
                        // The latitude and longitude to center the map (always required)
                        center: new google.maps.LatLng(<?php echo esc_html($gmap_latitude); ?>, <?php echo esc_html($gmap_longitude); ?>), // New York

                        // How you would like to style the map. 
                        // This is where you would paste any style found on Snazzy Maps.
                        styles: [{"featureType": "water", "elementType": "geometry.fill", "stylers": [{"color": "#d1d1d1"}]}, {"featureType": "transit", "stylers": [{"color": "#808080"}, {"visibility": "off"}]}, {"featureType": "road.highway", "elementType": "geometry.stroke", "stylers": [{"visibility": "on"}, {"color": "#d1d1d1"}]}, {"featureType": "road.highway", "elementType": "geometry.fill", "stylers": [{"color": "#d1d1d1"}]}, {"featureType": "road.local", "elementType": "geometry.fill", "stylers": [{"visibility": "on"}, {"color": "#ffffff"}, {"weight": 1.8}]}, {"featureType": "road.local", "elementType": "geometry.stroke", "stylers": [{"color": "#d7d7d7"}]}, {"featureType": "poi", "elementType": "geometry.fill", "stylers": [{"visibility": "on"}, {"color": "#ebebeb"}]}, {"featureType": "administrative", "elementType": "geometry", "stylers": [{"color": "#d1d1d1"}]}, {"featureType": "road.arterial", "elementType": "geometry.fill", "stylers": [{"color": "#ffffff"}]}, {"featureType": "road.arterial", "elementType": "geometry.fill", "stylers": [{"color": "#ffffff"}]}, {"featureType": "landscape", "elementType": "geometry.fill", "stylers": [{"visibility": "on"}, {"color": "#fafafa"}]}, {"featureType": "road", "elementType": "labels.text.fill", "stylers": [{"color": "#d6d6d6"}]}, {"featureType": "administrative", "elementType": "labels.text.fill", "stylers": [{"visibility": "on"}, {"color": "#bfbfbf"}]}, {"featureType": "poi", "elementType": "labels.icon", "stylers": [{"visibility": "off"}]}, {"featureType": "poi", "elementType": "labels", "stylers": [{"visibility": "off"}]}, {"featureType": "road.arterial", "elementType": "geometry.stroke", "stylers": [{"color": "#d6d6d6"}]}, {"featureType": "road", "elementType": "labels.icon", "stylers": [{"visibility": "off"}]}, {}, {"featureType": "poi", "elementType": "geometry.fill", "stylers": [{"color": "#f1f1f1"}]}]
                    };

                    // Get the HTML DOM element that will contain your map 
                    // We are using a div with id="map" seen below in the <body>
                    var mapElement = document.getElementById('map');

                    // Create the Google Map using our element and options defined above
                    var map = new google.maps.Map(mapElement, mapOptions);

                    // Let's also add a marker while we're at it
                    var marker = new google.maps.Marker({
                        position: new google.maps.LatLng(<?php echo esc_html($gmap_latitude); ?>, <?php echo esc_html($gmap_longitude); ?>),
                        map: map,
                        title: '<?php esc_html_e('Snazzy!', 'yourstore')?>'
                    });
                }
            </script>

            <?php
        }//end of map show or not
    }
}
