<?php

add_action('yourstore_after_body_open', 'yourstore_preloader', 1);

function yourstore_preloader(){
    $yourstore_option = yourstore_get_options();
    if(isset($yourstore_option['is_site_preloader']) && $yourstore_option['is_site_preloader']){
        ?>
        <!-- preloader -->
        <div id="loader-wrapper">
			<div id="loader">
				<?php if(isset($yourstore_option['yourstore-preloader-image']['url']) 
				&& $yourstore_option['yourstore-preloader-image']['url']){?>
					<img src="<?php echo esc_url($yourstore_option['yourstore-preloader-image']['url'])?>" alt="<?php esc_html_e('Loading', 'yourstore')?>" />
				<?php }else{ ?>
					<div class="dot"></div>
					<div class="dot"></div>
					<div class="dot"></div>
					<div class="dot"></div>
					<div class="dot"></div>
					<div class="dot"></div>
					<div class="dot"></div>
					<div class="dot"></div>
				<?php } ?>
			</div>
		</div>
        <?php
    }
}
add_action('yourstore_after_body_open', 'yourstore_show_mobile_menu', 2);

function yourstore_show_mobile_menu()
{
    echo '<!-- mobile menu -->
		<div class="hidden">';
    wp_nav_menu(array(
        'theme_location' => 'primary',
        'container' => 'nav',
        'container_id' => 'off-canvas-menu',
        'container_class' => 'off-canvas-menu',
        'menu_id' => 'mobile-primary-menu',
        'menu_class' => 'expander-list',
        'walker' => new YourstoreMobileMainMenuWalker(),
    ));
    echo '</div>';
}

function yourstore_nav()
{
    echo '<nav class="navbar">';
    yourstore_mobile_menu_button();
    wp_nav_menu(array(
        'theme_location' => 'primary',
        'container_class' => 'responsive-menu mainMenu',
        'menu_id' => 'primary-menu',
        'menu_class' => 'nav navbar-nav dl-menu hidden-xs hidden-sm',
        'walker' => new YourstoreMainMenuWalker(),
    ));
    echo '</nav>';

}

function yourstore_get_logo()
{
    $yourstore_option = yourstore_get_options();
    $yourstore_logo_url = $yourstore_option['yourstore_logo']['url'];
    if (!isset($yourstore_logo_url))
        $yourstore_logo_url = YOURSTORE_THEME_URI . '/images/logo.png';

    ?>
    <a href="<?php echo esc_url(home_url('/')); ?>"><img class="logo img-responsive" src="<?php echo esc_url($yourstore_logo_url); ?>" alt="<?php esc_attr_e('Site Logo', 'yourstore') ?>"/></a> 

    <?php
}


function yourstore_welcome_func()
{
    $yourstore_option = yourstore_get_options();

    if(isset($yourstore_option['yourstore_header_left_txt']) && $yourstore_option['yourstore_header_left_txt']){
        echo wp_kses_post($yourstore_option['yourstore_header_left_txt']);
    }
}

function yourstore_currency($label = null)
{
    $yourstore_option = yourstore_get_options();
    if(function_exists('WC') && isset($yourstore_option['header_currency_enable']) && $yourstore_option['header_currency_enable']){
    ?>
        <div class="currency dropdown text-right">
        <?php
        if(is_active_sidebar('topcursidebar')){
            dynamic_sidebar('topcursidebar');
        }else{
            if (!empty($label)) { ?>
                <div class="dropdown-label hidden-sm hidden-xs"><?php echo wp_kses_post($label) ?></div> 
                    <?php } ?> 
                <a class="dropdown-toggle" data-toggle="dropdown"> <?php esc_html_e('USD', 'yourstore')?><span class="caret"></span></a>
                <ul class="dropdown-menu dropdown-menu--xs-full">
                    <li><a href="#"><?php esc_html_e('GBP - British Pound Sterling', 'yourstore')?></a></li>
                    <li><a href="#"><?php esc_html_e('EUR - Euro', 'yourstore')?></a></li>
                    <li><a href="#"><?php esc_html_e('USD - US Dollar', 'yourstore')?></a></li>
                    <li class="dropdown-menu__close"><a href="#"><span class="icon icon-close"></span><?php esc_html_e('close', 'yourstore')?></a></li>
                </ul>
        <?php
        }
        ?>
        </div>
    <?php
    }
}

function yourstore_language($label = null)
{
    $yourstore_option = yourstore_get_options();
    if(isset($yourstore_option['header_lang_enable']) && $yourstore_option['header_lang_enable']){
    ?>
        <div class="language dropdown text-right">
        <?php
        if(is_active_sidebar('toplangsidebar')){
            dynamic_sidebar('toplangsidebar');
        }elseif(function_exists('WC')){
            if (!empty($label)) { ?> 
                <div class="dropdown-label hidden-sm hidden-xs"><?php echo wp_kses_post($label)?></div> 
            <?php } ?>
                <a class="dropdown-toggle" data-toggle="dropdown"> <?php esc_html_e('English', 'yourstore')?><span class="caret"></span></a>
                <ul class="dropdown-menu dropdown-menu--xs-full">
                    <li><a href="#"><?php esc_html_e('English', 'yourstore')?></a></li>
                    <li><a href="#"><?php esc_html_e('German', 'yourstore')?></a></li>
                    <li><a href="#"><?php esc_html_e('Spanish', 'yourstore')?></a></li>
                    <li><a href="#"><?php esc_html_e('Russian', 'yourstore')?></a></li>
                    <li class="dropdown-menu__close"><a href="#"><span class="icon icon-close"></span><?php esc_html_e('close', 'yourstore')?></a></li>
                </ul>
        <?php
        }
        ?>
        </div>
    <?php
    }
}

function yourstore_mobile_menu_button()
{

    ?>
    <div class="col-xs-2 visible-mobile-menu-on">
        <div class="expand-nav compact-hidden">
            <a href="#off-canvas-menu" id="off-canvas-menu-toggle">
                <div class="navbar-toggle">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="menu-text"><?php esc_html_e('MENU', 'yourstore')?></span> 
                </div>
            </a>
        </div>
    </div>
    <?php
}

function yourstore_search($divClass = null,$possition=null)
{
    if($possition=="menu"){
         include YOURSTORE_THEME_DIR.'/searchform-top.php';
    }else{
         get_search_form();
    }
   
}

function yourstore_shopping_cart($label= 'label_true')
{
    $yourstore_option = yourstore_get_options();
    if(isset($yourstore_option['disable_shop']) && $yourstore_option['disable_shop'])
        return false;
    if(function_exists('WC')){
    ?>
    <div class="cart link-inline">
        <div class="dropdown text-right">
            <a class="dropdown-toggle">
                <span class="icon icon-shopping_basket"></span>
                <span class="badge badge--cart"><?php echo WC()->cart->cart_contents_count?></span>
                <?php if($label == 'label_true'){ ?>
                    <span class="name-text"><?php esc_html_e( 'My Cart', 'yourstore' ); ?></span>
                <?php } ?>
            </a>
            <?php get_template_part('woocommerce/cart/mini', 'cart') ?>
        </div>
    </div>
    <?php
    }
}

function yourstore_account_menu_dropdown($divClass = null)
{
    $topmenu = yourstore_nav_menu_items('topnav');
    if (!empty($topmenu)) {
    ?>
    <div class="<?php echo esc_attr($divClass)?>">
        <div class="dropdown text-right">
            <a class="dropdown-toggle" data-toggle="dropdown">
                <span class="icon icon-person"></span>
            </a>
            <ul class="dropdown-menu dropdown-menu--xs-full">
                <?php foreach ($topmenu as $menu):
                    $menuitemclasses = implode(' ', $menu[3]);
                    ?>
                <li class="<?php echo esc_attr($menuitemclasses)?>"><a href="<?php echo esc_url((isset($menu[4]) && !empty($menu[4])? $menu[4] : get_permalink($menu[0]))) ?>"><?php echo wp_kses_post($menu[1]) ?></a></li>
                <?php endforeach;?>

                <li class="dropdown-menu__close"><a href="#"><span class="icon icon-close"></span><?php esc_html_e('close', 'yourstore')?></a></li>
            </ul>
        </div>
    </div>
    <?php
    }
}

function yourstore_account_menu($divClass)
{
//    yourstore_account_menu_dropdown($divClass);
    $topmenu = yourstore_nav_menu_items('topnav');
    if (!empty($topmenu)) {
        if(!empty($divClass)){
    ?>
        <div class="<?php echo esc_attr($divClass)?>">
        <?php }?>
            <ul>
            <?php foreach ($topmenu as $menu):
                $menuitemclasses = implode(' ', $menu[3]);
                ?>
            <li class="<?php echo esc_attr($menuitemclasses)?>"><a href="<?php echo esc_url((isset($menu[4]) && !empty($menu[4])? $menu[4] : get_permalink($menu[0]))) ?>"><?php echo wp_kses_post($menu[1]) ?></a></li>
            <?php endforeach;?>
            </ul>
        <?php if(!empty($divClass)){?>
        </div>
        <?php
        }
    }
}

function yourstore_compare()
{
    global $yith_woocompare;
    $yourstore_option = yourstore_get_options();
    $display = $yourstore_option['header_prod_compare_enable'];
    if(isset($yith_woocompare->obj) && $yith_woocompare->obj instanceof YITH_Woocompare_Frontend && $display){
    ?> 
    <div class="header-compare link-inline mobile-menu-off">
        <div class="dropdown">
            <a class="dropdown-toggle compare" href="<?php echo esc_url_raw( add_query_arg( array('action' => 'yith-woocompare-view-table', 'iframe' => '1') ) )?>">
                <span class="badge badge--cart"><?php echo count($yith_woocompare->obj->products_list)?></span>
                <span class="icon icon-sort"></span>
                <span class="name-text"><?php esc_html_e('Compare', 'yourstore')?></span>
            </a>
        </div>
    </div>
    <?php
    }
}
function yourstore_wishlist()
{
    $yourstore_option = yourstore_get_options();
    $display = $yourstore_option['header_prod_wishlist_enable'];
    if (function_exists('YITH_WCWL') && $display) {
    ?>
    <div class="header-wishlist link-inline mobile-menu-off">
        <div class="dropdown">
            <a class="dropdown-toggle wishlist" href="<?php echo esc_url(YITH_WCWL()->get_wishlist_url(''))?>">
                <span class="badge badge--cart"><?php echo esc_html(YITH_WCWL()->count_products())?></span>
                <span class="icon icon-favorite_border"></span>
                <span class="name-text"><?php esc_html_e('Wishlist', 'yourstore')?></span>
            </a>
        </div>
    </div>
    <?php
    }
}
function yourstore_address()
{
    ?> 
    <div class="h-address pull-right hidden-md hidden-sm hidden-xs">
        <?php yourstore_welcome_func(); ?>
    </div>
    <?php
}

function yourstore_toogle_menu()
{
    // link-inline toggle-menu  visible-mobile-menu-off
    // code needs here.. for header 6,7,8,11
    $yourstore_option = yourstore_get_options();
	$boxsizeclass = '';
	$hideothersclass = '';
	if(isset($yourstore_option['yourstore_header_regular_my_account_box']) 
	&& $yourstore_option['yourstore_header_regular_my_account_box'] 
	&& in_array((int)$yourstore_option['yourstore_header_type'], array(6,7,8))){
		$boxsizeclass = ' regular-box';
		$hideothersclass = ' hidden';
	}
    ?>
    <div class="link-inline<?php echo esc_attr($boxsizeclass)?> toggle-menu visible-mobile-menu-off">
        <span class="icon icon-reorder"></span>									
          <ul class="dropdown-menu" role="menu">
            <li class="li-col-full">
                <span class="close icon-clear pull-right" data-dismiss="modal"></span>
            </li>
            <li class="li-col list-user-menu">									 
              <h4 class="megamenu__subtitle"><span><?php esc_html_e('My Account', 'yourstore')?></span></h4>		
              <?php yourstore_account_menu(false)?>
            </li>
            <?php 
            if(isset($yourstore_option['header_lang_enable']) && $yourstore_option['header_lang_enable']){
            ?>
            <li class="li-col<?php echo esc_attr($hideothersclass)?> languages languages--flag">									 
              <h4 class="megamenu__subtitle"><span><?php esc_html_e('Language', 'yourstore')?></span></h4>
              <?php
            if(is_active_sidebar('toplangsidebar')){
                    dynamic_sidebar('toplangsidebar');
            }else{
            ?>
              <ul>
                <li class="languages__item active">
                    <a href="#">
                        <span class="languages__item__flag flag"><img src="<?php echo esc_url(YOURSTORE_THEME_URI.'/images/flags/gb.png')?>" alt="<?php esc_html_e('English', 'yourstore')?>"></span>
                        <span class="languages__item__label"><?php esc_html_e('English', 'yourstore')?></span>
                    </a>
                </li>
                <li class="languages__item">
                    <a href="#">
                        <span class="languages__item__flag flag"><img src="<?php echo esc_url(YOURSTORE_THEME_URI.'/images/flags/de.png')?>" alt="<?php esc_html_e('German', 'yourstore')?>"></span>
                        <span class="languages__item__label"><?php esc_html_e('German', 'yourstore')?></span>
                    </a>
                </li>
                <li class="languages__item">
                    <a href="#">
                        <span class="languages__item__flag flag"><img src="<?php echo esc_url(YOURSTORE_THEME_URI.'/images/flags/es.png')?>" alt="<?php esc_html_e('Spanish', 'yourstore')?>"></span>
                        <span class="languages__item__label"><?php esc_html_e('Spanish', 'yourstore')?></span>
                    </a>
                </li>
                <li class="languages__item">
                    <a href="#">
                        <span class="languages__item__flag flag"><img src="<?php echo esc_url(YOURSTORE_THEME_URI.'/images/flags/ru.png')?>" alt="<?php esc_html_e('Russian', 'yourstore')?>"></span>
                        <span class="languages__item__label"><?php esc_html_e('Russian', 'yourstore')?></span>
                    </a>
                </li>
              </ul>
              <?php }?>
            </li>
            <?php }?>
            <?php if(isset($yourstore_option['header_currency_enable']) && $yourstore_option['header_currency_enable']){?>
             <li class="li-col currency">
              <h4 class="megamenu__subtitle"><span><?php esc_html_e('Currency', 'yourstore')?></span></h4>
              <?php
              if(is_active_sidebar('topcursidebar')){
                    dynamic_sidebar('topcursidebar');
                }else{?>
              <ul>
                <li class="currency__item"><a href="#"><?php esc_html_e('GBP - British Pound Sterling', 'yourstore')?></a></li>
                <li class="currency__item"><a href="#"><?php esc_html_e('EUR - Euro', 'yourstore')?></a></li>
                <li class="currency__item active"><a href="#"><?php esc_html_e('USD - US Dollar', 'yourstore')?></a></li>
              </ul>
              <?php }?>
            </li>
            <?php }?>
          </ul>
    </div>
    <?php
}

function yourstore_wide_search()
{
	$yourstore_option = yourstore_get_options();
?>
<div class="search-dropdown open">
	<div class="search-outer visible-mobile-menu-off">
		<form id="search__form" class="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
			<?php if(isset($yourstore_option['yourstore_header_auto_suggest_status']) 
			&& $yourstore_option['yourstore_header_auto_suggest_status']){?>
				<input type="hidden" value="product" name="post_type" />
			<?php }?>
			<div class="input-outer">
				<input type="search" class="placeholder" name="s" id="s" value="" maxlength="128" placeholder="<?php esc_attr_e('SEARCH...', 'yourstore')?>" />
				<button type="submit" title="" class="icon icon-search"></button>
			</div>
		</form>
	</div>
</div>
<?php

}