<?php 
/*
 * print css with cheking value is empty or not
 *
 */
function yourstore_print_css($props = '', $values = array(), $vkey = '', $pre_fix = '', $post_fix = '')
{
    if (isset($values[$vkey]) && !empty($values[$vkey])) {
        print wp_kses_post($props.":".$pre_fix.$values[$vkey].$post_fix.";\n");
    }
    
}

function yourstore_hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}
function yourstore_color_brightness($colourstr, $steps, $darken = false) {
    $colourstr = str_replace('#','',$colourstr);
    $rhex = substr($colourstr,0,2);
    $ghex = substr($colourstr,2,2);
    $bhex = substr($colourstr,4,2);

    $r = hexdec($rhex);
    $g = hexdec($ghex);
    $b = hexdec($bhex);

    if ($darken) {
        $steps = $steps*-1;
    }

    $r = max(0,min(255,$r + $steps));
    $g = max(0,min(255,$g + $steps));  
    $b = max(0,min(255,$b + $steps));

    $hex = "#";
    $hex .= str_pad(dechex($r), 2, "0", STR_PAD_LEFT);
    $hex .= str_pad(dechex($g), 2, "0", STR_PAD_LEFT);
    $hex .= str_pad(dechex($b), 2, "0", STR_PAD_LEFT);

    return $hex;
}

function yourstore_get_custom_styles(){
    global $yourstore_option;
    $yourstore_colors = get_theme_mod('yourstore_colors', array());
    $yourstore_css = get_theme_mod('yourstore_css', array());
 
    ob_start();
    ?>

    /*body*/
    body,.modal-content{
        <?php
            yourstore_print_css('font-family', $yourstore_option['body_typography'], 'font-family');
            yourstore_print_css('font-weight', $yourstore_option['body_typography'], 'font-weight');
            yourstore_print_css('font-size', $yourstore_option['body_typography'], 'font-size');
            yourstore_print_css('line-height', $yourstore_option['body_typography'], 'line-height');
            yourstore_print_css('color', $yourstore_option['body_typography'], 'color');
            yourstore_print_css('background-color',  $yourstore_colors, 'body_color');
        ?>
    }
    table th{
        <?php yourstore_print_css('color', $yourstore_option['body_typography'], 'color');?>
    }
/*preloader*/

<?php if(isset($yourstore_colors['preloader_color']) && $yourstore_colors['preloader_color']){?>
#loader .dot{
    <?php yourstore_print_css('background-color', $yourstore_colors, 'preloader_color');?>
}


<?php }?>

/*anchor*/
dl dd a,
a {
    <?php yourstore_print_css('color', $yourstore_colors, 'lnk_color'); ?>
}
.breadcrumbs .breadcrumb--ys span.breadcrumb_last,
#off-canvas-menu ul li .name.open a:hover,
.woocommerce .widget_layered_nav ul li a:hover,#leftColumn .widget_nav_menu ul li a:hover,
a.color, a.color:hover,.breadcrumb > .active,.expander-list li.active > a, 
.expander-list li.open > a,.expander-list > li > a:hover {
     <?php yourstore_print_css('color', $yourstore_colors, 'lnk_color_hover'); ?>
}
/*heading*/
h1, h2, h3, h4, h5, h6 ,h1 a, h2 a, h3 a, h4 a, h5 a, h6 a{
      <?php yourstore_print_css('color', $yourstore_colors, 'heading_color'); ?>
}
.title-under:after,.upsells h2:after, .related h2:after {
    <?php yourstore_print_css('background', $yourstore_colors, 'title_under_color'); ?>
}
/*header */

.slogan,.single-product .product-info .price .woocommerce-Price-amount{
    <?php yourstore_print_css('color', $yourstore_colors, 'slogan_color'); ?>
}

#header{
    <?php yourstore_print_css('background-color', $yourstore_colors, 'header_bg_color'); ?>
    <?php yourstore_print_css('background-image', $yourstore_option['yourstore_header_bg'], 'url', 'url(',')'); ?>
}
.fixedbar,#header .stuck-nav {
    <?php yourstore_print_css('background-color', $yourstore_colors, 'stick_nav_bg_color'); ?>
}
.fixedbar.stuck-nav .icon.icon-shopping_basket:before{
    <?php yourstore_print_css('color', $yourstore_colors, 'fixed_header_cart_color','', ' !important'); ?>
}
.fixedbar .icon.icon-shopping_basket:hover:before{
    <?php yourstore_print_css('color', $yourstore_colors, 'fixed_header_cart_hover_color','', ' !important'); ?>
}
<?php if(isset($yourstore_option['yourstore_logo_autosize']) && $yourstore_option['yourstore_logo_autosize']){?>
#header img.logo{
    max-height: none;
}
<?php }?>

/*border color*/
hr {
    <?php yourstore_print_css('border-color', $yourstore_colors, 'header_border_color'); ?>
}
.language.dropdown .widget_icl_lang_sel_widget li ul li,
.settings .dropdown-menu > li > a, .account .dropdown-menu > li > a{
    <?php yourstore_print_css('border-bottom', $yourstore_colors, 'header_border_color','1px solid',''); ?>
}
#header .row-functional-link .link-inline .dropdown > a ,
.breadcrumbs .breadcrumb.breadcrumb--ys > li + li:before{
    <?php yourstore_print_css('border-left', $yourstore_colors, 'header_border_color','1px solid',''); ?>
}
@media (max-width: 1024px){
    #header .row-functional-link .link-inline.cart .dropdown > a{
        border-left: none;
    }
}

#header .account-row-list ul{
    <?php yourstore_print_css('border-right', $yourstore_colors, 'header_border_color','1px solid',''); ?> 
}
#header .h-address b,#header .name-text {
    <?php yourstore_print_css('color', $yourstore_colors, 'header_address_color','', ' !important'); ?>
}
.white-modal .modal-header .close,.checkbox-group label .check:before,
.dropdown .dropdown-menu__close a,
.dropdown .dropdown-menu--xs-full a:not(.btn) .icon,
#header .account-row-list ul li a,.h-address a {
      <?php yourstore_print_css('color', $yourstore_colors, 'header_link_color'); ?>
}
#header .account-row-list ul li a:hover{
   <?php yourstore_print_css('color', $yourstore_colors, 'header_link_hover_color','', ' !important'); ?>   
}

/*icon color */
.collapse-block__title:after,.dropdown .dropdown-menu > li > a .icon,.icon-person:before,
.dropdown > a .icon,.dropdown > a .icon:before,.cart .dropdown > a .icon,.collapse-block__title:after,
.expander-list .expander:before,
.woocommerce .widget_price_filter .ui-slider-horizontal .ui-slider-range,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
.h-address .icon,.box-address .icon,
.cart .dropdown-menu.slide-from-top .cart__item__edit .icon,
.cart .dropdown-menu.slide-from-top .cart__item__delete .icon,
.cart .dropdown-menu .cart__total span,
.cart .dropdown-menu .cart__close:hover,
.breadcrumbs .breadcrumb.breadcrumb--ys > li.home-link a,
.breadcrumbs .breadcrumb--ys > span > span[typeof="v:Breadcrumb"] > a:before,
blockquote.quote-left:before
  {
    <?php yourstore_print_css('color', $yourstore_colors, 'icon_color','', ' !important'); ?>

}

.search a .icon   {
    <?php yourstore_print_css('color', $yourstore_colors, 'search_icon_color'); ?>
}
.search-dropdown .input-outer button:hover,
.search a .icon:hover,.toggle-menu:hover {
  <?php yourstore_print_css('color', $yourstore_colors, 'search_icon_hover_color'); ?>
}

.delivery-banner__icon,
.post__title_block time {
    <?php yourstore_print_css('background', $yourstore_colors, 'icon_color','', ' !important'); ?>

}
.cart .dropdown > a:hover .icon,.dropdown > a:hover .icon,footer .list-icon span:hover,.box-address .icon:hover,.dropdown > a .icon:hover:before{
    <?php yourstore_print_css('color', $yourstore_colors, 'icon_hover_color','', ' !important'); ?>

}
.btn-img.active,
.filters-row__view:hover,.filters-row__view.active, .woocommerce .widget_price_filter .ui-slider-horizontal .ui-slider-range, 
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle{
     <?php yourstore_print_css('background-color', $yourstore_colors, 'icon_color','', ' !important'); ?>
}
/*menu color*/
@media (max-width: 1024px){
    #header .navbar {
        <?php yourstore_print_css('background-color', $yourstore_colors, 'mobile_menu_bg_color'); ?>
    }
}
/*banner*/
.box-baners .banner .figcaption span.color, .box-baners .banner .figcaption span.color span, .box-baners .banner .figcaption em.color, .box-baners .banner .figcaption em.color span {
     <?php yourstore_print_css('color', $yourstore_colors, 'banner_caption_color'); ?>    
}
.box-baners .banner .figcaption {
     <?php yourstore_print_css('color', $yourstore_colors, 'banner_heading_color'); ?>    
}

.banner .figure {
    <?php yourstore_print_css('background-color', $yourstore_colors, 'banner_bg_color'); ?>
}

.product__label, .woocommerce span.onsale{
    <?php yourstore_print_css('background-color', $yourstore_colors, 'onsale_badge_bg_color'); ?>
    <?php yourstore_print_css('color', $yourstore_colors, 'onsale_badge_color'); ?>
    }

.woocommerce .star-rating, .woocommerce .star-rating:before{
    <?php yourstore_print_css('color', $yourstore_colors, 'rated_star_color'); ?>
}

/*product*/
.product__inside  {
    <?php yourstore_print_css('background-color', $yourstore_colors, 'product_inside_color'); ?>
}
.product__inside__hover {
    <?php yourstore_print_css('background-color', $yourstore_colors, 'product_inside_hover_color'); ?>
}
.product__inside__name h2 ,.product__inside__name h2 a,.vertical-carousel__item__title h2 a,
.cart .dropdown-menu.slide-from-top .cart__item__info__title h2 a 
{
    <?php yourstore_print_css('color', $yourstore_colors, 'product_inside_name_color'); ?>
}
.cart .dropdown-menu .cart__item__image:hover {
     <?php yourstore_print_css('outline', $yourstore_colors, 'product_inside_name_color','2px solid'); ?>
}
.product__inside__name h2 a:hover,.vertical-carousel__item__title h2 a:hover,
.cart .dropdown-menu.slide-from-top .cart__item__info__title h2 a:hover  {
    <?php yourstore_print_css('color', $yourstore_colors, 'product_inside_name_hover_color'); ?>
}
.woocommerce ul.products li.product .price del,
.price-box__old,.price del,.price-box del,.product-price del,.price-box del span{
    <?php yourstore_print_css('color', $yourstore_colors, 'product_price_old_color','' ,'!important'); ?>
}
.woocommerce ul.products li.product .price,
.price-box, .woocommerce div.product p.price, .woocommerce div.product span.price ,
.vertical-carousel__item .price-box{
    <?php yourstore_print_css('color', $yourstore_colors, 'product_price_color'); ?>
}
.product .quick-view {
    <?php yourstore_print_css('color', $yourstore_colors, 'product_quick_view_color'); ?>

}
<?php if(isset($yourstore_colors['quick_view_hover_Bg_color'])){?>
.product .quick-view:hover b {
    <?php $quick_view_hover_Bg = yourstore_hex2rgb($yourstore_colors['quick_view_hover_Bg_color']); 
    $quick_view_hover_Bg = implode(', ', $quick_view_hover_Bg);
    ?>
     background-color:rgba(<?php print wp_kses_post($quick_view_hover_Bg ); ?>,0.8);
}<?php }?>

.filter-nav a{
    <?php yourstore_print_css('background-color', $yourstore_colors, 'add_to_cart_btn_hvr_bg_color'); ?>
    <?php yourstore_print_css('color', $yourstore_colors, 'add_to_cart_btn_text_hover_color'); ?>
}
.filter-nav a.current,
.filter-nav a:hover{
    <?php yourstore_print_css('background-color', $yourstore_colors, 'add_to_cart_btn_bg_color'); ?>
    <?php yourstore_print_css('color', $yourstore_colors, 'add_to_cart_btn_text_color'); ?>
}

.post-password-form input[type="submit"],
.btn--ys, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,.recent-post-box .figure .figcaption,.woocommerce input.button 
{
    <?php yourstore_print_css('background-color', $yourstore_colors, 'add_to_cart_btn_bg_color'); ?>
    <?php yourstore_print_css('color', $yourstore_colors, 'add_to_cart_btn_text_color'); ?>
}
.btn--ys.focus, .btn--ys:focus,
.post-password-form input[type="submit"]:hover,
.woocommerce button.button.alt:hover,.woocommerce #respond input#submit:hover,
.btn--ys:hover,.woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.recent-post-box:hover .figure .figcaption {
    <?php yourstore_print_css('background-color', $yourstore_colors, 'add_to_cart_btn_hvr_bg_color'); ?>
    <?php yourstore_print_css('color', $yourstore_colors, 'add_to_cart_btn_text_hover_color'); ?>
}

.countdown_inner {
    <?php 
    if(isset($yourstore_colors['product_count_down_bg_color']) && $yourstore_colors['product_count_down_bg_color']){
        $count_down_bg = yourstore_hex2rgb($yourstore_colors['product_count_down_bg_color']); 
        $count_down_bg = implode(', ', $count_down_bg);
    ?>
        background-color:rgba(<?php print wp_kses_post($count_down_bg ); ?>,0.8);
    <?php
    }
    yourstore_print_css('color', $yourstore_colors, 'product_count_down_color'); ?>
}

.product .carousel-control {
     <?php yourstore_print_css('background', $yourstore_colors, 'product_inside_carousel_control_color'); ?>
}
.product .carousel-control:hover, .product .carousel-control:focus {
     <?php yourstore_print_css('background', $yourstore_colors, 'product_inside_carousel_control_hover_color'); ?>
}
.product .product__inside__info__link li,.product-link li,.product .product__inside__info__link li a,.product__inside__info__link li span.text,.product-link li span.text{
     <?php yourstore_print_css('color', $yourstore_colors, 'product_inside_info_link_color'); ?>
}

.product .product__inside__info__link li:hover,.product .product__inside__info__link li:hover a,.product__inside__info__link li:hover span.text,.product-link li:hover,
.product-link li:hover span.text{
     <?php yourstore_print_css('color', $yourstore_colors, 'product_inside_info_link_hover_color'); ?>
}
/*carousel button*/
.vertical-carousel .slick-prev,.vertical-carousel .slick-next,
.slick-prev, .slick-next,.carousel-products__button .slick-arrow ,.fill-bg .slick-prev, .fill-bg .slick-next{
    <?php yourstore_print_css('background-color', $yourstore_colors, 'carousel_button_bg_color'); ?>
}
.vertical-carousel .slick-prev:hover, .vertical-carousel .slick-next:hover,
.slick-prev:hover, .slick-next:hover,.carousel-products__button .slick-arrow:hover,
.fill-bg .slick-prev:hover, .fill-bg .slick-next:hover {
    <?php yourstore_print_css('background-color', $yourstore_colors, 'carousel_button_bg_hover_color'); ?>
}

.fill-bg .slick-next:before,.fill-bg .slick-prev:before,.carousel-products__button .slick-arrow:before,
.slick-prev:before,.slick-next:before
{
    <?php yourstore_print_css('color', $yourstore_colors, 'carousel_button_color'); ?>
}
.slick-prev:hover:before, .slick-next:hover:before,
.fill-bg .slick-prev:hover:before,.fill-bg .slick-next:hover:before,
.carousel-products__button .slick-arrow:hover:before {
    <?php yourstore_print_css('color', $yourstore_colors, 'carousel_button_hover_color'); ?>
}

/*nav-dots*/
.fill-bg-custom .link-hover-block b,
.nav-dot .slick-dots li.slick-active button:before {
    <?php yourstore_print_css('color', $yourstore_colors, 'slick_dots_active_color','','!important'); ?>
}

/* sidebar */

.widget_yst-sidebar-menu .title-aside-wrapper{
   <?php yourstore_print_css('color', $yourstore_colors, 'sidebar_menu_title_color'); ?>
}

.widget_yst-sidebar-menu .title-aside-wrapper{
   <?php yourstore_print_css('background-color', $yourstore_colors, 'sidebar_menu_title_bg_color'); ?>
}
.widget_yst-sidebar-menu .navbar.navbar-vertical .mainMenu .navbar-nav > li > a,
.widget_yst-sidebar-menu .navbar.navbar-vertical .mainMenu .navbar-nav > li > a:before{
   <?php yourstore_print_css('color', $yourstore_colors, 'sidebar_menu_link_color'); ?>
}
.widget_yst-sidebar-menu .navbar.navbar-vertical .mainMenu .navbar-nav > li > a{
   <?php yourstore_print_css('background-color', $yourstore_colors, 'sidebar_menu_link_bg_color'); ?>
}

.widget_yst-sidebar-menu .navbar.navbar-vertical .mainMenu .navbar-nav > li > a:hover,
.widget_yst-sidebar-menu .navbar.navbar-vertical .mainMenu .navbar-nav > li > a:before{
   <?php yourstore_print_css('color', $yourstore_colors, 'sidebar_menu_link_hover'); ?>
}
.widget_yst-sidebar-menu .navbar.navbar-vertical .mainMenu .navbar-nav > li > a:hover{
   <?php yourstore_print_css('background-color', $yourstore_colors, 'sidebar_menu_link_bg_hover'); ?>
}
.widget_yst-sidebar-menu .navbar.navbar-vertical .mainMenu .navbar-nav > li > a {
   <?php yourstore_print_css('border-bottom', $yourstore_colors,'sidebar_menu_link_border_color','1px solid '); ?>
}

.fill-bg-custom{
   <?php yourstore_print_css('background-color', $yourstore_colors, 'sidebar_testimonial_bg_color'); ?>
}
.fill-bg-custom .link-hover-block{
   <?php yourstore_print_css('color', $yourstore_colors, 'sidebar_testimonial_text_color'); ?>
}

/*badge--cart*/

.badge--cart {
    <?php yourstore_print_css('color', $yourstore_colors, 'cart_badge_color'); ?>
}
.badge--cart {
    <?php yourstore_print_css('background-color', $yourstore_colors, 'cart_badge_bg_color'); ?>
}

/*footer*/
footer .widget  h4:after {
    <?php yourstore_print_css('background', $yourstore_colors, 'footer_copyright_widget_under_color'); ?>
}
.v-links-list a, footer .widget ul li a {
    <?php yourstore_print_css('color', $yourstore_colors, 'footer_copyright_widget_link_color'); ?>
}
.footer-copyright a {
    <?php yourstore_print_css('color', $yourstore_colors, 'footer_copyright_color'); ?>
}
.v-links-list a:hover, footer .widget ul li a:hover{
     <?php yourstore_print_css('color', $yourstore_colors, 'footer_copyright_widget_link_hover_color'); ?>
}

/*footer social-links*/

footer .widget .social-links ul a,.social-links.social-links--large .icon{
     <?php yourstore_print_css('color', $yourstore_colors, 'social_links_color'); ?>
}
footer .widget .social-links:hover ul a,.social-links.social-links--large:hover .icon{
     <?php yourstore_print_css('background-color', $yourstore_colors, 'social_links_bg_color'); ?>
}
footer .widget .social-links ul a:hover,.social-links.social-links--large .icon:hover{
     <?php yourstore_print_css('color', $yourstore_colors, 'social_links_hover_color'); ?>
}
footer .widget .social-links:hover ul a:hover,.social-links.social-links--large .icon:hover{
     <?php yourstore_print_css('background-color', $yourstore_colors, 'social_links_bg_hover_color'); ?>
}

/*footer text*/

footer{
    <?php yourstore_print_css('background-color', $yourstore_colors, 'footer_bg_color'); ?>
    <?php yourstore_print_css('color', $yourstore_colors, 'footer_txt_color'); ?>
}

.footer-copyright .row,.filters-row {
    <?php yourstore_print_css('border-top', $yourstore_colors, 'footer_copyright_border_color','1px solid'); ?>
}
.price-input input[type=text] {
    <?php yourstore_print_css('background', $yourstore_colors, 'textbox_bg_color'); ?>
    <?php yourstore_print_css('border-color', $yourstore_colors, 'textbox_border_color'); ?>
}
/*footer copyright*/

.footer-copyright a span {
     <?php yourstore_print_css('color', $yourstore_colors, 'footer_copyright_span_color'); ?>
}
/*scroll-top*/
.back-to-top {
    <?php yourstore_print_css('background-color', $yourstore_colors, 'scroll_top_bg_color'); ?>
}
 .back-to-top span {
    <?php yourstore_print_css('color', $yourstore_colors, 'scroll_top_color'); ?>
}

/* menu */

#header .mainMenu #primary-menu.navbar-nav > li > a{
    <?php yourstore_print_css('color', $yourstore_colors, 'parent_menu_link_color'); ?>
}
#header .mainMenu #primary-menu.navbar-nav > li > a:hover {
    <?php yourstore_print_css('color', $yourstore_colors, 'parent_menu_hover_link_color'); ?>
}

header .mainMenu .navbar-nav > ul > li > a .act-underline:before, header .mainMenu .navbar-nav > li > a .act-underline:before {
    <?php yourstore_print_css('background-color', $yourstore_colors, 'parent_menu_link_under_color'); ?>
}
.dropdown-menu,.megamenu{
    <?php yourstore_print_css('background-color', $yourstore_colors, 'mega_menu_bg_color'); ?>
}

#header .mainMenu #primary-menu .megamenu__subtitle > a span{
    <?php yourstore_print_css('color', $yourstore_colors, 'sub_menu_title_color'); ?>
}
.megamenu__subtitle > a span:first-child,h4.megamenu__subtitle span:first-child  {
    <?php yourstore_print_css('border-bottom', $yourstore_colors, 'sub_menu_title_border_color', '2px solid', ' !important'); ?>
}

.megamenu__submenu li a,.dropdown-two-col .multicolumn > li > a   {
    <?php yourstore_print_css('border-bottom', $yourstore_colors, 'sub_menu_link_border_color', '1px solid'); ?>
}
/* mege menu divider line */

.hor-line {
    <?php yourstore_print_css('background-color', $yourstore_colors, 'sub_menu_divider_border_color'); ?>
}
 
/* sub menu link color */
ul.wcml_currency_switcher.curr_list_vertical li,
.language.dropdown .widget_icl_lang_sel_widget li ul li,
.dropdown .dropdown-menu > li > a, .settings .dropdown .dropdown-menu > li > a,
.navbar-nav .dropdown-mega-menu ul.megamenu .megamenu__subtitle .megamenu__submenu li a {
     <?php yourstore_print_css('color', $yourstore_colors, 'sub_menu_link_color','','!important'); ?>

}
.megamenu__subtitle:hover > a span:first-child,
#header .mainMenu #primary-menu .megamenu__subtitle > a span:hover{
  <?php yourstore_print_css('color', $yourstore_colors, 'megamenu_subtitle_hover_color','','!important'); ?>
}
ul.wcml_currency_switcher.curr_list_vertical li:hover,
.language.dropdown .widget_icl_lang_sel_widget li ul li:hover,
.settings .dropdown .dropdown-menu > li > a:hover,
.navbar-nav .dropdown-mega-menu ul.megamenu .megamenu__subtitle .megamenu__submenu li a:hover,
#header .mainMenu #primary-menu.navbar-nav .dropdown-menu.multicolumn.dl-submenu > li > a:hover {
    <?php yourstore_print_css('color', $yourstore_colors, 'sub_menu_link_hover_color','','!important'); ?>
     <?php yourstore_print_css('background-color', $yourstore_colors, 'sub_menu_link_hover_bg_color','','!important'); ?>
}

.image-link img{
   <?php yourstore_print_css('background-color', $yourstore_colors, 'mega_menu_img_bg_color'); ?> 
}
.image-link .figcaption {
   <?php yourstore_print_css('color', $yourstore_colors, 'mega_menu_img_caption_color'); ?>
} 
.image-link:hover .figcaption {
    <?php yourstore_print_css('color', $yourstore_colors, 'mega_menu_img_caption_hover_color'); ?>

}
.page-template-default .woocommerce .woocommerce-info {
    <?php yourstore_print_css('border-top-color', $yourstore_colors, 'universal_first_color'); ?>
}
h1 a:hover, h2 a:hover, h3 a:hover, h4 a:hover, h5 a:hover, h6 a:hover{
   <?php yourstore_print_css('color', $yourstore_colors, 'universal_first_color'); ?>   
}
.list-icon span{
   <?php yourstore_print_css('background-color', $yourstore_colors, 'universal_first_color'); ?>   
}

.comments .media-body .media-title, .created,
.page-template-default .woocommerce .woocommerce-info:before,.color,
.delivery-banner__text h3,
.mobile-collapse__title:before,
.product-info__review > a:last-child,
.product-info-outer #productPrevNext .product-prev:before, .product-info-outer #productPrevNext .product-next:before,.comment-text p.meta > strong,.post__meta a, .post__meta .icon,
blockquote.quote-left ,.navbar-vertical .mainMenu .navbar-nav > li.menu-item-has-children > a::before 
{
     <?php yourstore_print_css('color', $yourstore_colors, 'universal_first_color'); ?>
}
.title-aside-wrapper,.navbar.navbar-vertical .mainMenu .navbar-nav > li:hover .dropdown-menu::before {
  <?php yourstore_print_css('background-color', $yourstore_colors, 'universal_first_color'); ?>
}
.color:hover,.blog_widget li a:hover,.woocommerce-cart .cart_item .product-name a:hover,a.more-link,
.product-info-outer #productPrevNext .product-prev:hover:before, .product-info-outer #productPrevNext .product-next:hover:before,.recent-post-box h4 a:hover,.recent-post-box .link-commet{
     <?php yourstore_print_css('color', $yourstore_colors, 'universal_first_color_hover'); ?>
}
.dropdown .dropdown-menu > li.image-link > a:hover{
    background-color:none;
}

/* bannar */
.demo-eys-12 .banner:hover .banner__title.size6 {
     <?php yourstore_print_css('background-color', $yourstore_colors, 'banner_title_hover_color'); ?>
}

.promos h2 a,.recent-post-box h4 a,.recent-post-box .link-commet {
     <?php yourstore_print_css('color', $yourstore_colors, 'banner_headline_color'); ?>
}
.promos h2 a:hover,.recent-post-box h4 a:hover {
     <?php yourstore_print_css('color', $yourstore_colors, 'banner_headline_hover_color'); ?>
}

.promos__label {
     <?php yourstore_print_css('color', $yourstore_colors, 'promo_lebel_color'); ?>
}

.pagination li.active a, .page-numbers.current, .woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current {
     <?php yourstore_print_css('color', $yourstore_colors, 'pagination_color'); ?>
    
}
.pagination li.active a, .page-numbers.current, .woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current {
     <?php yourstore_print_css('background-color', $yourstore_colors, 'pagination_bg_color'); ?>
    
}
.box-about p{
    <?php yourstore_print_css('color', $yourstore_colors, 'footer_txt_color'); ?>
}
footer h1,footer h2,footer h3,footer h4,footer h5{
    <?php yourstore_print_css('color', $yourstore_colors, 'footer_heading_color'); ?>
}

/*universal_border_color_hover*/
.product-info:not(.text-center) [itemprop="description"]{
     <?php yourstore_print_css('border-top', $yourstore_colors, 'universal_border_color' ,'1px solid'); ?>
     <?php yourstore_print_css('border-bottom', $yourstore_colors, 'universal_border_color','1px solid'); ?>
}
.breadcrumbs .container{
    <?php yourstore_print_css('border-top', $yourstore_colors, 'universal_border_color' ,'1px solid'); ?>
}
.product-info .qty-input, .woocommerce .quantity .qty,
.woocommerce table.shop_table tbody th, .woocommerce table.shop_table tfoot td, .woocommerce table.shop_table tfoot th,
.woocommerce table.wishlist_table thead th, .woocommerce table.wishlist_table tbody td,
.woocommerce table.shop_table,
.woocommerce table.shop_table td,
.block-underline{
    <?php yourstore_print_css('border-color', $yourstore_colors, 'universal_border_color'); ?>
}
.product-info__divider{
     <?php yourstore_print_css('border-bottom', $yourstore_colors, 'universal_border_color','1px solid'); ?>
}
#leftColumn:after,
#rightColumn:after,
.divider-line{
    <?php yourstore_print_css('background-color', $yourstore_colors, 'universal_border_color'); ?>  
}
.custom-product-block:after{
     <?php yourstore_print_css('background', $yourstore_colors, 'universal_border_color'); ?> 
}
.collapse-block{
    <?php yourstore_print_css('border-bottom', $yourstore_colors, 'universal_border_color','1px solid'); ?>   
}
/*woocommerce product page*/
.woocommerce div.product .woocommerce-tabs .panel {
    <?php yourstore_print_css('border', $yourstore_colors, 'universal_border_color','1px solid'); ?>
}
.woocommerce div.product .woocommerce-tabs ul.tabs li a, .nav-tabs li a{
   <?php yourstore_print_css('color', $yourstore_colors,'tabs_menu_color', '','!important'); ?>
}

.woocommerce div.product .woocommerce-tabs ul.tabs li.active a,.nav-tabs li.active a,
.nav-tabs--ys-center li.active > a{
   <?php yourstore_print_css('color', $yourstore_colors,'tabs_menu_active_color', '','!important'); ?>
   <?php yourstore_print_css('border-bottom', $yourstore_colors,'tabs_menu_border_color','5px solid ', ' !important'); ?>
           
}
.off-canvas-menu .megamenu__subtitle > a span:first-child{
  border-bottom: none !important;
}
.woocommerce div.product .woocommerce-tabs .panel,.tabs.wc-tabs.nav.nav-tabs.nav-tabs--ys,
.woocommerce div.product .woocommerce-tabs ul.tabs li.active{
    <?php yourstore_print_css('background-color',  $yourstore_colors, 'tabs_wrapper_bg_color' ,'','!important'); ?>
}
.tabs.wc-tabs.nav.nav-tabs.nav-tabs--ys > li a:hover,
.tabs.wc-tabs.nav.nav-tabs.nav-tabs--ys > li.active > a:hover {
    <?php yourstore_print_css('background-color',  $yourstore_colors, 'tabs_menu_bg_color' ,'','!important'); ?>
}

.woocommerce-tabs h2,#review_form h3,.tabs.wc-tabs.nav.nav-tabs.nav-tabs--ys > li a:hover,
.tabs.wc-tabs.nav.nav-tabs.nav-tabs--ys > li.active > a,
.tabs.wc-tabs.nav.nav-tabs.nav-tabs--ys > li.active > a:hover {
   <?php yourstore_print_css('color', $yourstore_option['body_typography'], 'color'); ?>
   <?php yourstore_print_css('background-color', $yourstore_colors, 'tabs_menu_active_bg_color' ,'','!important'); ?>        
}

@media (max-width: 767px) {
.tabs.wc-tabs.nav.nav-tabs.nav-tabs--ys > li.active > a,
.tabs.wc-tabs.nav.nav-tabs.nav-tabs--ys > li.active > a:hover{
 <?php yourstore_print_css('background-color',  $yourstore_colors, 'tabs_menu_bg_color' ,'','!important'); ?> 
}
}

@media (max-width: 767px) {
.mobile-collapse {
  <?php yourstore_print_css('border-top', $yourstore_colors, 'mobile_collapse', '1px solid ', ' !important'); ?>
  <?php yourstore_print_css('border-bottom', $yourstore_colors, 'mobile_collapse', '1px solid ', ' !important'); ?>
}
}

.nav-tabs--ys-center1 li.active > a{
     <?php yourstore_print_css('border-bottom', $yourstore_colors, 'tabs_active_border_color', '3px solid ', ' !important'); ?>
  }

.tabs.wc-tabs.nav.nav-tabs.nav-tabs--ys > li a:hover, .tabs.wc-tabs.nav.nav-tabs.nav-tabs--ys > li.active > a, .tabs.wc-tabs.nav.nav-tabs.nav-tabs--ys > li.active > a:hover{
     <?php yourstore_print_css('border-top', $yourstore_colors, 'universal_border_color','1px solid'); ?>
     <?php yourstore_print_css('border-right', $yourstore_colors, 'universal_border_color','1px solid'); ?>
     <?php yourstore_print_css('border-left', $yourstore_colors, 'universal_border_color','1px solid'); ?>
}
/*side bar */
<?php

    if(isset($yourstore_option['extra_css'])){
        print $yourstore_option['extra_css'];
    }
   
    $yourstore_custom_css = ob_get_clean();

    return $yourstore_custom_css;
}
