<?php
class Yourstore_product_auto_search {

    public static $instance;
    
    public function ajax_responder($data = '') {
        global $wpdb;
        
        $theme_mod = yourstore_get_options();
        
        $limit = isset($theme_mod['yourstore_header_auto_suggest_limit']) 
                && !empty($theme_mod['yourstore_header_auto_suggest_limit'])? (int)$theme_mod['yourstore_header_auto_suggest_limit'] :  10;
        
        $filter = isset($_GET['q']) ? esc_sql($_GET['q']) : null;

        if (empty($filter) || !function_exists('WC'))
            die(json_encode(array()));
            
        $filter = urldecode($filter);

        $posts = $wpdb->get_results("select * from {$wpdb->posts} where post_type = 'product' and post_status = 'publish' and post_title like '%{$filter}%' LIMIT 0,{$limit}");

        $dataarr = array();
        if(!empty($posts))
        foreach ($posts as $post):

            $product = get_product($post->ID);

            $dataarr[] = array(
                'url' => get_permalink($product->id),
                'title' => $post->post_title,
            );
            
            if(isset($theme_mod['yourstore_header_ats_img_status']) && $theme_mod['yourstore_header_ats_img_status']){
                $image_id = get_post_thumbnail_id($post->ID);
                $image = wp_get_attachment_image($image_id, apply_filters('single_product_small_thumbnail_size', 'shop_thumbnail' ));
                if(!empty($image)){
                    $dataarr[count($dataarr) - 1]['thumbnail'] = $image;
                }
            }
        endforeach;
        
        $output = json_encode($dataarr);
        header('Content-Type: application/json');
        print $output;
        die();
    }

    public function yourstore_product_search_callback() {
        $theme_mod = yourstore_get_options();
        if(isset($theme_mod['yourstore_header_auto_suggest_status']) 
            && $theme_mod['yourstore_header_auto_suggest_status']){
        ?>
        
            <script type="text/javascript">
                jQuery(function($) {

                    var ajaxurl = "<?php echo admin_url('admin-ajax.php') ?>";
                   
                    // Current Ajax request.
                    var currentAjaxRequest = null;
                    // Grabbing all search forms on the page, and adding a .search-results list to each.
                    var searchForms = $('#header .search-dropdown form.searchform').css('position','relative').each(function() {
                      // Grabbing text input.
                      var input = $(this).find('input[name="s"]');
                      // Adding a list for showing search results.
                      var offSet = input.position().top + input.innerHeight() + 1;
                      $('<ul class="search-results"></ul>').css( { 'position': 'absolute', 'left': '0px', 'top': offSet } ).appendTo($(this)).hide();    
                      // Listening to keyup and change on the text field within these search forms.
                      input.on('keyup change', function() {
                        // What's the search term?
                        var term = $(this).val();
                        // What's the search form?
                        var form = $(this).closest('form');
                        // What's the search URL?
                        var searchURL = ajaxurl+'?action=ajax_product_search&q=' + term;
                        // What's the search results list?
                        var resultsList = form.find('.search-results');
                        
                        var subm = form.find('button[type="submit"]');
                        
                        // If that's a new term and it contains at least 3 characters.
                        if (term.length > 3 && term != $(this).attr('data-old-term')) {
                            if(subm.hasClass('icon-search')){
                                subm.removeClass('icon-search').addClass('fa fa-spinner fa-spin');
                            }
                          // Saving old query.
                          $(this).attr('data-old-term', term);
                          // Killing any Ajax request that's currently being processed.
                          if (currentAjaxRequest != null) currentAjaxRequest.abort();
                          // Pulling results.
                          currentAjaxRequest = $.getJSON(searchURL + '&view=json', function(data) {
                            // Reset results.
                            resultsList.empty();
                            
                            subm.removeClass('fa fa-spinner fa-spin').addClass('icon-search');
                            
                            // If we have no results.
                            if(data.results_count == 0) {
                              // resultsList.html('<li><span class="title">No results.</span></li>');
                              // resultsList.fadeIn(200);
                              resultsList.hide();
                            } else {
                              // If we have results.
                              $.each(data, function(index, item) {
                                var link = $('<a></a>').attr('href', item.url);
                                if(typeof item.thumbnail != 'undefined'){
                                    link.append('<span class="thumbnail">' + item.thumbnail + '</span>');
                                }
                                link.append('<span class="title">' + item.title + '</span>');
                                link.wrap('<li></li>');
                                resultsList.append(link.parent());
                              });
                              // The Ajax request will return at the most 10 results.
                              // If there are more than 10, let's link to the search results page.
                              if(data.results_count > 10) {
                                resultsList.append('<li><span class="title"><a href="' + searchURL + '"><?php esc_html_e('See all results', 'yourstore')?> (' + data.results_count + ')</a></span></li>');
                              }
                              resultsList.fadeIn(200);
                            }
                            $('.search-results').css( { 'width': input.innerWidth() + 2 });
                          });
                        }
                      });
                      //setTimeout(function(){ )}, 5);
                    });
                    // Clicking outside makes the results disappear.
                    $('body').bind('click', function(){
                      $('.search-results').hide();
                    });
                    $(window).resize(function(){
                      var input = $('#header .search-dropdown form.searchform').find('input[name="s"]');
                      var offSet = input.position().top + input.innerHeight() + 1;

                      $('.search-results').css( { 'position': 'absolute', 'left': '0px', 'top': offSet, 'width': input.innerWidth() + 2 } );
                    })
                    
                });
            </script>
        <?php
        }
    }

    public static function get_instance(){
        
        if(empty(self::$instance) 
            or !is_object(self::$instance) 
            or !(self::$instance instanceof Yourstore_product_auto_search)){
            
            return self::$instance = new Yourstore_product_auto_search();
        }
        
        return self::$instance;
        
    }
    
}

$yourstore_auto_search = Yourstore_product_auto_search::get_instance();
add_action('wp_footer',array($yourstore_auto_search,'yourstore_product_search_callback'),20);
add_action('wp_ajax_ajax_product_search', array($yourstore_auto_search, 'ajax_responder'));
add_action('wp_ajax_nopriv_ajax_product_search', array($yourstore_auto_search, 'ajax_responder'));
