<?php


function yourstore_customizer_live_preview()
{
	wp_enqueue_script( 
		  'ils-themecustomizer',			//Give the script an ID
		  YOURSTORE_JS_URL.'/theme-customizer.js',//Point to file
		  array( 'jquery','customize-preview' ),	//Define dependencies
		  '',						//Define a version (optional) 
		  true						//Put script in footer?
	);
}
//add_action( 'customize_preview_init', 'yourstore_customizer_live_preview' );

/*Customizer Code HERE*/



function yourstore_theme_customizer( $wp_customize ) {

    // Customizer Title Control
    class WP_Customize_Title_Control extends WP_Customize_Control {
        public function __construct( $manager, $id, $args = array() ) {
            parent::__construct( $manager, $id, $args );
        }
        public function render_content() {
            ?><h3><?php echo esc_html( $this->label ); ?></h3><?php
        }
    }




    $wp_customize->add_panel( 'all_styling_panel', array(
        'priority'       => 10,
        'capability'     => 'edit_theme_options',
        'title'          => esc_html__('Styling Settings', 'yourstore'),
        'description'    => esc_html__('All Styling Settings', 'yourstore'),
    ) );
    



    //common color

     // All Color Settings
    $wp_customize->add_section( 'yourstore_common_color_section' , array(
        'title'      => esc_html__( 'Common Color', 'yourstore' ),
        'priority'   => 1,
        'panel'      => 'all_styling_panel'
    ) );

    //body_color
    $wp_customize->add_setting ( 'yourstore_colors[preloader_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[preloader_color]', array(
        'label'        => esc_html__( 'Preloader Color', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );
    
    //body_color

    $wp_customize->add_setting ( 'yourstore_colors[tabs_wrapper_bg_color]', array (
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[tabs_wrapper_bg_color]', array(
        'label'        => esc_html__( 'Tabs Wrapper Bg Color ', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[tabs_menu_active_color]', array (
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[tabs_menu_active_color]', array(
        'label'        => esc_html__( 'Tabs Menu Active Color ', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[tabs_menu_border_color]', array (
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[tabs_menu_border_color]', array(
        'label'        => esc_html__( 'Tabs Menu Border Color ', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[tabs_active_border_color]', array (
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[tabs_active_border_color]', array(
        'label'        => esc_html__( 'Single Product Tab Menu Border Color ', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[tabs_menu_color]', array (
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[tabs_menu_color]', array(
        'label'        => esc_html__( 'Tabs Menu Color', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );
    
    $wp_customize->add_setting ( 'yourstore_colors[tabs_menu_active_bg_color]', array (
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[tabs_menu_active_bg_color]', array(
        'label'        => esc_html__( 'Tabs_Menu_Active_Bg_Color', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[tabs_menu_bg_color]', array (
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[tabs_menu_bg_color]', array(
        'label'        => esc_html__( 'Tabs Menu Hover Bg Color', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[universal_first_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[universal_first_color]', array(
        'label'        => esc_html__( 'Universal First Color', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );
    $wp_customize->add_setting ( 'yourstore_colors[universal_first_color_hover]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[universal_first_color_hover]', array(
        'label'        => esc_html__( 'Universal First Hover Color', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[universal_border_color]', array (
        'default' => '#e5e5e5',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[universal_border_color]', array(
        'label'        => esc_html__( 'Universal Border Color ', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[lnk_color]', array (
        'default' => '#999999',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[lnk_color]', array(
        'label'        => esc_html__( 'Link Color', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[lnk_color_hover]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[lnk_color_hover]', array(
        'label'        => esc_html__( 'Link Color hover', 'yourstore' ),
        'section'    => 'yourstore_common_color_section',
        'priority'   => 18,
    ) ) );






    $wp_customize->add_setting ( 'yourstore_colors[heading_color]', array (
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[heading_color]', array(
    'label'        => esc_html__( 'Heading Color', 'yourstore' ),
    'section'    => 'yourstore_common_color_section',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[title_under_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[title_under_color]', array(
    'label'        => esc_html__( 'Title Under Color', 'yourstore' ),
    'section'    => 'yourstore_common_color_section',
    'priority'   => 18,
    ) ) );




    $wp_customize->add_setting ( 'yourstore_colors[textbox_bg_color]', array (
        'default' => '#29c0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[textbox_bg_color]', array(
    'label'        => esc_html__( 'Text Box Bg Color', 'yourstore' ),
    'section'    => 'yourstore_common_color_section',
    'priority'   => 18,
    ) ) );



    $wp_customize->add_setting ( 'yourstore_colors[textbox_border_color]', array (
        'default' => '#29c0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[textbox_border_color]', array(
    'label'        => esc_html__( 'Text Box Border Color', 'yourstore' ),
    'section'    => 'yourstore_common_color_section',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[scroll_top_color]', array (
        'default' => '#29c0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[scroll_top_color]', array(
    'label'        => esc_html__( 'Scroll Top Icon Color', 'yourstore' ),
    'section'    => 'yourstore_common_color_section',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[scroll_top_bg_color]', array (
        'default' => '#29c0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[scroll_top_bg_color]', array(
    'label'        => esc_html__( 'Scroll Top Bg Color', 'yourstore' ),
    'section'    => 'yourstore_common_color_section',
    'priority'   => 18,
    ) ) );

    //header section
 

    $wp_customize->add_section( 'yourstore_header_color' , array(
        'title'      => esc_html__( 'Header Colors', 'yourstore' ),
        'priority'   => 2,
        'panel'      => 'all_styling_panel'
    ) );



    $wp_customize->add_setting ( 'yourstore_colors[header_bg_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[header_bg_color]', array(
    'label'        => esc_html__( 'Header Background Color', 'yourstore' ),
    'section'    => 'yourstore_header_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[stick_nav_bg_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[stick_nav_bg_color]', array(
    'label'        => esc_html__( 'Sticky Nav Bg Color', 'yourstore' ),
    'section'    => 'yourstore_header_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[fixed_header_cart_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[fixed_header_cart_color]', array(
    'label'        => esc_html__( 'fixed header cart color', 'yourstore' ),
    'section'    => 'yourstore_header_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[fixed_header_cart_hover_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[fixed_header_cart_hover_color]', array(
    'label'        => esc_html__( 'fixed header cart hover color', 'yourstore' ),
    'section'    => 'yourstore_header_color',
    'priority'   => 18,
    ) ) );



    $wp_customize->add_setting ( 'yourstore_colors[header_border_color]', array (
        'default' => '#444444',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[header_border_color]', array(
    'label'        => esc_html__( 'Header Border Color', 'yourstore' ),
    'section'    => 'yourstore_header_color',
    'priority'   => 18,
    ) ) );

    //address

    $wp_customize->add_setting ( 'yourstore_colors[header_address_color]', array (
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[header_address_color]', array(
    'label'        => esc_html__( 'header address color', 'yourstore' ),
    'section'    => 'yourstore_header_color',
    'priority'   => 18,
    ) ) );

//
    $wp_customize->add_setting ( 'yourstore_colors[header_link_color]', array (
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[header_link_color]', array(
    'label'        => esc_html__( 'Header Link Color', 'yourstore' ),
    'section'    => 'yourstore_header_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[header_link_hover_color]', array (
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[header_link_hover_color]', array(
    'label'        => esc_html__( 'Header Link Hover Color', 'yourstore' ),
    'section'    => 'yourstore_header_color',
    'priority'   => 18,
    ) ) );

     $wp_customize->add_setting ( 'yourstore_colors[slogan_color]', array (
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[slogan_color]', array(
    'label'        => esc_html__( 'slogan color', 'yourstore' ),
    'section'    => 'yourstore_header_color',
    'priority'   => 18,
    ) ) );


    //footer area
    $wp_customize->add_section( 'yourstore_footer_color' , array(
        'title'      => esc_html__( 'Footer Colors', 'yourstore' ),
        'priority'   => 2,
        'panel'      => 'all_styling_panel'
    ) );
    
    $wp_customize->add_setting ( 'yourstore_colors[footer_bg_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[footer_bg_color]', array(
    'label'        => esc_html__( 'Footer Background Color', 'yourstore' ),
    'section'    => 'yourstore_footer_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[mobile_collapse]', array (
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[mobile_collapse]', array(
    'label'        => esc_html__( 'mobile collapse', 'yourstore' ),
    'section'    => 'yourstore_footer_color',
    'priority'   => 18,
    ) ) );

    // footer text color

    $wp_customize->add_setting ( 'yourstore_colors[footer_txt_color]', array (
        'default' => '#777777',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[footer_txt_color]', array(
    'label'        => esc_html__( 'footer text color', 'yourstore' ),
    'section'    => 'yourstore_footer_color',
    'priority'   => 18,
    ) ) );

    // footer headings color
    $wp_customize->add_setting ( 'yourstore_colors[footer_heading_color]', array (
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[footer_heading_color]', array(
    'label'        => esc_html__( 'footer heading color', 'yourstore' ),
    'section'    => 'yourstore_footer_color',
    'priority'   => 18,
    ) ) );

    // footer copyright
    $wp_customize->add_setting ( 'yourstore_colors[footer_copyright_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[footer_copyright_color]', array(
    'label'        => esc_html__( 'Footer Copyright Color', 'yourstore' ),
    'section'    => 'yourstore_footer_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[footer_copyright_span_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[footer_copyright_span_color]', array(
    'label'        => esc_html__( 'Footer Copyright Span Color', 'yourstore' ),
    'section'    => 'yourstore_footer_color',
    'priority'   => 18,
    ) ) );



    $wp_customize->add_setting ( 'yourstore_colors[footer_copyright_border_color]', array (
        'default' => '#282828',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[footer_copyright_border_color]', array(
    'label'        => esc_html__( 'Footer Border Color', 'yourstore' ),
    'section'    => 'yourstore_footer_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[footer_copyright_widget_under_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[footer_copyright_widget_under_color]', array(
    'label'        => esc_html__( 'Footer Widget Title Underline Color', 'yourstore' ),
    'section'    => 'yourstore_footer_color',
    'priority'   => 18,
    ) ) );


  $wp_customize->add_setting ( 'yourstore_colors[footer_copyright_widget_link_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[footer_copyright_widget_link_color]', array(
    'label'        => esc_html__( 'Footer Widget Link Color', 'yourstore' ),
    'section'    => 'yourstore_footer_color',
    'priority'   => 18,
    ) ) );


  $wp_customize->add_setting ( 'yourstore_colors[footer_copyright_widget_link_hover_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[footer_copyright_widget_link_hover_color]', array(
    'label'        => esc_html__( 'Footer Link Hover Color', 'yourstore' ),
    'section'    => 'yourstore_footer_color',
    'priority'   => 18,
    ) ) );



    // Woocommerce Colors
    $wp_customize->add_section( 'yourstore_wc_color' , array(
        'title'      => esc_html__( 'Woocommerce Colors', 'yourstore' ),
        'priority'   => 2,
        'panel'      => 'all_styling_panel'
    ) );

    // cart-badge
    $wp_customize->add_setting ( 'yourstore_colors[cart_badge_color]', array (
        'default' => '#777777',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[cart_badge_color]', array(
    'label'        => esc_html__( 'cart badge color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );
    $wp_customize->add_setting ( 'yourstore_colors[cart_badge_bg_color]', array (
        'default' => '#e8e8e8',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[cart_badge_bg_color]', array(
    'label'        => esc_html__( 'cart badge bg color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );



    //background color

     $wp_customize->add_setting ( 'yourstore_colors[onsale_badge_bg_color]', array (
        'default' => '#fa6b6b',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[onsale_badge_bg_color]', array(
    'label'        => esc_html__( 'On Sale Badge Bg Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );




  $wp_customize->add_setting ( 'yourstore_colors[onsale_badge_color]', array (
        'default' => '#fff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[onsale_badge_color]', array(
    'label'        => esc_html__( 'On Sale Badge Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );



    $wp_customize->add_setting ( 'yourstore_colors[rated_star_color]', array (
        'default' => '#ffaf47',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[rated_star_color]', array(
    'label'        => esc_html__( 'Rated Star Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );

   

    $wp_customize->add_setting ( 'yourstore_colors[product_inside_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_inside_color]', array(
    'label'        => esc_html__( 'Product Inside Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[product_inside_hover_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_inside_hover_color]', array(
    'label'        => esc_html__( 'Product Inside Hover Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[product_inside_name_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_inside_name_color]', array(
    'label'        => esc_html__( 'Product Inside Name Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[product_inside_name_hover_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_inside_name_hover_color]', array(
    'label'        => esc_html__( 'Product Inside Name Hover Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );



    $wp_customize->add_setting ( 'yourstore_colors[product_inside_carousel_control_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_inside_carousel_control_color]', array(
    'label'        => esc_html__( 'Product Inside Carousel Control BG Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );

   $wp_customize->add_setting ( 'yourstore_colors[product_inside_carousel_control_hover_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_inside_carousel_control_hover_color]', array(
    'label'        => esc_html__( 'Product Inside Carousel Control Hover BG Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );




    $wp_customize->add_setting ( 'yourstore_colors[product_price_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_price_color]', array(
    'label'        => esc_html__( 'Product Price Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[product_price_old_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_price_old_color]', array(
    'label'        => esc_html__( 'product price old color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );



    $wp_customize->add_setting ( 'yourstore_colors[product_quick_view_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_quick_view_color]', array(
    'label'        => esc_html__( 'Product Quick View Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );



    $wp_customize->add_setting ( 'yourstore_colors[quick_view_hover_Bg_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[quick_view_hover_Bg_color]', array(
    'label'        => esc_html__( 'Quick View Hover Bg Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[product_inside_info_link_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_inside_info_link_color]', array(
    'label'        => esc_html__( 'Product Inside info link Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[product_inside_info_link_hover_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_inside_info_link_hover_color]', array(
    'label'        => esc_html__( 'Product Inside info link hover Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );



    $wp_customize->add_setting ( 'yourstore_colors[product_count_down_color]', array (
        'default' => '#FFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_count_down_color]', array(
    'label'        => esc_html__( 'Product Countdown Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[product_count_down_bg_color]', array (
        'default' => '#FA6B6B',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[product_count_down_bg_color]', array(
    'label'        => esc_html__( 'Product Countdown BG Color', 'yourstore' ),
    'section'    => 'yourstore_wc_color',
    'priority'   => 18,
    ) ) );


    // Title: Add To Cart Button
    $wp_customize->add_section( 'yourstore_wc_atbtn_color' , array(
        'title'      => esc_html__( 'Button Color', 'yourstore' ),
        'priority'   => 2,
        'panel'      => 'all_styling_panel'
    ) );


    $wp_customize->add_setting ( 'yourstore_colors[add_to_cart_btn_bg_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[add_to_cart_btn_bg_color]', array(
    'label'        => esc_html__( 'Button Background Color', 'yourstore' ),
    'section'    => 'yourstore_wc_atbtn_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[add_to_cart_btn_hvr_bg_color]', array (
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[add_to_cart_btn_hvr_bg_color]', array(
    'label'        => esc_html__( 'Button Hover Background Color', 'yourstore' ),
    'section'    => 'yourstore_wc_atbtn_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[add_to_cart_btn_text_color]', array (
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[add_to_cart_btn_text_color]', array(
    'label'        => esc_html__( 'Button Text Color', 'yourstore' ),
    'section'    => 'yourstore_wc_atbtn_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[add_to_cart_btn_text_hover_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[add_to_cart_btn_text_hover_color]', array(
    'label'        => esc_html__( 'Button Hover Text Hover', 'yourstore' ),
    'section'    => 'yourstore_wc_atbtn_color',
    'priority'   => 18,
    ) ) );
 


     // Carousel Button
    $wp_customize->add_section( 'yourstore_carousel_button_color' , array(
        'title'      => esc_html__( 'Carousel Button', 'yourstore' ),
        'priority'   => 2,
        'panel'      => 'all_styling_panel'
    ) );


    $wp_customize->add_setting ( 'yourstore_colors[carousel_button_bg_color]', array (
        'default' => '#f5f5f5',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[carousel_button_bg_color]', array(
    'label'        => esc_html__( 'Button Background', 'yourstore' ),
    'section'    => 'yourstore_carousel_button_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[carousel_button_bg_hover_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[carousel_button_bg_hover_color]', array(
    'label'        => esc_html__( 'Button Background Hover Color', 'yourstore' ),
    'section'    => 'yourstore_carousel_button_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[carousel_button_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[carousel_button_color]', array(
    'label'        => esc_html__( 'Button Color', 'yourstore' ),
    'section'    => 'yourstore_carousel_button_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[carousel_button_hover_color]', array (
        'default' => '#fff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[carousel_button_hover_color]', array(
    'label'        => esc_html__( 'Button Hover Color', 'yourstore' ),
    'section'    => 'yourstore_carousel_button_color',
    'priority'   => 18,
    ) ) );

  
  /* main menu style*/

    $wp_customize->add_section( 'yourstore_menu_color' , array(
        'title'      => esc_html__( 'Menu Style', 'yourstore' ),
        'priority'   => 2,
        'panel'      => 'all_styling_panel'
    ) );
    //mobile_menu_bg_color
    $wp_customize->add_setting ( 'yourstore_colors[mobile_menu_bg_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod',
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[mobile_menu_bg_color]', array(
        'label'        => esc_html__( 'Mobile Menu Background Color', 'yourstore' ),
        'section'    => 'yourstore_menu_color',
        'priority'   => 18,
    ) ) );
    //parent_menu_link_color
    $wp_customize->add_setting ( 'yourstore_colors[parent_menu_link_color]', array (
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[parent_menu_link_color]', array(
        'label'        => esc_html__( 'Parent Menu Link Color', 'yourstore' ),
        'section'    => 'yourstore_menu_color',
        'priority'   => 18,
    ) ) );
 


    $wp_customize->add_setting ( 'yourstore_colors[parent_menu_hover_link_color]', array (
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[parent_menu_hover_link_color]', array(
    'label'        => esc_html__( 'Parent Menu Hover Link Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );
 

    $wp_customize->add_setting ( 'yourstore_colors[parent_menu_link_under_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[parent_menu_link_under_color]', array(
    'label'        => esc_html__( 'Parent Menu Link Underline Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );
 

    //sub menu

  $wp_customize->add_setting ( 'yourstore_colors[mega_menu_bg_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[mega_menu_bg_color]', array(
    'label'        => esc_html__( 'Mega Menu Bg Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );



     $wp_customize->add_setting ( 'yourstore_colors[sub_menu_title_color]', array (
        'default' => '#777777',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sub_menu_title_color]', array(
    'label'        => esc_html__( 'Sub Menu Title Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );

     $wp_customize->add_setting ( 'yourstore_colors[sub_menu_title_border_color]', array (
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sub_menu_title_border_color]', array(
    'label'        => esc_html__( 'Sub Menu Title Border Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );
 
    $wp_customize->add_setting ( 'yourstore_colors[sub_menu_link_hover_bg_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sub_menu_link_hover_bg_color]', array(
    'label'        => esc_html__( 'Sub Menu Link Hover Bg Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );



    $wp_customize->add_setting ( 'yourstore_colors[sub_menu_link_color]', array (
        'default' => '#777',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sub_menu_link_color]', array(
    'label'        => esc_html__( 'Sub Menu Link  Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[sub_menu_link_hover_color]', array (
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sub_menu_link_hover_color]', array(
    'label'        => esc_html__( 'Sub Menu Link Hover  Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );


     $wp_customize->add_setting ( 'yourstore_colors[sub_menu_link_border_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sub_menu_link_border_color]', array(
    'label'        => esc_html__( 'Sub Menu Link Border Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[sub_menu_divider_border_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));


    $wp_customize->add_setting ( 'yourstore_colors[megamenu_subtitle_hover_color]', array (
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[megamenu_subtitle_hover_color]', array(
    'label'        => esc_html__( 'megamenu subtitle hover color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sub_menu_divider_border_color]', array(
    'label'        => esc_html__( 'Sub Menu Divider Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[mega_menu_img_caption_color]', array (
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[mega_menu_img_caption_color]', array(
    'label'        => esc_html__( 'Mega Menu Image Caption Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[mega_menu_img_bg_color]', array (
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[mega_menu_img_bg_color]', array(
    'label'        => esc_html__( 'Mega Menu Image Bg Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[mega_menu_img_caption_hover_color]', array (
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[mega_menu_img_caption_hover_color]', array(
    'label'        => esc_html__( 'Mega Menu Image Caption Hover Color', 'yourstore' ),
    'section'    => 'yourstore_menu_color',
    'priority'   => 18,
    ) ) );


    //icon
    
    $wp_customize->add_setting ( 'yourstore_colors[social_links_color]', array (
        'default' => '#F3F3F3',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[social_links_color]', array(
    'label'        => esc_html__( 'social links color', 'yourstore' ),
    'section'    => 'yourstore_icon_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[social_links_hover_color]', array (
        'default' => '#F3F3F3',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[social_links_hover_color]', array(
    'label'        => esc_html__( 'social links hover color', 'yourstore' ),
    'section'    => 'yourstore_icon_color',
    'priority'   => 18,
    ) ) );

    //icon hover

    $wp_customize->add_setting ( 'yourstore_colors[social_links_bg_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[social_links_bg_color]', array(
    'label'        => esc_html__( 'social links bg color', 'yourstore' ),
    'section'    => 'yourstore_icon_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[social_links_bg_hover_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[social_links_bg_hover_color]', array(
    'label'        => esc_html__( 'social links bg hover color', 'yourstore' ),
    'section'    => 'yourstore_icon_color',
    'priority'   => 18,
    ) ) );

    // nav dots
    $wp_customize->add_setting ( 'yourstore_colors[slick_dots_active_color]', array (
        'default' => '#dddddd',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[slick_dots_active_color]', array(
    'label'        => esc_html__( 'Pagination Dots Active Color', 'yourstore' ),
    'section'    => 'yourstore_carousel_button_color',
    'priority'   => 18,
    ) ) );

     // All Color Settings

    $wp_customize->add_section( 'yourstore_icon_color' , array(
        'title'      => esc_html__( 'Icon Colors', 'yourstore' ),
        'priority'   => 2,
        'panel'      => 'all_styling_panel'
    ) );

    $wp_customize->add_setting ( 'yourstore_colors[icon_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[icon_color]', array(
    'label'        => esc_html__( 'Icon Color', 'yourstore' ),
    'section'    => 'yourstore_icon_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[icon_hover_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[icon_hover_color]', array(
    'label'        => esc_html__( 'Icon Hover Color', 'yourstore' ),
    'section'    => 'yourstore_icon_color',
    'priority'   => 18,
    ) ) );

    //sidebar menu

    $wp_customize->add_section( 'yourstore_sidebar_menu_color' , array(
        'title'      => esc_html__( 'Side Menu Style', 'yourstore' ),
        'priority'   => 2,
        'panel'      => 'all_styling_panel'
    ) );

    $wp_customize->add_setting ( 'yourstore_colors[sidebar_menu_title_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sidebar_menu_title_color]', array(
    'label'        => esc_html__( 'sidebar menu title color', 'yourstore' ),
    'section'    => 'yourstore_sidebar_menu_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[sidebar_menu_title_bg_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sidebar_menu_title_bg_color]', array(
    'label'        => esc_html__( 'sidebar menu title bg color', 'yourstore' ),
    'section'    => 'yourstore_sidebar_menu_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[sidebar_menu_link_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sidebar_menu_link_color]', array(
    'label'        => esc_html__( 'sidebar menu link color', 'yourstore' ),
    'section'    => 'yourstore_sidebar_menu_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[sidebar_menu_link_bg_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sidebar_menu_link_bg_color]', array(
    'label'        => esc_html__( 'sidebar menu link bg color', 'yourstore' ),
    'section'    => 'yourstore_sidebar_menu_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[sidebar_menu_link_hover]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sidebar_menu_link_hover]', array(
    'label'        => esc_html__( 'sidebar menu link hover', 'yourstore' ),
    'section'    => 'yourstore_sidebar_menu_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[sidebar_menu_link_bg_hover]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sidebar_menu_link_bg_hover]', array(
    'label'        => esc_html__( 'sidebar menu link bg hover', 'yourstore' ),
    'section'    => 'yourstore_sidebar_menu_color',
    'priority'   => 18,
    ) ) );

    
    $wp_customize->add_setting ( 'yourstore_colors[sidebar_menu_link_border_color]', array (
        'default' => '#777777',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sidebar_menu_link_border_color]', array(
    'label'        => esc_html__( 'sidebar menu link border color', 'yourstore' ),
    'section'    => 'yourstore_sidebar_menu_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[sidebar_testimonial_bg_color]', array (
        'default' => '#777777',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sidebar_testimonial_bg_color]', array(
    'label'        => esc_html__( 'sidebar testimonial bg color', 'yourstore' ),
    'section'    => 'yourstore_sidebar_menu_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[sidebar_testimonial_text_color]', array (
        'default' => '#777777',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[sidebar_testimonial_text_color]', array(
    'label'        => esc_html__( 'sidebar testimonial text color', 'yourstore' ),
    'section'    => 'yourstore_sidebar_menu_color',
    'priority'   => 18,
    ) ) );
    

    //search icon

    $wp_customize->add_setting ( 'yourstore_colors[search_icon_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[search_icon_color]', array(
    'label'        => esc_html__( 'search icon color', 'yourstore' ),
    'section'    => 'yourstore_icon_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[search_icon_hover_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[search_icon_hover_color]', array(
    'label'        => esc_html__( 'search icon hover color', 'yourstore' ),
    'section'    => 'yourstore_icon_color',
    'priority'   => 18,
    ) ) );



     // Banner Color Settings

    $wp_customize->add_section( 'yourstore_banner_color' , array(
        'title'      => esc_html__( 'Banner Colors', 'yourstore' ),
        'priority'   => 2,
        'panel'      => 'all_styling_panel'
    ) );

    $wp_customize->add_setting ( 'yourstore_colors[banner_heading_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[banner_heading_color]', array(
    'label'        => esc_html__( 'Banner Heading Color', 'yourstore' ),
    'section'    => 'yourstore_banner_color',
    'priority'   => 18,
    ) ) );


    $wp_customize->add_setting ( 'yourstore_colors[banner_caption_color]', array (
        'default' => '#FFFFFF',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[banner_caption_color]', array(
    'label'        => esc_html__( 'Banner Caption Color', 'yourstore' ),
    'section'    => 'yourstore_banner_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[banner_bg_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[banner_bg_color]', array(
    'label'        => esc_html__( 'Banner Bg Color', 'yourstore' ),
    'section'    => 'yourstore_banner_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[banner_title_hover_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[banner_title_hover_color]', array(
    'label'        => esc_html__( 'banner title bg hover color', 'yourstore' ),
    'section'    => 'yourstore_banner_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[banner_headline_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[banner_headline_color]', array(
    'label'        => esc_html__( 'banner headline color', 'yourstore' ),
    'section'    => 'yourstore_banner_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[banner_headline_hover_color]', array (
        'default' => '#333333',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[banner_headline_hover_color]', array(
    'label'        => esc_html__( 'banner headline hover color', 'yourstore' ),
    'section'    => 'yourstore_banner_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[promo_lebel_color]', array (
        'default' => '#ffffff',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[promo_lebel_color]', array(
    'label'        => esc_html__( 'promo lebel color', 'yourstore' ),
    'section'    => 'yourstore_banner_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[promo_lebel_bg_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[promo_lebel_bg_color]', array(
    'label'        => esc_html__( 'promo lebel bg color', 'yourstore' ),
    'section'    => 'yourstore_banner_color',
    'priority'   => 18,
    ) ) );


    // Pagination Color 

    $wp_customize->add_setting ( 'yourstore_colors[pagination_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[pagination_color]', array(
    'label'        => esc_html__( 'pagination color', 'yourstore' ),
    'section'    => 'yourstore_wc_atbtn_color',
    'priority'   => 18,
    ) ) );

    $wp_customize->add_setting ( 'yourstore_colors[pagination_bg_color]', array (
        'default' => '#1fc0a0',
        'sanitize_callback' => 'sanitize_hex_color',
        'type' => 'theme_mod', 
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'yourstore_colors[pagination_bg_color]', array(
    'label'        => esc_html__( 'pagination bg color', 'yourstore' ),
    'section'    => 'yourstore_wc_atbtn_color',
    'priority'   => 18,
    ) ) );

}
add_action( 'customize_register', 'yourstore_theme_customizer' );









