<?php

class Yourstore_Sidebar_Menu_Widget extends WP_Widget {
    
    
    public function __construct() {
        
        
        parent::__construct(
            'yst-sidebar-menu', // Base ID  
            esc_html__('Yourstore Sidebar Menu','yourstore'), 
            array(
                'description' => esc_html__('Yourstore Sidebar Menu', 'yourstore')
            )
        );
    }
    public function form($instance) {
        extract(wp_parse_args( (array) $instance, array('title' => '')));
        ?>
        <p><label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e('Title:', 'yourstore')?></label>
        <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /></p>
        <?php
    }
    public function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags( $new_instance['title'] );
        return $instance;
    }
    public function widget($args, $instance)
    {
        extract($args);
        $title = apply_filters( 'widget_title', empty( $instance['title'] ) ? '' : $instance['title'], $instance, $this->id_base );
        echo wp_kses_post($before_widget);
        echo '<h4 class="title-aside-wrapper text-uppercase mobile-menu-off">'.wp_kses_post($title).'</h4>';
        echo '<nav class="navbar navbar-vertical mobile-menu-off">';
        $random = rand(10000,99999);
        wp_nav_menu(array(
            'theme_location' => 'primary',
            'container_id' => 'yourstore-sidebar-menu-'.$random,
            'container_class' => 'responsive-menu mainMenu',
            'menu_id' => 'mainMenu',
            'menu_class' => 'nav navbar-nav dl-menu',
            'walker' => new YourstoreMainMenuWalker(),
        ));
        echo '</nav>';
        echo wp_kses_post($after_widget);
    }
}

add_action('widgets_init', create_function('', 'register_widget( "Yourstore_Sidebar_Menu_Widget" );'));