<?php
define('YOURSTORE_THEME_URI', get_template_directory_uri());
define('YOURSTORE_THEME_DIR', get_template_directory());
define('YOURSTORE_CSS_URL', get_template_directory_uri() . '/css');
define('YOURSTORE_JS_URL', get_template_directory_uri() . '/js');
define('YOURSTORE_FONTS_URL', get_template_directory_uri() . '/fonts/font-awesome/css');
define('YOURSTORE_IMG_URL', YOURSTORE_THEME_URI . '/images/');
define('YOURSTORE_FREAMWORK_DIRECTORY', YOURSTORE_THEME_DIR . '/framework/');
define('REV_SLIDER_AS_THEME', true);
/*
 * plugin.php has to load to know which plugin is active
 */
require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
/*
 * Enable support TGM features.
 */
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "class-tgm-plugin-activation.php");

/*
 * Enable support TGM configuration.
 */
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "config.tgm.php");


require_once(YOURSTORE_FREAMWORK_DIRECTORY . "helpers.php");

/*
 * Load Widgets
 */

require_once(YOURSTORE_FREAMWORK_DIRECTORY . "widgets/yst-sidebar-menu.php");
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "widgets/swpf-testimonial-widget.php");
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "widgets/smart-latest-post-widget.php");
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "widgets/smart-social-media-widget.php");
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "widgets/smart_banner_slider_widget.php");
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "widgets/swpf-product-shipping-info-widget.php");
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "widgets/swpf-address-info-widget.php");
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "widgets/swpf-brands-widget.php");


/*
 * Meta Box Configuration Post Meta Option
 */
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "config.meta.box.php");

/**
 * customize
 */
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "framework_customize.php");
/*
 * Load primary menu admin custom walker class
 */
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "nav_custom_fields.php");
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "nav_menu_walker.php");
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "mobile_nav_menu_walker.php");
require_once(YOURSTORE_FREAMWORK_DIRECTORY . "class-search-autocomplete.php");

/**
 * Load Redux Config File
 */
require get_template_directory() . '/framework/redux.fallback.php';
require get_template_directory() . '/framework/redux.config.php';
require get_template_directory() . '/css/custom_style.php';

add_action('widgets_init', 'override_woocommerce_widgets', 15);

function override_woocommerce_widgets()
{
    // Ensure our parent class exists to avoid fatal error (thanks Wilgert!)

    if (class_exists('WC_Widget_Products')) {
        
        unregister_widget('WC_Widget_Products');

        require_once(YOURSTORE_FREAMWORK_DIRECTORY . "widgets/smart-wc-widget-products.php");

        register_widget('YOURSTORE_WC_Widget_Products');
    }
    if (class_exists('WC_Widget_Layered_Nav')) {
        
        unregister_widget('WC_Widget_Layered_Nav');

        require_once(YOURSTORE_FREAMWORK_DIRECTORY . "widgets/yst-widget-layered-nav.php");

        register_widget('Yourstore_Widget_Layered_Nav');
    }
}
add_action('wp', 'yourstore_init', 20);

function yourstore_init()
{
    global $yith_woocompare, $post;
    $yourstore_option = yourstore_get_options();
    if (function_exists('YITH_WCQV_Frontend')) {
        remove_action('woocommerce_after_shop_loop_item', array(YITH_WCQV_Frontend(), 'yith_add_quick_view_button'), 15);
    }
    if (isset($yith_woocompare->obj) && $yith_woocompare->obj instanceof YITH_Woocompare_Frontend) {
        remove_action('woocommerce_single_product_summary', array($yith_woocompare->obj, 'add_compare_link'), 35);
    }
    ///////// WooCommerce Hooks /////////
    remove_action('woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10);
    remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5);
    remove_action('woocommerce_before_shop_loop', 'woocommerce_result_count', 20);
    remove_action('wp_head', 'rest_output_link_wp_head', 10, 0 );

    add_action('woocommerce_before_shop_loop_item_title', 'yourstore_before_product_image_wrapper_start', 5);
    remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
    add_filter('yith_wcwl_positions', 'yourstore_override_yith_wcwl_positions', 10, 1);
    remove_action('woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20);
    if (isset($post->post_type) && $post->post_type == 'product') {
        if (youstore_get_product_page_layout($post->ID) == 3) {
            add_action('woocommerce_single_product_summary', 'yourstore_display_product_video', 1);
            add_action('woocommerce_single_product_summary', 'yourstore_before_single_product_actions', 2);
            remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10);
            remove_action('woocommerce_after_single_product_summary', 'woocommerce_upsell_display', 15);
            remove_action('woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20);
            add_action('woocommerce_single_product_summary', 'woocommerce_template_single_rating', 41);
            add_action('yourstore_after_single_product_summary', 'woocommerce_upsell_display', 1);
            add_action('yourstore_after_single_product_summary', 'woocommerce_output_related_products', 2);
        } else {
            add_action('woocommerce_product_thumbnails', 'yourstore_display_product_video', 22);
            remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10);
            add_action('woocommerce_single_product_summary', 'woocommerce_template_single_rating', 11);
            add_action('woocommerce_before_single_product', 'yourstore_before_single_product_actions', 20);
            add_action('woocommerce_after_single_product', 'woocommerce_output_related_products', 100);
        }
    }
    if(isset($yourstore_option['disable_shop']) && $yourstore_option['disable_shop']){
        remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );
        remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );
    }
}

/**
 * display product video link
 */
function yourstore_display_product_video()
{
    global $product;
    if (isset($product) && is_product()) {
        $video_url = get_post_meta($product->id, 'yourstore_product_video', true);
        if (!empty($video_url)) {
            echo '<div class="product-info-left"><a href="' . esc_url($video_url) . '" class="video-link"><span class="icon icon-videocam"></span>' . esc_html__('Video', 'yourstore') . '</a></div>';
        }
    }
}

function yourstore_override_yith_wcwl_positions($positions)
{
    $positions['add-to-cart'] = array('hook' => 'empty', 'priority' => 0);
    return $positions;
}
add_action('woocommerce_before_shop_loop_item_title', 'yourstore_wc_quick_view_btn', 11);

function yourstore_wc_quick_view_btn()
{
    if (!function_exists('YITH_WCQV_Frontend')) {
        return;
    }

    global $product;

    $label = esc_html(get_option('yith-wcqv-button-label'));

    echo '<a href="#" class="quick-view yith-wcqv-button" data-product_id="' . esc_attr($product->id) . '"><b><span class="icon icon-visibility"></span> ' . wp_kses_post($label) . '</b></a>';
}
add_action('woocommerce_after_shop_loop_item', 'yourstore_add_qv_at_add_to_cart', 11);

function yourstore_add_qv_at_add_to_cart()
{
    if (!function_exists('YITH_WCQV_Frontend')) {
        return;
    }

    global $product;

    $label = esc_html(get_option('yith-wcqv-button-label'));

    echo '<a href="#" class="yith-wcqv-button btn btn--ys btn--xl  row-mode-visible hidden-xs" data-product_id="' . esc_attr($product->id) . '"><b><span class="icon icon-visibility"></span> ' . wp_kses_post($label) . '</b></a>';
}
add_action('woocommerce_after_shop_loop_item', 'yourstore_wc_wishlist_button', 13);

function yourstore_wc_wishlist_button()
{
    global $product, $yith_woocompare, $yith_wcwl;

    ?>
    <ul class="product__inside__info__link hidden-sm">
        <?php
        if (isset($yith_wcwl) && is_object($yith_wcwl)) {
            $classes = get_option('yith_wcwl_use_button') == 'yes' ? 'class="add_to_wishlist wishlist single_add_to_wishlist button alt"' : 'class="add_to_wishlist wishlist add_to_wishlist_small"';

            ?>
            <li class="text-right"><span class="icon icon-favorite_border tooltip-link"></span><a href="<?php echo esc_url($yith_wcwl->get_addtowishlist_url()) ?>" data-product-id="<?php echo esc_attr($product->id) ?>" data-product-type="<?php echo esc_attr($product->product_type) ?>" <?php print $classes ?>><span class="text"><?php esc_html_e('Add to wishlist', 'yourstore') ?></span></a></li>
        <?php } ?>
        <?php if (class_exists('YITH_Woocompare_Frontend') && class_exists('YITH_Woocompare')): ?>
            <li class="text-left"><span class="icon icon-sort  tooltip-link"></span><?php $yith_woocompare->obj->add_compare_link($product->id, array('button_or_link' => 'link', 'button_text' => esc_html__('Add to compare', 'yourstore'))); ?></li>
        <?php endif; ?>
    </ul>
    <?php
}
add_action('woocommerce_after_shop_loop_item', 'yourstore_mobile_wc_product_buttons', 10);

add_action('yourstore_mobile_products_grid_buttons', 'woocommerce_template_loop_add_to_cart');

function yourstore_mobile_wc_product_buttons()
{
    global $product, $yith_woocompare, $yith_wcwl;

    ?>
    <div class="hidden-1300">
        <?php
        do_action('yourstore_mobile_products_grid_buttons');

        if (isset($yith_wcwl) && is_object($yith_wcwl)) {
            $classes = get_option('yith_wcwl_use_button') == 'yes' ? 'class="add_to_wishlist wishlist single_add_to_wishlist btn btn--ys btn--xl"' : 'class="add_to_wishlist wishlist add_to_wishlist_small btn btn--ys btn--xl"';

            ?>
            <a href="<?php echo esc_url($yith_wcwl->get_addtowishlist_url()) ?>" data-product-id="<?php echo esc_attr($product->id) ?>" data-product-type="<?php echo esc_attr($product->product_type) ?>" <?php print $classes ?>><span class="icon icon-favorite_border tooltip-link"></span></a>
        <?php } ?>
        <?php if (class_exists('YITH_Woocompare_Frontend') && class_exists('YITH_Woocompare')) { ?>
            <a class="compare btn btn--ys btn--xl" href="<?php echo esc_url($yith_woocompare->obj->add_product_url($product->id)) ?>" data-product_id="<?php echo esc_attr($product->id); ?>" rel="nofollow"><span class="icon icon-sort tooltip-link"></span></a>
    <?php } ?>
    </div>
    <?php
}
add_action('woocommerce_single_product_summary', 'yourstore_single_wc_wishlist_button', 41);

function yourstore_single_wc_wishlist_button()
{
    global $product, $yith_woocompare, $yith_wcwl;

    ?>
    <ul class="product-link">
        <?php
        if (isset($yith_wcwl) && is_object($yith_wcwl)) {
            $classes = get_option('yith_wcwl_use_button') == 'yes' ? 'class="add_to_wishlist wishlist single_add_to_wishlist button alt"' : 'class="add_to_wishlist wishlist add_to_wishlist_small"';

            ?>
            <li class="text-right"><span class="icon icon-favorite_border tooltip-link"></span><a href="<?php echo esc_url($yith_wcwl->get_addtowishlist_url()) ?>" data-product-id="<?php echo esc_attr($product->id) ?>" data-product-type="<?php echo esc_attr($product->product_type) ?>" <?php print $classes ?>><span class="text"><?php esc_html_e('Add to wishlist', 'yourstore') ?></span></a></li>
        <?php } ?>
        <?php if (class_exists('YITH_Woocompare_Frontend') && class_exists('YITH_Woocompare')): ?>
            <li class="text-left"><span class="icon icon-sort tooltip-link"></span><?php $yith_woocompare->obj->add_compare_link($product->id, array('button_or_link' => 'link', 'button_text' => wp_kses_post('<span class="text">' . esc_html__('Add to compare', 'yourstore') . '</span>'))); ?></li>
    <?php endif; ?>
    </ul>
    <?php
}

/**
 * yourstore-theme functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package yourstore-theme
 */
if (!function_exists('yourstore_setup')) :

    /**
     * Sets up theme defaults and registers support for various WordPress features.
     *
     * Note that this function is hooked into the after_setup_theme hook, which
     * runs before the init hook. The init hook is too late for some features, such
     * as indicating support for post thumbnails.
     */
    function yourstore_setup()
    {
        /*
         * Make theme available for translation.
         * Translations can be filed in the /languages/ directory.
         * If you're building a theme based on yourstore-theme, use a find and replace
         * to change 'yourstore' to the name of your theme in all the template files.
         */
        load_theme_textdomain('yourstore', get_template_directory() . '/languages');

        add_editor_style(YOURSTORE_CSS_URL . '/editor-style.css');

        $defaults = array(
            'default-image' => '',
            'width' => 0,
            'height' => 0,
            'flex-height' => false,
            'flex-width' => false,
            'uploads' => true,
            'random-default' => false,
            'header-text' => true,
            'default-text-color' => '',
            'wp-head-callback' => '',
            'admin-head-callback' => '',
            'admin-preview-callback' => '',
        );

        add_theme_support('custom-header', $defaults);

        $defaults = array(
            'default-color' => '',
            'default-image' => '',
            'default-repeat' => '',
            'default-position-x' => '',
            'default-attachment' => '',
            'wp-head-callback' => '_custom_background_cb',
            'admin-head-callback' => '',
            'admin-preview-callback' => ''
        );
        add_theme_support('custom-background', $defaults);

        // Add default posts and comments RSS feed links to head.
        add_theme_support('automatic-feed-links');
        add_theme_support('woocommerce');
        /*
         * Let WordPress manage the document title.
         * By adding theme support, we declare that this theme does not use a
         * hard-coded <title> tag in the document head, and expect WordPress to
         * provide it for us.
         */
        add_theme_support('title-tag');

        /*
         * Enable support for Post Thumbnails on posts and pages.
         *
         * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
         */
        add_theme_support('post-thumbnails');

        // This theme uses wp_nav_menu() in one location.
        register_nav_menus(array(
            'primary' => esc_html__('Primary Menu', 'yourstore'),
            'topnav' => esc_html__('Top Bar Menu', 'yourstore'),
        ));


        /*
         * Switch default core markup for search form, comment form, and comments
         * to output valid HTML5.
         */
        add_theme_support('html5', array(
            'search-form',
            'comment-form',
            'comment-list',
            'gallery',
            'caption',
        ));

        /*
         * Enable support for Post Formats.
         * See https://developer.wordpress.org/themes/functionality/post-formats/
         */
        add_theme_support('post-formats', array(
            'aside',
            'image',
            'video',
            'quote',
            'link',
            'gallery',
            'audio'
        ));

        //Add custom thumb size
        set_post_thumbnail_size(397, 303, false);
        add_image_size('yourstore-grid-thumb', 370, 310, true);
    }
endif; // yourstore_setup
add_action('after_setup_theme', 'yourstore_setup');

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function yourstore_content_width()
{
    $GLOBALS['content_width'] = apply_filters('yourstore_content_width', 640);
}
add_action('after_setup_theme', 'yourstore_content_width', 0);

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function yourstore_widgets_init()
{
    $yourstore_option = yourstore_get_options();

    $footer_widget_name = (isset($yourstore_option['yourstore_footer_style']) && !empty($yourstore_option['yourstore_footer_style'])) ? '' . $yourstore_option['yourstore_footer_style'] : 'cols4';

    $secondary_footer = (isset($yourstore_option['is_secondary_footer']) && !empty($yourstore_option['is_secondary_footer'])) ? $yourstore_option['is_secondary_footer'] : 0;
    ;


    register_sidebar(array(
        'name' => esc_html__('Blog Sidebar', 'yourstore'),
        'id' => 'blogleftsidebar',
        'before_widget' => '<div class="box %2$s blog_widget block-underline" id="%1$s">',
        'after_widget' => "</div>",
        'before_title' => '<h4 class="text-uppercase title-aside">',
        'after_title' => '</h4>',
    ));
    register_sidebar(array(
        'name' => esc_html__('Top Language Sidebar', 'yourstore'),
        'id' => 'toplangsidebar',
        'before_widget' => '<div class="%2$s lang-sidebar" id="%1$s"> ',
        'after_widget' => "</div>",
        'before_title' => '<h4>',
        'after_title' => '</h4>',
    ));
    register_sidebar(array(
        'name' => esc_html__('Top Currency Sidebar', 'yourstore'),
        'id' => 'topcursidebar',
        'before_widget' => '<div class="%2$s curr-sidebar" id="%1$s"> ',
        'after_widget' => "</div>",
        'before_title' => '<h4>',
        'after_title' => '</h4>',
    ));

    register_sidebar(array(
        'name' => esc_html__('Page Left Sidebar', 'yourstore'),
        'id' => 'page-left-sidebar',
        'before_widget' => '<div class="box %2$s blog_widget block-underline" id="%1$s">',
        'after_widget' => "</div>",
        'before_title' => '<h4 class="text-uppercase title-aside">',
        'after_title' => '</h4>',
    ));

    register_sidebar(array(
        'name' => esc_html__('Page Right Sidebar', 'yourstore'),
        'id' => 'page-right-sidebar',
        'before_widget' => '<div class="box %2$s blog_widget block-underline" id="%1$s">',
        'after_widget' => "</div>",
        'before_title' => '<h4 class="text-uppercase title-aside">',
        'after_title' => '</h4>',
    ));

    register_sidebar(array(
        'name' => esc_html__('Shop Left Sidebar', 'yourstore'),
        'id' => 'shopleftbar',
        'before_widget' => '<div class="collapse-block open %2$s" id="%1$s">',
        'after_widget' => "</div></div>",
        'before_title' => '<h4 class="collapse-block__title">',
        'after_title' => '</h4><div class="collapse-block__content">',
    ));

    register_sidebar(array(
        'name' => esc_html__('Shop Right Sidebar', 'yourstore'),
        'id' => 'shoprightbar',
        'before_widget' => '<div class="collapse-block open %2$s" id="%1$s">',
        'after_widget' => "</div></div>",
        'before_title' => '<h4 class="collapse-block__title">',
        'after_title' => '</h4><div class="collapse-block__content">',
    ));

    register_sidebar(array(
        'name' => esc_html__('Product Right Sidebar', 'yourstore'),
        'id' => 'productrightbar',
        'before_widget' => '<div class="%2$s custom-product-block col-xl-4 visible-xl" id="%1$s">',
        'after_widget' => "</div>",
        'before_title' => '<h4 class="text-uppercase">',
        'after_title' => '</h4>',
    ));

    register_sidebar(array(
        'name' => esc_html__('Contact Left Sidebar', 'yourstore'),
        'id' => 'contact-left-sidebar',
        'before_widget' => '<div class="widget %2$s" id="%1$s">',
        'after_widget' => "</div>",
        'before_title' => '<h2 class="text-uppercase title-bottom">',
        'after_title' => '</h2>',
    ));

    register_sidebar(array(
        'name' => esc_html__('Contact Right Sidebar', 'yourstore'),
        'id' => 'contact-right-sidebar',
        'before_widget' => '<div class="widget %2$s" id="%1$s">',
        'after_widget' => "</div>",
        'before_title' => '<h2 class="text-uppercase title-bottom">',
        'after_title' => '</h2>',
    ));

    register_sidebar(array(
        'name' => esc_html__('Footer Column 1', 'yourstore'),
        'id' => 'footer_col_1',
        'description' => esc_html__('Footer Column 1', 'yourstore'),
        'before_widget' => '<div id="%1$s" class="widget mobile-collapse footer_box %2$s">',
        'after_widget' => '</div><!-- end.mobile-collapse__content--></div>',
        'before_title' => '<h4 class="text-left mobile-collapse__title">',
        'after_title' => '</h4><div class="mobile-collapse__content">',
    ));

    if ($footer_widget_name == "cols5_2") {

        register_sidebar(array(
            'name' => esc_html__('Footer Column 2', 'yourstore'),
            'id' => 'footer_col_2',
            'description' => esc_html__('Footer Column 2', 'yourstore'),
            'before_widget' => '<div id="%1$s" class="widget mobile-collapse %2$s">',
            'after_widget' => '</div><!-- end.mobile-collapse__content--></div>',
            'before_title' => '<h4 class="text-left mobile-collapse__title">',
            'after_title' => '</h4><div class="mobile-collapse__content">',
        ));
    } else {

        register_sidebar(array(
            'name' => esc_html__('Footer Column 2', 'yourstore'),
            'id' => 'footer_col_2',
            'description' => esc_html__('Footer Column 2', 'yourstore'),
            'before_widget' => '<div id="%1$s" class="widget mobile-collapse %2$s">',
            'after_widget' => '</div><!-- end.mobile-collapse__content--></div>',
            'before_title' => '<h4 class="text-left mobile-collapse__title">',
            'after_title' => '</h4><div class="mobile-collapse__content">',
        ));
    }

    if ($footer_widget_name == "cols3") {

        register_sidebar(array(
            'name' => esc_html__('Footer Column 3', 'yourstore'),
            'id' => 'footer_col_3',
            'description' => esc_html__('Footer Column 3', 'yourstore'),
            'before_widget' => '<div id="%1$s" class="widget mobile-collapse footer_box %2$s">',
            'after_widget' => '</div><!-- end.mobile-collapse__content--></div>',
            'before_title' => '<h4 class="text-left mobile-collapse__title">',
            'after_title' => '</h4><div class="mobile-collapse__content">',
        ));
    } else {
        register_sidebar(array(
            'name' => esc_html__('Footer Column 3', 'yourstore'),
            'id' => 'footer_col_3',
            'description' => esc_html__('Footer Column 3', 'yourstore'),
            'before_widget' => '<div id="%1$s" class="widget mobile-collapse footer_box %2$s">',
            'after_widget' => '</div><!-- end.mobile-collapse__content--></div><!-- end.footer_box-->',
            'before_title' => '<h4 class="text-left mobile-collapse__title">',
            'after_title' => '</h4><div class="mobile-collapse__content">',
        ));
    }
    register_sidebar(array(
        'name' => esc_html__('Footer Column 4', 'yourstore'),
        'id' => 'footer_col_4',
        'description' => esc_html__('Footer Column 4', 'yourstore'),
        'before_widget' => '<div id="%1$s" class="widget mobile-collapse footer_box %2$s">',
        'after_widget' => '</div><!-- end.mobile-collapse__content--></div><!-- end.footer_box-->',
        'before_title' => '<h4 class="text-left mobile-collapse__title">',
        'after_title' => '</h4><div class="mobile-collapse__content">',
    ));

    if ($footer_widget_name == "cols5_2" || $footer_widget_name == "cols5") {
        register_sidebar(array(
            'name' => esc_html__('Footer Column 5', 'yourstore'),
            'id' => 'footer_col_5',
            'description' => esc_html__('Footer Column 5', 'yourstore'),
            'before_widget' => '<div id="%1$s" class="widget mobile-collapse footer_box %2$s">',
            'after_widget' => '</div><!-- end.mobile-collapse__content--></div>',
            'before_title' => '<h4 class="text-left mobile-collapse__title">',
            'after_title' => '</h4><div class="mobile-collapse__content">',
        ));
    }

    register_sidebar(array(
        'name' => esc_html__('Footer Maintenance', 'yourstore'),
        'id' => 'footer-maintenance',
        'description' => esc_html__('Maintenance Page Footer ', 'yourstore'),
        'before_widget' => '<div id="%1$s" class="widget footer-maintenance text-center mobile-collapse footer_box %2$s">',
        'after_widget' => '</div><!-- end.mobile-collapse__content--></div>',
        'before_title' => '<h4 class="text-left mobile-collapse__title">',
        'after_title' => '</h4><div class="mobile-collapse__content">',
    ));
    //footer-maintenance
    //secondary footer
    if ($secondary_footer == 1) {
        register_sidebar(array(
            'name' => esc_html__('Secondary Footer Column 1', 'yourstore'),
            'id' => 'secondary_footer_col_1',
            'description' => esc_html__('Footer Column 1', 'yourstore'),
            'before_widget' => '<div id="%1$s" class="widget mobile-collapse footer_box %2$s">',
            'after_widget' => '</div><!-- end.mobile-collapse__content--></div>',
            'before_title' => '<h4 class="text-left mobile-collapse__title">',
            'after_title' => '</h4><div class="mobile-collapse__content">',
        ));
        register_sidebar(array(
            'name' => esc_html__('Secondary Footer Column 2', 'yourstore'),
            'id' => 'secondary_footer_col_2',
            'description' => esc_html__('Footer Column 2', 'yourstore'),
            'before_widget' => '<div id="%1$s" class="widget mobile-collapse %2$s">',
            'after_widget' => '</div><!-- end.mobile-collapse__content--></div>',
            'before_title' => '<h4 class="text-left mobile-collapse__title">',
            'after_title' => '</h4><div class="mobile-collapse__content">',
        ));
        register_sidebar(array(
            'name' => esc_html__('Secondary Footer Column 3', 'yourstore'),
            'id' => 'secondary_footer_col_3',
            'description' => esc_html__('Footer Column 3', 'yourstore'),
            'before_widget' => '<div id="%1$s" class="widget mobile-collapse footer_box %2$s">',
            'after_widget' => '</div><!-- end.mobile-collapse__content--></div>',
            'before_title' => '<h4 class="text-left mobile-collapse__title">',
            'after_title' => '</h4><div class="mobile-collapse__content">',
        ));

        register_sidebar(array(
            'name' => esc_html__('Secondary Footer Column 4', 'yourstore'),
            'id' => 'secondary_footer_col_4',
            'description' => esc_html__('Secondary Footer Column 4', 'yourstore'),
            'before_widget' => '<div id="%1$s" class="widget mobile-collapse footer_box %2$s">',
            'after_widget' => '</div><!-- end.mobile-collapse__content--></div>',
            'before_title' => '<h4 class="text-left mobile-collapse__title">',
            'after_title' => '</h4><div class="mobile-collapse__content">',
        ));
    }
}
add_action('widgets_init', 'yourstore_widgets_init');

function yourstore_front_init_js_var()
{
    global $yith_wcwl, $post, $product;
    $yourstore_option = yourstore_get_options();
    if (defined('ICL_LANGUAGE_CODE')) {
        $wpml_lang = 'var wpml_lang = "'.ICL_LANGUAGE_CODE.'";';
    } else {
        $wpml_lang = 'var wpml_lang = false;';
    }
    wp_add_inline_script('yourstore-custom', $wpml_lang);
    if(function_exists('WC') && is_singular('product') && youstore_get_product_page_layout($post->ID) == 3){
        $playout3scripts = 'jQuery(document).ready(function(){
                productCarousel(jQuery("#mobileGallery"),1,1,1,1,1);
                productBigCarousel(jQuery(".bigGallery"),3,3,3,2,1);
                elevateZoom1();
            });';
        wp_add_inline_script('yourstore-custom', $playout3scripts);
    }
    
    wp_localize_script('yourstore-custom', 'THEMEURL', YOURSTORE_THEME_URI);
    wp_localize_script('yourstore-custom', 'IMAGEURL', YOURSTORE_THEME_URI.'/images');
    wp_localize_script('yourstore-custom', 'CSSURL', YOURSTORE_THEME_URI.'/css');
    
    
    if(isset($yourstore_option['yourstore_sticky_nav']) && !$yourstore_option['yourstore_sticky_nav']) {
        wp_localize_script('yourstore-custom', 'yourstore_disable_stuck_nav', '0');
    }
    
}
add_action('wp_enqueue_scripts', 'yourstore_front_init_js_var', 1001);

/**
 * Enqueue scripts and styles.
 */
add_action('wp_enqueue_scripts', 'yourstore_scripts', 1000);

function yourstore_scripts()
{
    $theme_mod = yourstore_get_options();
    // Load styles
    wp_enqueue_style('animate', YOURSTORE_CSS_URL . '/animate.css');
    wp_enqueue_style('slick', YOURSTORE_THEME_URI . '/external/slick/slick.css');
    wp_enqueue_style('slick-theme', YOURSTORE_THEME_URI . '/external/slick/slick-theme.css');
    wp_enqueue_style('magnific-popup', YOURSTORE_THEME_URI . '/external/magnific-popup/magnific-popup.css');
    wp_enqueue_style('bootstrap-select', YOURSTORE_THEME_URI . '/external/bootstrap-select/bootstrap-select.css');
    wp_enqueue_style('font', YOURSTORE_THEME_URI . '/font/style.css');
    
    if ( !is_plugin_active( 'redux-framework/redux-framework.php' )){
        $protocol = is_ssl() ? 'https' : 'http';
        $subsets = 'latin,cyrillic-ext,latin-ext,cyrillic,greek-ext,greek,vietnamese';
        $query_args = array(
            'family' => 'Ubuntu',
            'subset' => $subsets,
        );
        wp_enqueue_style('Ubuntu', esc_url(add_query_arg($query_args, "$protocol://fonts.googleapis.com/css")), array(), null);
    }
    
    wp_enqueue_style('yourstore-style', get_stylesheet_uri());
    if (is_single()) {
        wp_enqueue_style('dashicons');
    }
    wp_enqueue_style('responsive', YOURSTORE_THEME_URI . '/css/responsive.css');

    $yourstore_custom_inline_style = '';

    if (function_exists('yourstore_get_custom_styles')) {
        $yourstore_custom_inline_style = yourstore_get_custom_styles();
    }

    wp_add_inline_style('yourstore-style', $yourstore_custom_inline_style);
    wp_dequeue_style('jquery-colorbox');// remove colorbox css from yith-woocompare plugin
    wp_dequeue_script('jquery-colorbox');// remove colorbox js from yith-woocompare plugin

    wp_enqueue_script('modernizr', YOURSTORE_THEME_URI . '/external/modernizr/modernizr.js', array('jquery'), '201202124', true);
    wp_enqueue_script('yourstore-bootstrap', YOURSTORE_THEME_URI . '/js/bootstrap.min.js', array('jquery', 'jquery-ui-core'), '201202124', true);
    wp_enqueue_script('echo', YOURSTORE_THEME_URI . '/js/echo.min.js', array('jquery'), '201202124', true);
    
    if(isset($theme_mod['yourstore_header_auto_suggest_status']) && $theme_mod['yourstore_header_auto_suggest_status']){
        wp_enqueue_script('jquery-ui-autocomplete', null, array('jquery', 'jquery-ui-core'), '', true);
    }

    wp_enqueue_script('yourstore-slick', YOURSTORE_THEME_URI . '/external/slick/slick.min.js', array('jquery', 'jquery-ui-core'), '201202124', true);

    wp_enqueue_script('yourstore-cd-plugin', YOURSTORE_THEME_URI . '/external/countdown/jquery.plugin.min.js', array('jquery'), '201202127', false);
    wp_enqueue_script('yourstore-cd-main', YOURSTORE_THEME_URI . '/external/countdown/jquery.countdown.min.js', array('jquery', 'yourstore-cd-plugin'), '201202127', false);

    wp_enqueue_script('yourstore-instafeed', YOURSTORE_THEME_URI . '/external/instafeed/instafeed.min.js', array('jquery'), '201202127', false);
    wp_enqueue_script('yourstore-magnific-popup', YOURSTORE_THEME_URI . '/external/magnific-popup/jquery.magnific-popup.min.js', array('jquery'), '201202127', false);
    wp_enqueue_script('yourstore-isotope', YOURSTORE_THEME_URI . '/external/isotope/isotope.pkgd.min.js', array('jquery'), '201202127', false);
    wp_enqueue_script('yourstore-imagesloaded', YOURSTORE_THEME_URI . '/external/imagesloaded/imagesloaded.pkgd.min.js', array('jquery'), '201202127', false);
    wp_enqueue_script('yourstore-colorbox', YOURSTORE_THEME_URI . '/external/colorbox/jquery.colorbox-min.js', array('jquery'), '201202127', false);
    wp_enqueue_script('yourstore-parallax', YOURSTORE_THEME_URI . '/external/parallax/jquery.parallax-1.1.3.js', array('jquery'), '201202127', false);
    if (is_singular('product')) {
        wp_enqueue_script('yourstore-elevatezoom', YOURSTORE_THEME_URI . '/external/elevatezoom/jquery.elevateZoom-3.0.8.min.js', array('jquery'), '201202127', false);
    }
    wp_enqueue_script('yourstore-custom', YOURSTORE_THEME_URI . '/js/custom.js', array('jquery'), '201202127', true);
    $lang_vars = array('back' => esc_html__('Back', 'yourstore'));
    wp_localize_script('yourstore-custom', 'yourstore_js_strings', $lang_vars);

    wp_enqueue_script('yourstore-common', YOURSTORE_THEME_URI . '/js/common.js', array('jquery'), '201202127', true);

    wp_localize_script( 'yourstore-common', 'adminurlajax', array('ajaxurl' => admin_url( 'admin-ajax.php' )) );

    if (is_singular() && comments_open() && get_option('thread_comments')) {
        wp_enqueue_script('comment-reply');
    }
}

/**
 * Enque script in admin header
 */
function yourstore_pw_load_scripts($hook)
{

    if ($hook != 'edit.php' && $hook != 'post.php' && $hook != 'post-new.php')
        return;

    wp_enqueue_script('custom-js', get_template_directory_uri() . '/js/admin.js');
    wp_enqueue_style('custom-admin', YOURSTORE_CSS_URL . "/admin.css", '', '1.0');
}
add_action('admin_enqueue_scripts', 'yourstore_pw_load_scripts');


if (function_exists('vc_add_param')) {
    $attributes = array(
        'type' => 'dropdown',
        'heading' => "Tab Style",
        'param_name' => 'h_tab_style',
        'value' => array(
            esc_html__('Default', 'yourstore') => 'yourstore_tabs',
            esc_html__('Short Style', 'yourstore') => 'yourstore_wc_products_tab',
        ),
        'description' => esc_html__("New style attribute", "yourstore")
    );
    vc_add_param('vc_tta_tabs', $attributes);
}

function yourstore_custom_class_vc_tab($class, $tag, $atts)
{
    if ($tag == 'vc_tta_tabs' && isset($atts['h_tab_style']) && !empty($atts['h_tab_style'])) {
        $class .= ' ' . esc_attr($atts['h_tab_style']);
    }

    if ($tag == 'vc_text_separator') {
        $class .= ' yourstore_sec_title';
    }

    return $class;
}
add_filter('vc_shortcodes_css_class', 'yourstore_custom_class_vc_tab', 10, 3);


/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';


/**
 * Implement the post meta.
 */
require get_template_directory() . '/inc/post_meta.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';

// yourstore_pass_scb
function yourstore_pass_scb($value)
{
    return $value;
}

function yourstore_before_product_image_wrapper_start($multiple_images = true)
{
    global $product;
    $yourstore_option = yourstore_get_options();
    ?>
        <div class="product__inside__image">
        <?php
        if (!$multiple_images
            || (!isset($yourstore_option['product_img_swap']) 
            || !$yourstore_option['product_img_swap'] 
            || !is_object($product) 
            || !$product->get_gallery_image_ids())
            ) {
            woocommerce_template_loop_product_link_open();
            echo yourstore_loop_get_product_thumbnail();
            woocommerce_template_loop_product_link_close();
        } else {
            echo yourstore_product_loop_imgs($product);
        }
    }
	function yourstore_loop_get_product_thumbnail($size = 'shop_catalog'){
		global $post;
		$image_size = apply_filters( 'single_product_archive_thumbnail_size', $size );
		if ( has_post_thumbnail() ) {
			$attachment_id = get_post_thumbnail_id();
			$props = wc_get_product_attachment_props( $attachment_id, $post );
			$props['class'] = '';
			$image = wp_get_attachment_image_src($attachment_id, $image_size);
            //$html = '<img data-echo="'.esc_url($image[0]).'" src="' . esc_url(YOURSTORE_IMG_URL . 'blank.png') . '" title="' . esc_attr($props['title']) . '" alt="' . esc_attr($props['alt']) . '" />';
			$html = woocommerce_get_product_thumbnail();
            return $html;
		} elseif ( wc_placeholder_img_src() ) {
			return wc_placeholder_img( $image_size );
		}
	}
    function yourstore_product_loop_imgs($product)
    {
        if (is_object($product)) {

            $attachment_ids = $product->get_gallery_image_ids();
            $attachments = $product->get_gallery_image_ids();
            array_unshift($attachments, get_post_thumbnail_id($product->id));
            $html = '<div class="product__inside__carousel slide" data-ride="carousel"><div class="carousel-inner" role="listbox">';
            foreach ($attachments as $key => $attachment) {
                $elem_class = 'item';
                if ($key < 1) {
                    $elem_class .= ' active';
                }
                $attachment_id = $attachment;
                $props = wc_get_product_attachment_props($attachment_id, $product->post);
                $props['class'] = '';
                $image = wp_get_attachment_image_src($attachment_id, apply_filters('single_product_archive_thumbnail_size', 'shop_catalog'));
                $html .= '<div data-prod-image="' . esc_url($image[0]) . '" class="' . esc_attr($elem_class) . '"><a href="' . get_the_permalink() . '" class="woocommerce-LoopProduct-link">';
                //$html .= '<img data-echo="'.esc_url($image[0]).'" src="' . esc_url(YOURSTORE_IMG_URL . 'blank.png') . '" title="' . esc_attr($props['title']) . '" alt="' . esc_attr($props['alt']) . '" />';
                $html .= woocommerce_get_product_thumbnail();
                $html .= '</a></div>';
            }
            $html .= '</div>';
            $html .= '<!-- Controls --><a class="carousel-control next"></a> <a class="carousel-control prev"></a>';
            $html .= '</div>';
            return $html;
        }
    }
    add_action('woocommerce_before_shop_loop_item_title', 'yourstore_special_product_countdown', 14);

    function yourstore_special_product_countdown()
    {
        global $product;
        if ($product->is_on_sale()) {
            $schedule_end = get_post_meta($product->id, '_sale_price_dates_to', true);
            if (!empty($schedule_end)) {
                $month = (int) date('n', (int) $schedule_end);
                $datearr = array(
                    'year' => (int) date('Y', (int) $schedule_end),
                    'month' => $month - 1,
                    'day' => (int) date('j', (int) $schedule_end),
                );

                ?>
                    <div class="countdown_box" data-schedule='<?php print json_encode($datearr) ?>'>
                        <div class="countdown_inner">
                            <div class="countdown_clock"></div>
                        </div>
                    </div>
            <?php
        }
    }
}
add_action('woocommerce_before_shop_loop_item_title', 'yourstore_before_product_image_wrapper_end', 15);

function yourstore_before_product_image_wrapper_end()
{

    ?>
        </div>
            <?php
        }
        remove_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10);

        add_action('woocommerce_shop_loop_item_title', 'yourstore_woocommerce_template_loop_product_title', 10);

        function yourstore_woocommerce_template_loop_product_title()
        {
            echo '<h2><a href="' . get_the_permalink() . '">' . get_the_title() . '</a></h2>';
        }
        remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
        add_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_rating', 20);

        add_action('woocommerce_after_shop_loop_item_title', 'yourstore_wc_rating_for_list_view', 20);

        function yourstore_wc_rating_for_list_view()
        {

            ?>
        <div class="product__inside__review row-mode-visible">
        <?php
        if (function_exists('woocommerce_template_single_rating')) {
            woocommerce_template_single_rating();
        }

        ?>
        </div>
            <?php
        }
        add_action('woocommerce_after_shop_loop_item', 'yourstore_before_product_rating_wrapper_start', 19);

        function yourstore_before_product_rating_wrapper_start()
        {

            ?>
        <div class="rating row-mode-hide">
        <?php
    }
    add_action('woocommerce_after_shop_loop_item', 'yourstore_before_product_rating_wrapper_end', 21);

    function yourstore_before_product_rating_wrapper_end()
    {

        ?>
        </div>
            <?php
        }
        add_action('woocommerce_after_shop_loop_item', 'yourstore_before_product_btn_wrapper_start', 6);

        function yourstore_before_product_btn_wrapper_start()
        {

            ?>
        <div class="product__inside__hover">
            <div class="product__inside__info">
                <div class="product__inside__info__btns">
    <?php
}
add_action('woocommerce_after_shop_loop_item', 'yourstore_before_product_btn_wrapper3_end', 10);

function yourstore_before_product_btn_wrapper3_end()
{

    ?>
                </div>
                    <?php
                }
                add_action('woocommerce_after_shop_loop_item', 'yourstore_before_product_btn_wrapper2_end', 15);

                function yourstore_before_product_btn_wrapper2_end()
                {

                    ?>
            </div>
                <?php
            }
            add_action('woocommerce_after_shop_loop_item', 'yourstore_before_product_btn_wrapper_end', 25);

            function yourstore_before_product_btn_wrapper_end()
            {

                ?>
        </div>
            <?php
        }


        function yourstore_nav_menu_items($menu_loc = 'primary')
        {

            $menuid = get_nav_menu_locations();

            if (isset($menuid[$menu_loc])) {

                $menu = wp_get_nav_menu_object($menuid[$menu_loc]);

                $items = wp_get_nav_menu_items($menu);

                $menu_items = array();



                if (!empty($items)) {

                    foreach ($items as $item) {



                        if ($item->menu_item_parent == 0) {

                            if (is_numeric($item->post_name)) {

                                $menu_item_object_id = get_post_meta($item->ID, '_menu_item_object_id', true);



                                if ($item->type == 'taxonomy') {



                                    $p = get_term($item->object_id, $item->object);

                                    $post_name = $p->name;
                                } else {

                                    $p = get_post((int) $menu_item_object_id);

                                    //$p = get_post((int) $item->object_id);

                                    $post_name = $p->post_name;
                                }

                                $menu_items[] = array((int) $item->object_id, $item->title, $post_name, $item->classes);
                            } else {

                                //custom link
                                //
                            $menu_items[] = array((int) $item->object_id, $item->title, $item->post_name, $item->classes, $item->url);
                            }
                        }
                    }



                    if (!empty($menu_items))
                        return $menu_items;
                }
            }

            return false;
        }

        function yourstore_top_cart_script()
        {

            $cart_scripts = '';
            if (function_exists('WC') && get_option('woocommerce_enable_ajax_add_to_cart') == 'yes'):

            $cart_scripts .= '
                jQuery(function ($) {

                    "use strict";
                    if(typeof woocommerce_params != "undefined"){
                    
                        $(document).off("click", ".add_to_cart_button");

                        $(document).on("click", ".add_to_cart_button", function () {

                            //return false;

                            var t = $(this);

                            if (t.hasClass("product_type_variable") || t.hasClass("product_type_grouped") || $("#header .cart").length < 1) {

                                return true;

                            }
                            var product_id = t.attr("data-product_id");

                            t.removeClass("added");

                            t.addClass("loading");

                            var data = {action: "woocommerce_add_to_cart", product_id: product_id, quantity: t.attr("data-quantity")};

                            var res = "";

                            var ajax_url = woocommerce_params.ajax_url;
                            if (wpml_lang) {
                                ajax_url += "?lang=" + wpml_lang;
                            }
                            //woocommerce_params.ajax_url

                            $.post(ajax_url, data, function (n) {

                                t.removeClass("loading");

                                res += n.fragments.cart_html;

                                $("#header .cart .cart-content").remove();
                                $("#header .cart .dropdown").append(res);
                                res = $("#header .cart .widget_shopping_cart_content").html();
                                $("#header .cart .widget_shopping_cart_content").remove();
                                $("#header .cart .dropdown").append(res);
                                $("#header .cart .badge--cart").html(n.fragments.count);

                                setTimeout(function () {

                                    $(".add_to_cart_button").removeClass("added");

                                }, 2000);

                            });

                            return false;

                        });

                        $("#notification .success .close").on("click", function () {

                            $(this).parent().fadeOut(400);

                        });
                    }
                });';

        endif; //if(isset($woocommerce))

        $cart_scripts .= '
            jQuery(function ($) {
                if(typeof woocommerce_params != "undefined"){
                    var ajaxurl = woocommerce_params.ajax_url;
                    if (wpml_lang) {
                        ajaxurl += "?lang=" + wpml_lang;
                    }
                    $.ajax({
                        url: ajaxurl,
                        data: {action: "woocommerce_get_refreshed_fragments"},
                        type: "POST",
                        dataType: "json",
                        success: function (data) {

                            var htmloutput = "";

                            if (typeof data.fragments != "undefined") {

                                htmloutput += data.fragments.cart_html;

                                $("#header .cart .cart-content").remove();
                                $("#header .cart .dropdown").append(htmloutput);
                                htmloutput = $("#header .cart .shipping-costs-cart-info").html();
                                $("#header .cart .shipping-costs-cart-info").remove();
                                $("#header .cart .dropdown").append(htmloutput);
                                $("#header .cart .badge--cart").html(data.fragments.count);

                            }

                        }

                    });
                }
            });';
        wp_add_inline_script('yourstore-common', $cart_scripts);
    
}
add_action('wp_enqueue_scripts', 'yourstore_top_cart_script', 1002);

add_filter('woocommerce_add_to_cart_fragments', 'yourstore_filter_cart_fragments', 20);

function yourstore_filter_cart_fragments($data = array())
{
    if (!empty($data)) {
        $keys = array_keys($data);
        $data['cart_html'] = $data[$keys[0]];
        unset($data[$keys[0]]);
    }
    $data['count'] = WC()->cart->cart_contents_count;
    return $data;
}
add_action('vc_before_init', 'yourstore_override_vc_column_params', 10);

function yourstore_override_vc_column_params()
{
    $attributes = array(
        'type' => 'dropdown',
        'heading' => esc_html__('Width Extra Large', 'yourstore'),
        'param_name' => 'width-xl',
        'value' => array(
            esc_html__('Select', 'yourstore') => '',
            esc_html__('1 column - 1/12', 'yourstore') => '1',
            esc_html__('2 columns - 1/6', 'yourstore') => '2',
            esc_html__('3 columns - 1/4', 'yourstore') => '3',
            esc_html__('4 columns - 1/3', 'yourstore') => '4',
            esc_html__('6 columns - 1/2', 'yourstore') => '6',
            esc_html__('8 columns - 2/3', 'yourstore') => '8',
            esc_html__('9 columns - 3/4', 'yourstore') => '9',
            esc_html__('10 columns - 5/6', 'yourstore') => '10',
            esc_html__('12 columns - 1/1', 'yourstore') => '12',
        ),
        'group' => esc_html__('Responsive Options', 'yourstore'),
        'description' => esc_html__('Select column width.', 'yourstore'),
        'std' => '',
    );
    vc_add_param('vc_column', $attributes);
    vc_add_param('vc_column_inner', $attributes);
}
add_filter('vc_shortcodes_css_class', 'yourstore_custom_css_classes_vc_column', 10, 3);

function yourstore_custom_css_classes_vc_column($class_string, $tag, $atts)
{

    if ($tag == 'vc_column' || $tag == 'vc_column_inner') {
        if (isset($atts['width-xl']) && $atts['width-xl']) {
            $class_string .= ' col-xl-' . $atts['width-xl'];
        }
    }
    return $class_string;
}
remove_action("woocommerce_shop_loop_subcategory_title", "woocommerce_template_loop_category_title", 10);
add_action("woocommerce_shop_loop_subcategory_title", "uptheme_wc_template_loop_category_title", 10);

if (!function_exists('uptheme_wc_template_loop_category_title')) {

    /**
     * Show the subcategory title in the product loop.
     */
    function uptheme_wc_template_loop_category_title($category)
    {

        ?>
            <h3 class="subcategory-item__title">
            <?php
            echo esc_html($category->name);

            ?>
            </h3>
            <?php
        }
    }

    function yourstore_product_post_class($classes, $class = '', $post_id = '')
    {
        if (!$post_id || 'product' !== get_post_type($post_id) || is_single($post_id)) {
            return $classes;
        }

        global $woocommerce_loop;

        $product = wc_get_product($post_id);

        $colclass = '';

        // col-xs-6 col-sm-4 col-md-3 col-lg-3 col-xl-3
//    $woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', $woocommerce_loop['columns'] );
        $columns = $woocommerce_loop['columns'];
        if (is_shop() || is_product_category() || is_product_tag()) {
            if (isset($_GET['layout'])) {
                $size = (int) $_GET['layout'];
                switch ($size) {
                    case 2:
                        $columns = 6;
                        break;
                    case 4:
                        $columns = 2;
                        break;
                }
            }
        }
        if (isset($woocommerce_loop['name']) && !empty($woocommerce_loop['name'])) {
            switch ($columns) {
                case 2:
                    $colclass = 'col-xs-12 col-sm-6 col-md-6 col-lg-6 col-xl-3';
                    break;
                case 4:
                    $colclass = 'col-xs-12 col-sm-4 col-md-4 col-lg-3 col-xl-3';
                    break;
                case 9:
                    $colclass = 'col-xs-12 col-sm-4 col-md-3 col-lg-2 col-xl-one-nine';
                    break;
                case 6:
                    $colclass = 'col-xs-12 col-sm-4 col-md-3 col-lg-3 col-xl-2';
                    break;
                default:
                    $colclass = 'col-xs-12 col-sm-4 col-md-6 col-lg-4 col-xl-one-fifth';
                    break;
            }
        } else {
            switch ($columns) {
                case 2:
                    $colclass = 'col-xs-12 col-sm-6 col-md-6 col-lg-6 col-xl-3';
                    break;
                case 4:
                    $colclass = 'col-xs-12 col-sm-4 col-md-4 col-lg-3 col-xl-3';
                    break;
                case 9:
                    $colclass = 'col-xs-12 col-sm-4 col-md-3 col-lg-2 col-xl-one-nine';
                    break;
                case 6:
                    $colclass = 'col-xs-12 col-sm-4 col-md-3 col-lg-3 col-xl-2';
                    break;
                default:
                    $colclass = 'col-xs-12 col-sm-6 col-md-6 col-lg-4 col-xl-one-fifth';
                    break;
            }
        }


        $classes = array('ys-product');
        $classes[] = $colclass;
        return $classes;
    }
    add_filter('post_class', 'yourstore_product_post_class', 20, 3);
    add_filter('loop_shop_columns', 'yourstore_set_shop_grid_size', 20, 1);

    function yourstore_set_shop_grid_size($columns)
    {
        $yourstore_option = yourstore_get_options();

        if (isset($yourstore_option['shop_page_grid_column']) && $yourstore_option['shop_page_grid_column'] && (is_shop() || is_product_category() || is_product_taxonomy()
            )) {
            $columns = (int) $yourstore_option['shop_page_grid_column'];
        }

        if (isset($_GET['columns']) && is_numeric($_GET['columns']))
            $columns = (int) $_GET['columns'];;

        return $columns;
    }

    function yourstore_before_single_product_actions()
    {
        global $product;
        $prev_product = get_prev_next_product_object($product->id, 'prev');
        $next_product = get_prev_next_product_object($product->id);

        ?>
        <div id="productPrevNext">
        <?php if ($prev_product && isset($prev_product->ID) && $attach_id = get_post_thumbnail_id($prev_product->ID)) { ?>
                <a href="<?php echo esc_url(get_permalink($prev_product->ID)) ?>" class="product-prev">
            <?php
            echo wp_kses_post(wp_get_attachment_image($attach_id, 'shop_thumbnail'));

            ?>
                </a>
        <?php } ?>
        <?php if ($next_product && isset($next_product->ID) && $attach_id = get_post_thumbnail_id($next_product->ID)) { ?>
                <a href="<?php echo esc_url(get_permalink($next_product->ID)) ?>" class="product-next">
            <?php
            echo wp_kses_post(wp_get_attachment_image($attach_id, 'shop_thumbnail'));

            ?>
                </a>
        <?php } ?>
        </div>
        <?php
    }

    function get_prev_next_product_object($productid, $dir = 'next')
    {

        global $wpdb;

        $sql = "SELECT * FROM {$wpdb->posts} "
            . "WHERE post_type = 'product' AND post_status = 'publish'";

        if ($dir == 'prev') {
            $sql .= ' AND ID < ' . $productid . ' ORDER BY ID DESC';
        } else {
            $sql .= ' AND ID > ' . $productid . ' ORDER BY ID ASC';
        }

        $result = $wpdb->get_row($sql);

        if (!is_wp_error($result)):
            if (!empty($result)):
                return $result;
            else:
                return false;
            endif;
        else:
            return false;
        endif;
    }
    /*
     * Alter Image attributes from wp
     */

    function yourstore_alter_wp_get_attachment_image_attributes($attr)
    {
        if (isset($attr['sizes'])) {
            unset($attr['sizes']);
        }
        if (isset($attr['srcset'])) {
            unset($attr['srcset']);
        }
        return $attr;
    }
    add_filter('wp_get_attachment_image_attributes', 'yourstore_alter_wp_get_attachment_image_attributes');

    /* Woocommerce Breadcrumb overrides */

    add_filter('woocommerce_breadcrumb_defaults', 'yourstore_woocommerce_breadcrumb_defaults', 20, 1);

    function yourstore_woocommerce_breadcrumb_defaults($params)
    {

        $params['wrap_before'] = '<div class="breadcrumbs"><div class="container"><ol class="woocommerce-breadcrumb breadcrumb breadcrumb--ys pull-left" ' . ( is_single() ? 'itemprop="breadcrumb"' : '' ) . '>';
        $params['wrap_after'] = '</ol></div></div>';
        $params['delimiter'] = '&shy;';

        return $params;
    }
    
add_action('woocommerce_single_product_summary', 'yourstore_single_special_product_countdown', 20);

function yourstore_single_special_product_countdown()
{
    global $product;
    if ($product->is_on_sale()) {

        $prices = yourstore_get_product_prices($product);
        $returned = yourstore_product_special_price_calc($prices);

        ?>
            <div class="color-red">
        <?php if (isset($returned['percent']) && $returned['percent']) { ?>
                    <span class="font35 font-lighter"><?php echo sprintf(esc_html__('%d%% Off.', 'yourstore'), $returned['percent']) ?></span>
        <?php
        }
        if ($product->managing_stock() && $product->is_in_stock()) {
            printf(esc_html__('Hurry, there are only %d item(s) left!', 'yourstore'), $product->get_total_stock());
        }

        ?>
            </div>
            <?php
            $schedule_end = get_post_meta($product->id, '_sale_price_dates_to', true);
            if (!empty($schedule_end)) {
                $month = (int) date('n', (int) $schedule_end);

                $datearr = array(
                    'year' => (int) date('Y', (int) $schedule_end),
                    'month' => $month - 1,
                    'day' => (int) date('j', (int) $schedule_end),
                );

                ?>
                <div class="countdown-product" data-schedule='<?php print json_encode($datearr) ?>'>
                    <div class="countdown_clock"></div>
                </div>
                    <?php
                }

                ?>
            <div class="divider divider--xs product-info__divider"></div>
            <?php
        }
    }
    add_filter('woocommerce_sale_flash', 'yourstore_mod_sale_flash', 9, 3);

    function yourstore_mod_sale_flash($markup, $post, $product)
    {
        $save_percent = yourstore_product_special_price_calc(yourstore_get_product_prices($product));
        if ($save_percent) {
            extract($save_percent);
            return '<div class="product__label product__label--left product__label--sale"><span>' . esc_html__('Sale', 'yourstore') . '<br>
		  ' . $prefix . $percent . '%</span></div>';
        }
        return $markup;
    }

    function yourstore_wp_title($title, $sep)
    {
        global $paged, $page, $yourstore_option;

        if (isset($yourstore_option['yourstore-maintenance-mode-status']) && $yourstore_option['yourstore-maintenance-mode-status'] && !current_user_can('manage_options')) {
            /*
             * Maintenance mode title
             */
            $title = $yourstore_option['yourstore-maintenance-page-title'];
        } else {
            if (is_feed()) {
                return $title;
            }

            // Add the site name.
            $title .= get_bloginfo('name');
        }
        // Add the site description for the home/front page.
        $site_description = get_bloginfo('description', 'display');
        if ($site_description && ( is_home() || is_front_page() )) {
            $title = "$title $sep $site_description";
        }

        // Add a page number if necessary.
        if ($paged >= 2 || $page >= 2) {
            $title = "$title $sep " . sprintf(esc_html__('Page %s', 'yourstore'), max($paged, $page));
        }

        return $title;
    }
    add_filter('wp_title', 'yourstore_wp_title', 10, 2);

// megamenu widget
//footer bottom action
    
add_action('wp_footer', 'yourstore_wishlist_modal', 10);

function yourstore_wishlist_modal()
{

    ?>
        <div class="modal fade" id="modalAddToWishlist" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog white-modal modal-sm">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><span class="icon icon-clear"></span></button>
                    </div>
                    <div class="modal-body">
                        <div class="text-center"><?php esc_html_e('Product added to wishlist!', 'yourstore')?></div>
                    </div>
                </div>
            </div>
        </div><!-- end #modalWishlist -->
        <?php
    }
add_action('wp_head','yourstore_user_nav_visibility');
function yourstore_user_nav_visibility() {

    if ( is_user_logged_in() ) {
        $output="<style> .nav-login { display: none; } </style>";
    } else {
        $output="<style> .nav-account { display: none; } </style>";
    }

    echo $output;
}

add_action('yourstore_product_brand_display', 'yourstore_product_brand_display_cb');

function yourstore_product_brand_display_cb($product){
    global $yourstore_option;
    
    if(isset($yourstore_option['show_brand_in_product']) && $yourstore_option['show_brand_in_product'] && function_exists('get_brands_term_by_product_id')){
        $brandid = get_brands_term_by_product_id($product->ID);
        if(!empty($brandid) && is_numeric($brandid)){
            $thumb_id = wcm_sds_brands_thumbnail_id($brandid);
            $image_url = wp_get_attachment_url($thumb_id);
            $term = get_term($brandid, 'brands');
            if(!empty($term) && !is_wp_error($term) && $image_url){
            ?>
            <div class="product-info__description__brand">
                <img src="<?php echo esc_url($image_url)?>" alt="<?php echo esc_attr($term->name)?>" />
            </div>
            <?php
            }
        }
        
    }
}

/**
 * Force Visual Composer to initialize as "built into the theme". This will hide certain tabs under the Settings->Visual Composer page
 */
add_action( 'vc_before_init', 'yourstore_vcSetAsTheme' );
function yourstore_vcSetAsTheme() {
    vc_set_as_theme();
}

add_filter('body_class', 'yourstore_filter_body_classes', 30);

function yourstore_filter_body_classes($classes){
    if(is_search() && ($index = array_search('search-results', $classes)) !== NULL){
        unset($classes[$index]);
    }
    return $classes;
}

/**
 * Display brand description
 */
add_action('woocommerce_archive_description', 'yourstore_display_brand_desc');

function yourstore_display_brand_desc(){
	$taxonomy = get_query_var('taxonomy');
	$term = get_query_var('term');
	
	if($taxonomy == 'brands' && $term){
		$brand = get_term_by('slug', $term, $taxonomy);
		if(!empty($brand) && !is_wp_error($brand) && $brand->description){
			?>
			<div class="term-description"><?php echo wp_kses_post($brand->description)?></div>
			<?php
		}
	}
	
}
/**
 * Add brand description
 */
add_action('edited_brands', 'yourstore_update_product_desc');

function yourstore_update_product_desc($term_id){
	if(isset($_POST['description']) && $_POST['description']){
		global $wpdb;
		$wpdb->query("UPDATE {$wpdb->term_taxonomy} SET `description`='{$_POST['description']}' WHERE term_id={$term_id}");
	}
}

/**
 * Add wishlist count ajax action
 */
 
add_action('wp_ajax_yourstore_get_wishlist_count', 'yourstore_ajax_get_wishlist_count');
add_action('wp_ajax_nopriv_yourstore_get_wishlist_count', 'yourstore_ajax_get_wishlist_count');

function yourstore_ajax_get_wishlist_count(){
	if(function_exists('YITH_WCWL')){
		echo YITH_WCWL()->count_products();
	}
	die();
}

/**
 * Add compare count ajax action
 */
 
add_action('wp_ajax_yourstore_get_compare_count', 'yourstore_ajax_get_compare_count');
add_action('wp_ajax_nopriv_yourstore_get_compare_count', 'yourstore_ajax_get_compare_count');

function yourstore_ajax_get_compare_count(){
	global $yith_woocompare;
	if(isset($yith_woocompare->obj) && $yith_woocompare->obj instanceof YITH_Woocompare_Frontend){
		echo count($yith_woocompare->obj->products_list);
	}
	die();
}
