<?php

get_header();

$post = yourstore_get_post_object();
$design = get_post_meta($post->ID, 'framework_page_style', true);
$show_page_title = get_post_meta($post->ID, 'framework_show_page_title', true);
$show_breadcrumb = get_post_meta($post->ID, 'framework_show_breadcrumb', true);

$leftbar = $rightbar = $main = '';

switch ( $design){

    case 'rightsidebar':
        $rightbar = 'col-md-4 col-lg-3 col-xl-2';
        $main = 'col-md-8 col-lg-9 col-xl-10';
        break;

    case 'leftsidebar':
        $leftbar = 'col-md-4 col-lg-3 col-xl-2';
        $main = 'col-md-8 col-lg-9 col-xl-10';
        break;

    default:
        $main = 'col-md-12 col-lg-12 col-xl-12';
        break;

}
if($show_breadcrumb == 'on' || !$show_breadcrumb){
?>
<section class="breadcrumbs">
	<div class="container">
        <div class="breadcrumb breadcrumb--ys pull-left">
        <?php
        if ( is_plugin_active( 'wordpress-seo/wp-seo.php' ) && function_exists('yoast_breadcrumb') ) {
            yoast_breadcrumb('','');
        }
        ?>
        </div>
	</div>
</section>
<?php
}
?>
<div id="pageContent">
	
    <?php 
    if($show_page_title == 'on' || !$show_page_title){
    ?>
    <!-- parallax-img -->
    <?php     if ( has_post_thumbnail() ) :    ?>
	<section class="content--parallax content--parallax-sm offset-top-0" data-image="<?php echo (get_post_thumbnail_id($post->ID) ? esc_url(wp_get_attachment_url(get_post_thumbnail_id($post->ID))) : '');?>" style="background-image: url(&quot;<?php echo (get_post_thumbnail_id($post->ID) ? esc_url(wp_get_attachment_url(get_post_thumbnail_id($post->ID))) : '');?>&quot;); background-position: 50% 3px;">
		<div class="content offset-top-0">
			<div class="container">
				<div class="parallax-text">
					<div class="block-table">
						<div class="block-table-cell text-center">
							<h6 class="font50 color-white"><?php echo esc_html($post->post_title)?></h6>
							<div class="divider divider--xs"></div>
							<p class="font30 color-white"><?php echo esc_html(get_post_meta($post->ID, 'framework_page_excerpt', true))?></p>
							<div class="divider divider--xs"></div>
							<span class="bull-line"></span>
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
    <?php  else  :  ?>
     <h1 class="text-center text-uppercase title-under"><?php echo esc_html($post->post_title)?></h1>
    <?php endif;    ?>


    <!-- /parallax-img -->
    <?php }?>
    <section class="content">
        <div class="container">
            <div class="row">
                <?php if(!empty($leftbar)){?>
                    <aside class="<?php echo esc_attr($leftbar)?>" id="leftColumn">
                        <?php get_sidebar('page-left'); ?>
                    </aside>
                <?php }?>
                    <aside class="<?php echo esc_attr($main)?>" id="centerColumn">
                        <?php
                        // Start the loop.
                        while ( have_posts() ) : the_post();

                            // Include the page content template.
                            get_template_part( 'content', 'page' );

                            // If comments are open or we have at least one comment, load up the comment template.
                            if ( comments_open() || get_comments_number() ) :
                                comments_template();
                            endif;

                        // End the loop.
                        endwhile;
                        ?>
                    </aside>
                <?php if(!empty($rightbar)){?>
                    <aside class="<?php echo esc_attr($rightbar)?>" id="rightColumn">
                        <?php get_sidebar('page-right'); ?>
                    </aside>
                <?php }?>
            </div>
        </div>
    </section>
</div>


<?php get_footer();?>