<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
global $post;
$yourstore_option = yourstore_get_options();


	/**
	 * woocommerce_before_single_product hook.
	 *
	 * @hooked wc_print_notices - 10
	 */
	 do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }
     $rightbar = false;
     $mainclass = '';

     switch ($yourstore_option['yourstore_product_sidebar_layout']){

        case '3':
            $rightbar = true;
            $mainclass = 'col-xl-8';
            break;
    }

    
    $prdleftclass = $prdcontentclass = '';
    
    switch(youstore_get_product_page_layout($post->ID)){
        case 1:
            $prdleftclass = 'col-xs-12 col-sm-4 col-md-4 col-lg-4 col-xl-4';
            $prdcontentclass = 'col-xs-12 col-sm-8 col-md-8 col-lg-8 col-xl-8';
            break;
        default:
            $prdleftclass = 'col-xs-12 col-sm-6 col-md-6 col-lg-6 col-xl-6';
            $prdcontentclass = 'col-xs-12 col-sm-6 col-md-6 col-lg-6 col-xl-6';
            break;
    }
    
?>
<div>
<div class="col-sm-12 col-md-12 col-lg-12 <?php echo esc_attr($mainclass)?>">
    <div itemscope itemtype="<?php echo woocommerce_get_product_schema(); ?>" id="product-<?php the_ID(); ?>" <?php post_class(); ?>>
        <div class="row">
        <div class="<?php echo esc_attr($prdleftclass)?>">
        <?php
            /**
             * woocommerce_before_single_product_summary hook.
             *
             * @hooked woocommerce_show_product_sale_flash - 10
             * @hooked woocommerce_show_product_images - 20
             */
            do_action( 'woocommerce_before_single_product_summary' );

        ?>
        </div>
        
        <!--<div class="summary entry-summary product-info <?php echo esc_attr($prdcontentclass)?>">-->
        <div class="product-info <?php echo esc_attr($prdcontentclass)?>">

            <?php
                /**
                 * woocommerce_single_product_summary hook.
                 *
                 * @hooked woocommerce_template_single_title - 5
                 * @hooked woocommerce_template_single_rating - 10
                 * @hooked woocommerce_template_single_price - 10
                 * @hooked woocommerce_template_single_excerpt - 20
                 * @hooked woocommerce_template_single_add_to_cart - 30
                 * @hooked woocommerce_template_single_meta - 40
                 * @hooked woocommerce_template_single_sharing - 50
                 */
                do_action( 'woocommerce_single_product_summary' );
            ?>

        </div><!-- .summary -->
        </div><!-- .row -->

        <?php
            /**
             * woocommerce_after_single_product_summary hook.
             *
             * @hooked woocommerce_output_product_data_tabs - 10
             * @hooked woocommerce_upsell_display - 15
             * @hooked woocommerce_output_related_products - 20
             */
            do_action( 'woocommerce_after_single_product_summary' );
        ?>

        <meta itemprop="url" content="<?php the_permalink(); ?>" />

    </div><!-- #product-<?php the_ID(); ?> -->
</div>
<?php
    if($rightbar){
        echo '<div id="rightColumn" class="'.esc_attr($rightbar).'">';
            get_sidebar('product-right');
        echo '</div>';
    }
?>
</div>
<?php do_action( 'woocommerce_after_single_product' ); ?>
