<?php
/**
 * The template for displaying product widget entries
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-widget-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	https://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.5.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product; ?>

<div class="vertical-carousel__item">
  <div class="vertical-carousel__item__image pull-left">
  <a href="<?php echo esc_url( get_permalink( $product->id ) ); ?>">
	<?php print $product->get_image(); ?>
  </a>
  </div>
  <div class="vertical-carousel__item__title">
    <h2><a href="<?php echo esc_url( get_permalink( $product->id ) ); ?>"><?php echo wp_kses_post($product->get_title()); ?></a></h2>
  </div>
  <div class="price-box">
    
  	<?php print $product->get_price_html(); ?>
    
  </div>
  <div class="rating"> 
  	<?php if ( ! empty( $show_rating ) ) : ?>
		<?php print $product->get_rating_html(); ?>
	<?php endif; ?>
  </div>
</div>
