<?php
/**
 * Show options for ordering
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/orderby.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
	global $wp_query;
?>

<!-- /filters row -->
<div class="filters-row">						
	<form class="woocommerce-ordering" method="get">
	<div class="pull-left">
		<div class="filters-row__mode">
			<a href="#" class="btn btn--ys slide-column-open visible-xs visible-sm hidden-xl hidden-lg hidden-md"><?php esc_html_e( 'Filter', 'yourstore' ); ?></a> 
			<a class="filters-row__view active  link-grid-view btn-img btn-img-view_module"><span></span></a> 
			<a class="filters-row__view link-row-view btn-img btn-img-view_list"><span></span></a> 
		</div>
		<div class="filters-row__select hidden-sm hidden-xs">
			<label><?php esc_html_e( 'Sort by:', 'yourstore' ); ?> </label>
			<div class="select-wrapper">

				<select name="orderby" class="orderby select--ys sort-position">
				<?php foreach ( $catalog_orderby_options as $id => $name ) : ?>
					<option value="<?php echo esc_attr( $id ); ?>" <?php selected( $orderby, $id ); ?>><?php echo esc_html( $name ); ?></option>
				<?php endforeach; ?>
			</select>
			</div>
			 
		</div>
	</div>
	<div class="pull-right">
	<?php woocommerce_result_count(); ?>

		<div class="filters-row__pagination">
			<nav class="woocommerce-pagination">
			<?php
			

			if ( $wp_query->max_num_pages > 1 ) {

					echo paginate_links( apply_filters( 'woocommerce_pagination_args', array(
						'base'         => esc_url_raw( str_replace( 999999999, '%#%', remove_query_arg( 'add-to-cart', get_pagenum_link( 999999999, false ) ) ) ),
						'format'       => '',
						'add_args'     => false,
						'current'      => max( 1, get_query_var( 'paged' ) ),
						'total'        => $wp_query->max_num_pages,
						'prev_text'    => '&larr;',
						'next_text'    => '&rarr;',
						'type'         => 'list',
						'end_size'     => 3,
						'mid_size'     => 3
					) ) );
					
			}
				?>
			</nav>
		</div>
	</div>
		<?php
			// Keep query string vars intact
			foreach ( $_GET as $key => $val ) {
				if ( 'orderby' === $key || 'submit' === $key ) {
					continue;
				}
				if ( is_array( $val ) ) {
					foreach( $val as $innerVal ) {
						echo '<input type="hidden" name="' . esc_attr( $key ) . '[]" value="' . esc_attr( $innerVal ) . '" />';
					}
				} else {
					echo '<input type="hidden" name="' . esc_attr( $key ) . '" value="' . esc_attr( $val ) . '" />';
				}
			}
		?>
	</form>
</div>