<?php
/**
 * The template for displaying product search form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/product-searchform.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.5.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>
<div class="search-dropdown">
    <form role="search" method="get" id="search__form"
        class="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">
        <div class="input-outer">
            <input type="text" class="placeholder" value="<?php echo get_search_query(); ?>" placeholder="<?php esc_attr_e('SEARCH:', 'yourstore')?>" name="s" id="s" />
            <button type="submit" title="<?php esc_attr_e('Search', 'yourstore')?>" class="icon icon-search"></button>
        </div>
        <input type="hidden" name="post_type" value="product" />
    </form>
</div>