<?php
/**
 * Single Product tabs
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/tabs/tabs.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
global $product;

/**
 * Filter tabs and allow third parties to add their own.
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );
$yourstore_option = yourstore_get_options();
if ( ! empty( $tabs ) ) :
    $extra_classes = '';
    $extra_classes_tab = ' nav-tabs--ys';
    $extra_classes_tab_content = '';
    $tab_before_container = $tab_after_container = '';
    $looping = 0;
    if(youstore_get_product_page_layout($product->id) == 3){
            $extra_classes_tab = ' nav-tabs--ys-center1 text-center';
            $extra_classes_tab_content = 'tab-pane';
            $extra_classes = ' content';
            $tab_before_container = '<div class="container">';
            $tab_after_container = '</div>';
        }
    ?>
	<div class="woocommerce-tabs wc-tabs-wrapper<?php echo esc_attr($extra_classes)?>">
        <?php echo wp_kses_post($tab_before_container)?>
		<ul class="tabs wc-tabs nav nav-tabs<?php echo esc_attr($extra_classes_tab)?>">
			<?php foreach ( $tabs as $key => $tab ) : ?>
				<li class="<?php echo esc_attr( $key ); ?>_tab">
					<a href="#tab-<?php echo esc_attr( $key ); ?>"><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', esc_html( $tab['title'] ), $key ); ?></a>
				</li>
			<?php endforeach; ?>
		</ul>
        <?php echo wp_kses_post($tab_after_container)?>
		<?php foreach ( $tabs as $key => $tab ) : ?>
			<div class="panel entry-content wc-tab<?php echo esc_attr($extra_classes_tab_content)?>" id="tab-<?php echo esc_attr( $key ); ?>">
                <?php 
                if($looping > 0){
                    echo wp_kses_post($tab_before_container);
                } 
                call_user_func( $tab['callback'], $key, $tab );
                if($looping > 0){
                    echo wp_kses_post($tab_after_container);
                }
                ?>
			</div>
		<?php $looping++; endforeach; ?>
	</div>

<?php endif; ?>
